Program Installation

Microsoft Windows

'StereoPhoto Maker' (SPM) does not use a Windows-installer and may be simply copied (together with this Help file) to a folder of your choice.
With Windows Vista, you may want to install it into a directory other than 'Program Files' because SPM writes to its own directory tree, and 'Program Files' is designed to be writable only by special "elevated" applications.
You can either put it in a folder such as 'c:\SPM' or, alternatively, enter its properties page and mark it as "Run As Administrator".
However, that will mean you have to click through a "This program wants administrator access" dialog boxe every time you run it.
You may then like to create a shortcut to 'STPHMKR.EXE' from a preferred location.
SPM uses DirectX and although this will normally be available, some installations (such as Win98SE ) do not include it.
SPM does use the registry to store certain user preferences, selections and details of any file-associations that may have been setup.
Apple Mac

SPM may be run on Intel Macs and PowerPC Macs.
The PowerPC Mac's require Windows-emulation software such as the free VirtualPC and a processor speed of 1.6GHz or greater.
You will also need to install a copy of Windows.
For Intel Macs no emulation is required and SPM will run faster than on a PowerPC.
You will also need to install a copy of Windows.
You have numerous 'virtual machine' software options, such as :-

VMWare Fusion
Parallels
BootCamp (built into OSX 10.5 Leopard)

SPM 3.27 and later running under Darwine supports Autopano v.1.02.
The auto-correction does not run as fast as under Windows.
Users have reported that it also works with Crossover.
Install Autopano into same folder as SPM.

NVidia page-flipping is not supported at present as NVidia have not released a stereo driver.
Stereo OpenGL should work but this has not yet been confirmed.

For a more detailed discussion of running Windows software on Macs, see http://www.macwindows.com/emulator.html

General

SPM allocates an amount of buffer-memory equal to the unpacked-size of a pair of images.
e.g. for a 3000x2000 image, memory allocated = 3000x2000x3(RGB)x2(left/right) = 36MB.
If you set the number of Undo/redo buffers to 10, SPM allocates 360MB of memory.
If SPM operations become slower, you may clear the Undo buffer.
If you have a 'Susie Plugins' folder its location will have been defined in 'Preferences'.

Because of this, if you delete SPM and copy to a different filepath you will have to re-associate the file extensions and redefine the location of the 'Susie' plugins.

If you wish to remove SPM from your system, restore previous file-associations, delete SPM's association with InternetExplorer, select menu option 'Help/Remove All Registry Entries', delete 'STPHMKR.EXE' and then this Help file.


StereoPhoto Maker

An Index to this Help file may be displayed or hidden by clicking the 'Show/Hide' icon at far-left of the above toolbar.

StereoPhoto Maker(SPM) functions both as a versatile stereo image editor and stereo image viewer and can automatically batch-align hundreds of images and mount them to the 'window'.

New, fast feature-detection methods also allow you to instantly adjust individual images that only have vertical and horizontal 'errors'.
It may be run on all versions of Windows up to Vista and PowerPC and Intel Macs (with emulation,virtual-machine software, Darwine or Crossover).
It also allows users with no knowledge of HTML to create WebPages using the 'StereoPhotoViewer Applet'.
You simply upload the contents of the applet-project to a Server using a freeware FTP program.
More experienced users can create the entire webpage themselves or amend the file produced by SPM.

For detailed information on SPM go straight to MENU/Shortcuts/Tool bar Icons

Most stereo-viewing methods are supported together with a monoscopic mode:-

- Autostereoscopic displays using vertical interlacing
- IZ3D monitor, Sharp 3D LCD, 3D DLP TV.
- Single 2D image (useful for saving or printing)
- Freeviewing (Parallel-eyed or Cross-eyed)
- Color anaglyphs or Grayscale anaglyphs (red-cyan, red-green, red-blue, yellow-blue with gamma correction)
- Liquid Crystal Shutter Glasses (horizontal or vertical Interlacing or Page Flipping) currently requires Winx3D , the NVidia Stereo Driver, NVidia 3D Vision or a graphics card supporting quad-buffered OpenGL.

Winx3D is no longer available from the original website.
This was discussed on 'stereo3d' forum and a Link given for the archived documentation.

Alternatively, RivaTuner may be used to patch an NVidia GeForce to a 'Quadro' making OpenGL stereo and other 'professional' features available.

OpenGL stereo is the only mode that lets you display a stereo image in a normal window.
You can open multiple instances of SPM to create many stereo windows that may be aligned, moved or resized.

For the NVidia link, ensure your browser Java-scripting is enabled and in the three columns
select 'Consumer3D Stereo', 'All Graphics Cards' and 'Windows98/ME/2000/XP'before clicking 'Go!' .
You can also download the NVidia Stereo User Guide.
Run the NVidia tests to determine the fastest refresh-rate for your monitor at each required screen-resolution.

Runtime Options

SPM may be opened from its Icon, a shortcut, dragging-and-dropping an image or image-pair onto the icon or already-opened window, from a batch-file or by file-extension association.

Associate a file extension with SPM and open in a window or fullscreen with preferred viewing mode.
Command-line options allow you to specify an image or an image-pair or start a slideshow.
The SPM Program-window may be maximised on startup if desired.

Image Viewing

Support for MPO files, as used by the Fuji Real 3D digital stereo cameras and Sony Cyber-shot DSC-TX9 .
User-defined grid-overlay in all stereo viewing modes except page-flipping.
Create 360 degree stereo panoramas using a single rotating real or virtual camera
Auto-scrolling of horizontal and vertical stereo Panoramas. See animation
Continuous rotation of 360 degree stereo panoramas (without requiring quad-buffered OpenGL graphic-card)
Use a household mirror to encourage the general public to enjoy stereo images without freeviewing or anaglyph glasses
Select screen background color
Define a tricolor image-border and Show/Hide it from the toolbar
Add stereo, drop-shadow text to image
Add a stereo logo to the image
Save/restore all settings associated with a default text (such as a © Copyright notice)
Save/restore all settings associated with a default logo
Zoom In and Zoom Out (operated with mouse wheel)with resampling OFF (for speed) or ON (for image quality).
Image Scroll (operated with mouse drag)
Left-Right Image swap
View vertical panoramas of planetary surfaces
Support for a two or three-button mouse

Image Manipulation

Project stereo image onto a sphere.
Single or multiple floating windows to reduce anaglyph ghosting problems
Create images for display on 3D-ready DLP TV's.
Clone brush to adjust stereo depth of incorrectly positioned features.
Automatically align and correct stereo-pairs up to 16383 pixels width/height and mount them to the window.
Automatic cropping of blank space after certain Easy Adjustment operations.
Image may be corrected for vertical disparity error with a resolution of one pixel and positioned in stereo-space.
Reduced ghosting for anaglyphs using realtime Lab and RGB color-space controls.
Manual color-adjustment in realtime using HSL color-space. Work on entire color-range or just a particular hue.
Fuzzy Borders may be added to reduce retinal-rivalry caused by stereo-window violations.
Automatically adjust the brightness/color of one image to a correctly-exposed reference image.
Define a pair of homologous points that SPM will automatically position at the stereo-window, correcting any vertical error.
Add Overlay Image to your background for decorative framing or simple stereo-compositing.
Create a Popup Anaglyph still-image or object-movie for print or flat-screen viewing.
Custom Optimization of Anaglyph R,G,B mixing and contrast.
Save and Restore Custom optimized anaglyph parameters.
Save a JPG anaglyph with no compression ghosting.
One or both images may be mirrored horizontally or flipped vertically to accomodate any custom/commercial taking and viewing equipment.
Image frame may be rotated 90 degrees left or 90 degrees right or image-pair may be rotated within frame by any angle.
Hue, saturation, lightness and gamma of the individual images may be altered.
The images may be sharpened
Crop the image to any size or to one of five custom-sizes
Crop the image to a user-defined aspect-ratio
Accurately crop large, zoomed-in images (such as panoramas)
Resize using pixel-resize or bilinear interpolation, retaining aspect-ratio if desired
Resize image in fine increments of 0.1% (useful when using cameras in tandem or correcting lens mismatch).
When resizing, retain aspect-ratio with or without a border
Automatic correction of image-rotation errors
Manual correction of image 'keystone' errors.
Manual correction of barrel-distortion, especially in wide-angle lenses
Overlay a user-defined grid on images in Easy Adjustment mode
Edge-detection filter to simplify image-correction or for creating a pictorial effect
Alignment information may be saved in SPM's own uncompressed DAS file-format
Mosaic image-strips (produced by a stereo, virtual camera in 3D Rendering programs) into panoramic images

Batch Processing

Create images suitable for viewing with the Hasboro 'my3D Viewer' attachment for iPod and iPhone.
Universal Freeview L-R-L to provide website visitors with parallel and cross-eyed viewing options.
Convert MPO files (as used by the Fuji Real 3D digital stereo cameras and Sony Cyber-shot DSC-TX9) into other formats for alternative viewing methods.
Extract the separate left/right images from MPO files.
Convert existing JPG images to MPO files for viewing on Fuji W1 camera or V1 viewer.
Dual processor support
Formating of images for digital projection.
Lossless Creation of LRL or RLR side-by-sides triplets from existing JPG images.
Fully-automatic correction and mounting to the window of hundreds of images up to 16,383x16,383 in size, including support for dual-core processors.
Correction of barrel-distortion using previously-determined parameters for a particular focal-length.
Lossless Jpeg Multi Conversion applies swapping, joining and rotation to JPG images completely without loss.
Embed a correctly-orientated thumbnail image in saved JPG images so that 'Windows Explorer' displays them properly.
Multiconvert multiple left/right files to SPM's own uncompressed DAS format.
Use the clipboard to copy or move your favorite images between folders.
Quickly scan a folder of images in your chosen stereo viewing-mode and delete selected ones or copy or move them to a chosen folder.
Automatic Color Adjustment.
Open the contents of two folders in separate,side-by-side windows and synchronously scroll the columns for stereo-comparison. The columns may be single or multiple-image wide.
Embed Exif orientation tag in any JPG image (digicam or scanned film) from twinned cameras
Correct Loreo 'Lens-in-a-cap (LIAC)' images.
Add/Delete or restore a thumbnail to existing JPEG images for fast folder preview
An efficient Batch Processing Workflow allows you to quickly generate numerous stereo formats in various file-types.
Add stereo text (such as a Copyright notice) to individual or batch images and against a colored banner.
Add colored drop-shadow to text for greater visibility with some images
Overlay custom Logo directly on image or on a colored banner-zone and with transparency.
Batch Stereo-Format Conversion
Add tricolor borders to Save'd images in a different style to screen borders
Batch generation of stereo images from alignment-corrected browsed images.
Multi-rename all or selected image files in a folder
Full renaming of digital camera files with option to retain original frame-number

Slideshow Functions

Create a Flash slideshow
Slide-Show Script automatically created using images from current folder
Create a custom slide-show with mixed stereo-formats and optional sound
Create a runtime slide-show package that users can easily start with a click of the mouse

Printing

Prepare images for lenticular printing.
Print your image actual-size or fitted-to-paper and automatically centered.
Add tricolor borders to the printed image in a different style to screen borders
Print (or save) stereo cards in custom-format or 'Classical', 'Holmes', '6x13' or 'Cabinet' formats.
Stereo-card images saved-to-disk may be printed as standard sizes (4x6, 4x7inches) by photo labs.
These will be suitable for Argus/Loreo and Holmes viewers.
Print multiple cards on a single sheet, mixing custom and classic if desired.
Print multiple images in various stereo-formats on a single sheet, including stereo cards if desired.
Canvas size feature allows you to save stereo-card image of defined size for later printing.
This allows you, for example, to print a 6"x4" card even if your printer does not support that paper size.
The entire fullpage background may be in a chosen color, not just the stereo-card background.

Other Functions

Align and crop multiple images for lenticular prints, 'bullet' movie sequences,autostereoscopic displays and outdoor 360 degree stereo object movies..
Capture stereo Google Earth images.
Add geographical data to image EXIF tag and jump to that location in Google Maps or Google Earth.
Up to 100 Undo/Redo operations.
Create wiggle/wobble Animated GIF's for unaided viewing and not requiring free-viewing ability.
Save BMP, GIF, animated GIF, TIF and PNG images with reduced colors to lessen file-size.
Rename images, retaining original numeric index if desired.
Display file properties and copy to clipboard.
Customize the initial, stereo, single-image or image file-list toolbars.
Add/Remove 'Open with SPM' to Internet Explorer's anchor and image context menus.
Creation of WebPages that use 'StereoPhotoViewer Applet' to display slideshows in a popup window or embedded in the page.
Fast preview of folder images as thumbnails and option to copy, move or delete selected images to existing or new folder.
Create an HTML file with Java Applet Stereo-Viewer support.
Create a stereo image for your NTT DoCoMo SH251is and SH505i mobile phones
Run an external programme to edit your images and then return them to SPM
Copy and Paste images to and from external applications
etc...

Operating System
Windows98SE/Me/2000/XP

Supported Image File Types
JPEG/BMP/TIFF(without LZW)/ Susie Plug-in

Screen Shot

Main Window

It is a great tool. Enjoy it !


SPM Runtime Options

StereoPhoto Maker may be run by simply clicking on its icon or on a shortcut to the program file.

In addition, you may drag a single, stereo-format image-file onto the program icon (or already-opened window) and SPM will startup and display that image.
The stereo and display formats of the image are assumed to be those specified in Launch Preferences.
If 'select on opening image' was checked there, you will be presented with a dialog-box that allows you to specify the stereo-display format.

You may also drag a Left/Right image-pair onto the program icon or window, although this does not currently work with WinME.

An image file-name may be specified as a command-line parameter.
For example, 'stphmkre.exe d:\photo\test.jps' will open and display the image 'test.jps' located in the folder d:\photo with your preferred viewing-method or one selected on opening.

If SPM has been associated with the file extension, you can double-click the image to open it with SPM.

When sending a collection of images to other users, a very simple viewing-method for them (only requiring a click of the mouse) is to include a slideshow list file as a command-line parameter as described under Open Slideshow list File

If you wish SPM to startup with its window maximised, check that option in Edit/Preferences/General.


Basic Operations

Left/Right arrow keys shift images horizontally and therefore change the location of the stereo window.
Up/Down arrow keys move images vertically in opposite directions to correct vertical errors.
Shift + arrow keys moves by a single pixel.
The resulting alignment values are displayed at bottom of screen.

Press 'X' to swap images left-for-right.

Click 'FIT' toolbar icon to fit image to client area (useful after a large zoom-in).

The mouse wheel zooms in and out and if you do not move the mouse the zoom is centered on the cursor position, allowing you to 'home-in' on features of interest, especially with high-resolution images.
You can also zoom with keys F2 and F3.

An alignment-grid overlay may be turned on/off with Ctrl+G (except in page-flipping mode).

If you are correcting images manually, align them before performing auto color-correction.

To autocorrect the displayed image-pair using the legacy Autopano feature-detection, press 'Alt+A'.

To autocorrect the displayed image using the faster method introduced with SPM 4.0, press Ctrl+Alt+space-bar.
To load and autocorrect the next image, press Alt+space-bar.
To load and autocorrect the previous image, press Alt+backspace.
These fast methods adjust horizontal and vertical displacements only.
If an alv alignment-value file already exists in the folder, its values will be used rather than computing new values.

Saving anaglyph JPG images with 'No Compression Ghosting' gives best results as it uses RGB color space, but some popular software may not correctly handle such images.

Press spacebar/backspace to cycle forwards/backwards through a folder of images or position the cursor at either edge of image and left-click.
The images displayed may or may not comprise a stereo pair and may be in a different format to that currently selected, so you normally apply this to a folder of stereo images all in the same format and not containing non-stereo images.

Undo/Redo many actions up to 100 times by clicking toolbar icon.

When importing images from cameras configured as USB removable drives, use space or backspace to refresh the folder information.

TIP:If using an Eye-Fi Pro X2 card, copy an MPO file to the folder Eye-fi is using and open it.
You can then use Ctrl+Alt+E at any time to display the contents of the folder.


IE Association

Associating with InternetExplorer

SPM may be associated with InternetExplorer's 'Anchor' and 'Images' contexts.
See 'Edit/Preferences/IE Context Menu' to associate or disassociate SPM with InternetExplorer.

Association with IE means that right-clicking on an HTML document's images (typically thumbnails) or links to images, will give you the option to 'Open with SPM'.

Users of Norton AntiVirus 2003/2004/2005 may receive the following warning :-

The SPM script is NOT malicious and you should choose the option 'Authorize this script' from the 'Action' dropdown menu.

A progress-bar will be displayed while the image downloads and the image will then be displayed by SPM with the viewing method specified in 'Edit/Preferences/Launch'.
You may cancel the image-download by clicking 'Abort'.
This works with left/right views stored as single images (side-by-side, above/below, anaglyph) or image-pairs.
You may need to specify the image type (image-pair, side-by-side or anaglyph) in 'Edit/Preferences/Launch'
You may visit your favorite website stereo galleries and display the images with SPM in formats that the site might not otherwise support.
The HTML document may be on a website or your local filing system (hard disk).
With the local filing system, you can use SPM's various paging options (space, backspace, mouse) to sequence through a collection of images.
If you use a firewall, you will need to let SPM access the 'Net.

The above screenshot shows the IE context-menu after the user has right-clicked on one of the side-by-side images.
Select 'Open with SPM' .

SPM starts and displays the image with the viewing method specified in 'Edit/Preferences/Launch'.
In this case, side-by-side was specified.

In the above example, the viewing method chosen is fullscreen page-flipping with shutter-glasses.

If the image is not displayed correctly, check that it is the same stereo-image format as currently set in Preferences.
If necessary, change SPM's stereo-image format to suit.

NOTE
If the website is using a slideshow list to display its images with SPM,
the viewing method will be that set in the 'Open Slideshow List' dialog.


Netscape/FireFox Association

Associating with Netscape/FireFox

Although SPM may not be associated with Netscape or FireFox, it is possible to open links to images by using the 'IE View' extension.
You can right-click outside the image and select "view this page in IE" or right-click on the image and select "Open target link in IE".
In IE right -click the picture "open with SPM".


Batch Processing Workflow

Experience will determine your preferred working method for aligning and converting large numbers of images to a desired stereoformat.
A suggested method is described so that you are at least aware of SPM's features that can help reduce the workload. If many of your images require individual corrections of errors (horizontal, vertical, rotational) or processing such as sharpening, contrast, color-correction, etc., then you should check your equipment and review your technique.
In a small number of circumstances these individual operations may be unavoidable but the goal is to rapidly process large numbers of stereo images with minimal effort.

The following may be helpful :-

Embedding image-orientation tags

Using SPM with Twinned Cameras.

Running two instances of 'Open Image file list'

Renaming the raw images.

A common requirement is to give the images from digital cameras a more meaningful name.
Using SPM's 'Full Rename' feature, all the images in a folder may be given an entirely new name and number or the original number may be retained.
If twinned cameras are used for the source images, the images may remain in their individual folders for subsequent processing or browsing.
There is no need to merge them into a single folder.

Image Alignment

Load the first image of the batch and choose Stereo/ Color Anaglyph/ Color as the display format.
Regardless of the final viewing method, red/cyan anaglyph format is particularly useful for detecting and correcting vertical alignment errors.
Use the Up/Down arrow keys to correct any error (easier to see without the glasses).
The size of the pixel-step may be set in 'Edit/Preferences' and the default-value is four pixels.
Depress the 'Shift' key while using the arrow-keys, to move by a single pixel.
With the glasses on, use the Left/Right arrow keys to set the position of the stereo window.
Again, you may use the 'Shift' key for single-pixel precision.
If you postion the cursor over the nearest object in the image, or slightly to one side of it, you can accurately 'push' it into the screen.
When satisfied with the alignment and window position, press 'M' to create a 'Slide Show List' for the images being aligned.
You will be asked to provide a name for this new file.
For later playback of the aligned images, specify an interval between images in units of 0.1 seconds.
The alignment information for the first image will be written to the 'Slide Show List'.
A message confirming that information was written is (very) briefly displayed in the title-bar.
The next image will then be displayed. Proceed through the whole batch in this way, remembering to save the alignments for each image.
To create a different 'Slide Show List', press 'Ctrl M' (instead of 'M').

The 'Slide Show List' file only records the horizontal and vertical alignments.
Other operations such as cropping, rotation, resizing, sharpening,etc are not recorded but may be applied on a whole-folder basis during subsequent batch-processing using the Multiconversion from Slide Show List option.

Preview-and-Edit aligned Images

To quickly check the stereo window and alignments of the processed images, select 'File/ Slide Show List/ Open Slide Show List' and open the appropriate 'Slide Show List' file.
Choose the required stereo viewing method and uncheck 'Auto start Slide Show' if you wish to manually browse through the folder.
In manual mode, you may make further adjustments to the image alignments and window position, pressing 'Y' to update the information in the 'Slide Show List'.
To remove an image from the file, press 'Ctrl D'.
You make inspect and edit the contents of the 'Slide Show List' file by selecting 'File/ Slide Show List/ Make Edit Slide Show List'.
Browse to the required folder and List File and then click 'Manual Edit'. The text file contents will be displayed.

Batch Processing Slide Show List

The Multiconversion from Slide Show List procedure can now be used with the list produced to quickly generate image files in various stereo-formats and file-types.

You may also, quickly and easily, add a custom,stereo-text of your choice (such as a © Copyright notice) to all the images that are being converted.


Autopano-SIFT installation

Installation of Program for automatic correction of Stereo Images

SPM uses data provided by third-party software that embodies a method for which the following patent has been issued:
"Method and apparatus for identifying scale invariant features in an image and use of same for locating an object in an image,"
David G. Lowe, US Patent 6,711,293 (March 23, 2004).
Provisional application filed March 8, 1999. Asignee: The University of British Columbia

Unlike existing software that finds corresponding left/right image-points from pixel-patterns (2D correlation), SPM uses the SIFT algorithm to extract hundreds or thousands of image features.
'Autopano-sift' and 'Autopano' are programs that uses the SIFT algorithm to find corresponding (homologous) points in a series of source-images.
These features are invariant to translation and rotation, and to some extent to vergence and brightness.
It creates a text-file of hundreds (or thousands) of those points that can be used by other programs (such as the panorama-stitching program 'Hugin', robot-vision, etc.).
Using the knowledge of those points, SPM applies translation, simple rotation, scaling, perspective-rotation and color-equalisation to correct the images.
All of the MultiConversion settings may be saved as a named MCV file (e.g. 'Powershot_Twinned.mcv').
Input images may be JPS/JPG/DAS/BMI/STJ/BMP/TIF/GIF/PNG.
Simply loading the MCV file into MultiConversion and clicking 'OK' will load your stereo images or left/right pairs in parallel or cross-eyed format, rotate left/right image by 0/90/180/270 degrees or horizontally or vertically flip, correct barrel-distortion and then auto-correct the errors using the SIFT algorithm and balance the colors using the left or right image as reference.
The image is saved in any of the usual stereo-formats and file-types with the original EXIF information, text overlay, logo, tricolor border, swapped left-for-right and at a predefined width/height and target file-size.
The report-files may be saved if required.

The detailed instructions below are for installing Autopano-SIFT and the .NET framework that SPM used for the first version of auto-align.
It is considerably easier, and recommended, to use 'Autopano' instead.
It is also faster and if located in the same folder as SPM, will be used if no path is entered in 'Preferences\Adjust'.
.
Download it here
Simply uncompress the latest 'Autopano' ZIP-file into same folder as SPM.
The .NET framework installation is not required.

  • 1.Download "autopano-sift-*.*-win-1.exe" (Windows version) from here :-

    http://cs.tu-berlin.de/~nowozin/autopano-sift/

  • 2. Double-click the icon to install Autopano-sift

  • 3.If Microsoft .NET framework is installed, you don't get this message.
    Otherwise, click 'OK' to install the framework.
    Continue to No.9.

  • 4.Download the Microsoft .NET framework.

  • 5.Double-click the icon to install the Microsoft .NET framework.

  • 6.Click the 'Yes' button to proceed.

  • 7.Choose 'I agree' to the License Agreement and then click the 'Install' button.

  • 8.Installation is complete.

  • 9.Continue to install autopano-sift.

  • 10.Installation is complete.

  • 11.Set 'Autopano Folder' in the Preferences dialog.

  • 12.Choose 'autopano.exe',then push 'Open' button.

  • 13.Push 'OK' button.


Auto Alignment

Batch Auto Alignment of Stereo Pairs

SPM uses data provided by third-party software that embodies a method for which the following patent has been issued:
"Method and apparatus for identifying scale invariant features in an image and use of same for locating an object in an image,"
David G. Lowe, US Patent 6,711,293 (March 23, 2004).
Provisional application filed March 8, 1999. Asignee: The University of British Columbia

IMPORTANT NOTE: SPM 4.0 and later has the option of internal code for feature-detection that is not based on SIFT.
This code is faster than SIFT and new users of SPM do not need to install Autopano or Autopano-sift as described below.

Auto alignment using SPM's internal code for feature detection

In Edit\Preferences\Adjust, clear the entry that specifies the location of Autopano.
SPM will enter 'Internal code' into that box.
You should still set the options for parallel\crossed images and how you want the images mounted to the window.

Using Autopano or Autopano-sift for feature detection (legacy methods)

You should have already installed Autopano-SIFT or Autopano and, if necessary, the .NET framework.
If you wish to include them in the batch-processing, the following need to have been determined or set :-
  • Barrel-distortion correction-factor.
  • Added text (such as a Copyright © notice).
  • Tricolor borders and spaces
  • Custom logo.

    • The logo, text, borders and spaces should have been set on an image about the same size as will be created by the batch-process.

If you are using Win98, right-click on a DOS window and set the option to close on exit as shown above.

Select MultiConversion and browse to your source-image folder or folders.
Select your options under 'Input file Type (Stereo)', 'Output File Type' and 'Edit'.
These are all explained in 'MultiConversion'.

Select the destination of your output folder and any file prefix, check 'Auto alignment (autopano)' and click 'Auto alignment Setting'.

SPM needs to know which image is left and which is right.
Depending upon your Preference\Adjust\Autopano Folder settings, Autopano or Autopano-SIFT will be used to detect image keypoints.
If report files are not saved, they will not be available for use by auto-alignment or EasyAdjustment.

For highest image quality, you can set 'Only horizontal and vertical alignment'in Edit/Preferences/Adjustment.
It will depend on the accuracy of your rig if you can use this.

Referring to the options in the above drop-down menu :-

1. Regardless of disparity, near point is mounted to window.
Far points may have excessive disparity.

2. If disparity is less than 1/25th image-width, near point is mounted to the window.
The far-points will have a 'comfortable' disparity.
If disparity is greater than 1/25th, near points will come through the window but far points are comfortably viewed.

3. No adjustment of the stereo window.
If you use Multiconversion with auto cropping ON, the image width will be cropped.
If you use this option, you can get maximum image width. and then adjust the window manually.

4. Input the deviation.
You may set the maximum deviation of the far points as a decimal percentage of image-width.
For viewing on a computer monitor, 5% (1/20) or more may be acceptable.

All of the above information may be saved in a named-file by clicking 'Save'.
In this way, future batch-operations may not need selection of any parameters other than the input folder or folders.
The text, borders, spaces and logo to be applied will be as saved in the MCV file (as will the current registry values).
You can customise the MCV file for different purposes and although that can be done by manually-editing the file,
the preferrred method is to make changes with SPM and save the new settings.
For future batch operations, you may simply need to click 'Restore(File)' to load all your preferred settings.

As explained in 'MultiConversion', you now 'Convert Selected Files' or 'Convert All Files'.
SPM makes different assumptions about filenames in each case.

Maximum image width and/or height should not exceed 16,383 pixels.

Your images will now be corrected, mounted to the window and have text, borders, spaces and logo added if required.
If you wish to hide the DOS (Autopano)window, select that option in Preferences/Adjust.
If you wish to make small adjustments to the window position (and have saved the report file), follow this procedure.


File/Multi Conversion

Multi Conversion...

'Multi Conversion' allows the user to select some or all image-files (of the same stereo format) in a folder and batch-convert them to another format, compressed or uncompressed, resized, with altered contrast (gamma 0.01 to 5.00), rotated, repositioned horizontally and/or vertically, left/right swapped and sharpened or softened.

Using the very powerful auto-alignment feature, hundreds of images may have their errors corrected and be mounted relative to the stereo 'window', saving hours of manual work.

For auto-correction, maximum image width and/or height should not exceed 16,383 pixels.

'Multi Conversion'is also useful for batch-resizing non-stereo images, simply call the input/output file types 'side-by-side' .

  • Input Files
    The supported file-types are JPS,DAS,BMI,JPG,STJ,BMP,TIF,GIF,PNG,MPO and supported stereo formats are Side-by-side, Above/Below, Interlaced, Anaglyph and Independent Left/Right image pairs.
    If 'Independent(L/R)' is chosen, a 'Right image Folder' checkbox is displayed.
    If checked, you may then specify a different folder for the Right image.

    You may choose to rotate either or both input images by 0, 90, 180 or 270 degrees or flip them horizontally or vertically.
    For Tri-delta images, choose side-by-side and apply the appropriate rotations to each side.

  • Output Files
    Click the left-hand dropdown menu to select from the following stereo formats :-

    • Side-by-side
    • Independent left\right.
    • Side-by-side (Mirror left)
    • Side-by-side (Mirror right)
    • Side-by-side (Mirror both)
    • Above\below
    • Above\below (Mirror Top)
    • Above\below (Mirror Bottom)
    • Above\below (Mirror Both)
    • Gray Anaglyph
    • Gray Anaglyph (red/green)
    • Gray Anaglyph (red/blue)
    • Gray Anaglyph (yellow/blue)
    • Color Anaglyph
    • Half-color Anaglyph
    • Dubois Anaglyph
    • Ghost-reduced Anaglyph
    • Color Anaglyph (yellow/blue)
    • Half-color Anaglyph (yellow/blue)
    • Optimized Anaglyph
    • Row Interlaced
    • Column Interlaced
    • Sharp 3D LCD
    • 3D DLP TV
    • Single Image (Left)
    • Single Image (Right)
    • Universal Freeview L-R-L
    • Image for My3D Viewer

    Click the middle dropdown menu to select filetype as BMP, JPG, JPS, PNG,MPO, TIFF or GIF.
    Images intended for display on 3D DLP TV's should be saved in BMP or TIFF format.
    'Output File Setting' allows you to set the following values :-

    • BMP (color depth)
    • JPG (target size, compression, thumbnail)
    • JPS (target size, compression, thumbnail)
    • PNG (color depth)
    • TIFF (color depth, compression)
    • GIF (color depth)
    • MPO (compression, thumbnail)

    The above message will be displayed if you do not choose 'Independent (L/R)' stereo format when outputing MPO files.

    A thumbnail image may be added to the output JPEG-format files (JPG,JPS) but if that is the only batch-operation that you wish to do,
    see 'Open File List' for an alternative method.
    Together with the thumbnail, the EXIF camera data is also copied to the output image.
    For compressed files, image quality can be chosen from '1' to '99' with the default value set at '70'.
    A file prefix may be defined and this is especially useful when creating 'Popup Anaglyphs'.
    You may have a folder of source images, a folder of adjusted Popup images and a folder of camera-views of the Popups.
    In the dialog-box above, 'popup_' has been prefixed to the filenames to denote they are adjusted versions of the source-images.
    Similarly, you may wish to prefix 'camera_' or 'cv_' (for camera-view) for the images that show the observers view of the finished 'Popup Anaglyph'.
    You may use 'Browse' to select the destination folder for your files.
    When submitting images to web-based photo galleries, a maximum filesize is often specified.
    Entering the appropriate value in 'Target Size' will force SPM to use a suitable compression value to meet that target.
    You should have previously confirmed that the likely compression is acceptable for the type and size of images you are processing.
    Some programs may not open images that have extreme compression.
    If you are saving gray or color anaglyphs, a checkbox to enable 'No Compression ghosting' will be displayed.
    All anaglyph types are supported, the output file will be in the anaglyph mode that you have currently selected.

  • Image Adjustment

    For details of batch-correction and mounting using Autopano,Autopano-sift or the faster non-SIFT method introduced with SPM 4.0, see     'Auto Alignment of Stereo Pairs'
    For highest image quality, you can set 'Only horizontal and vertical alignment'in Edit/Preferences/Adjustment.
    It will depend on the accuracy of your rig if you can use this.

    Rather than letting SPM calculate the alignment values, you may enter your own predetermined values.
    In the correction process, Autopano,Autopano-SIFT or the internal non-SIFT code will not be required or used.
    Manually enter values in the 'Value alignment' dialog-box shown above, or click 'Restore' to load from an individual image's alignment-values file, and then click 'Ok'.
    If you now click 'Save' (on the right, under 'Settings Value'), all of those values will be saved, with the rest of the main dialog-box choices, in the MCV file.
    In other words, you can apply the alignment values for a particular image to an entire batch of images, time and again.

    By default, all images are cropped to eliminate 'blank' space caused by operations such as rotation.
    The status of 'Auto Crop after adjustment' here reflects the setting in Preferences.
    You may of course disable it for Multi Conversion if you wish.
    Any changes made to Angle (image rotation), Size, Position or Gamma may be undone by clicking 'Restore Value' .
    This is also required when batch-processing 'Popup Anaglyph' images or the camera views of the Popup Anaglyphs'.
    The parameters for correcting the barrel-distortion of zoom lenses at a particular setting, may be determined
    using the procedure described here.
    You will be prompted to select the text-file containing the saved adjustment parameters.
    If Anaglyphs are converted to other formats they are displayed as gray-scale.

  • Image Editing and Formatting for Digital Projection

    All the images may be cropped identically by defining the top-left and bottom-right x,y co-ordinates.
    In addition, the images may be resized to a common size, optionally sharpened and swapped left-for-right.
    Images intended for display on 3D DLP TV's should be 1280x720 or 1920x1080 depending upon the native resolution of your TV.
    You may add user-defined text (such as a copyright notice) by checking the 'Add Text' box.
    You may add a custom logo directly on the image or a colored zone by checking the 'Add Logo' box.
    The values used for Text and Logo will those set in the last use of the Add Text and Add Logo functions.

    ..

    (above screenshot is from a pre-3.11 release of SPM)

    Check 'Save Borders' if you want the     currently-defined tri-color borders to be added to the Saved images.
    If you have specified a Left/Right Space to be added when saving, that will also be saved.
    The above example shows how to resize your images so that they meet a target-size, including any tri-color borders or color left/right borders.
    The decorative border comprises inner, middle and outer parts that total 14 pixels in width.
    To provide separation between the left/right images on the webpages, a border 24 pixels wide and the same color as the webpage background is added when saving.
    Consider that the final side-by-side image has to be 1000 pixels wide, meaning the left/right images are 500 pixels wide.
    This has to include all borders.
    The decorative border is 14 pixels wide each side on each left/rightimage, so we subtract 28 to give 472 pixels width for a single side.
    The 24 pixel space between the images is split between them giving 12 pixels per image.
    Subtracting that gives an image width of 460 and that is what the image must be resized to.
    A similar calculation is done for image-height.
    SPM can balance the color/brightness of folders of left/right images.
    Choose 'Auto Color Adjustment' . Radio buttons will then be displayed to allow you to select the left or right image as reference.
    The reference images are the ones that are assumed to be correctly exposed and are not altered.

    To format images for digital projection, after checking the 'Resize' box you will have the option to 'Keep Aspect-ratio'.
    (see screenshot at     top of page).
    On checking that, you will have the option to crop or to apply a border.

    On choosing the latter, your images will be centered in each half of the composite and, if necessary, surrounded by a border in your 'Preferences/View' currently-chosen background color.

  • Output Folder
    Browse to an existing folder or enter the name of a new folder.
    If desired, folders may have encryption and/or indexing enabled.

  • Batch Conversion
    Simply select all images in the folder or select individual ones in the usual way (using <Shift> and <Ctrl> as appropriate).
    If you choose 'Convert Selected Files', SPM will look for a file with the same name in the 'Right' folder.
    If the left-folder file has suffix '_l', it will look for same-name file with suffix '_r'.
    If it finds neither, it will simply select the file that is in the same alphabetical order.
    In other words, the image that is third in alphabetical order in the left folder will be paired with the image that is third in alphabetical order in the right folder, whatever their individual names.

    If you choose 'Convert All Files', the images will simply be processed as pairs in alphabetical order.

    On completion, you will be given the option to Exit or return to MultiConversion.

    If you have a dual-core processor and many images to convert, you can check the 'Multi Job'and then 'Convert All Files'.
    A second Multiconversion window will open and the task of processing the images will be divided between the two processors.
    That is shown above and you can see that each window has its own progress window overlaid.

  • The dialog-box shown above includes typical correction-settings that may be used as a starting-point for correcting batches of LIAC images.
    As you can see, there are rotation errors and a slight difference of image sizes.
    There is also a vertical-displacement error and the images will need to be cropped.
    The crop values obviously depend on the size of your images.
    Thanks to Mike Bittner for this information.


Muttyan's Home Page

Using twinned-cameras with SPM

The images of the twinned cameras are reproduced with the kind permission of Gert Jan Wolkers and Co van Ekeren ©
They must not be reproduced without their permission.

1. Left:Normal / Right:Normal
.
2. Left:upside down / Right:Normal
.
3. Left:left side down / Right:left side down
.
4. Left:left side down / Right:Right side down
.

Digital cameras use the Exif format to embed various information tags in the image-header, including the image-orientation.
Many imaging-applications (including SPM) support this tag for the correct display of the image.
Some cameras have an orientation sensor and can therefore automatically set this tag to the correct value.
For other digital cameras, the values must be manually set.
For images that do not have an Exif header (for example, scanned images from a film camera) SPM can add it.
See 'Open Image file list' in the Help file and follow the instructions for adding a thumbnail before carrying-out the following instructions.

If you simply rotate the image, then resave it as a jpeg file, you will be losing image quality.
So, I recommend that you use the Exif orientation tag in order to retain image quality.

SPM allows you to quickly specify the orientation-tag value for an entire folder of images.

This is the procedure for case '4' shown above (the other orientations are a similar procedure)

First, prepare your images (copy to left/right folder, rename, etc...)

1. Open SPM, then open image file list.
.
2. Select a left-image folder in tree-view, then select all the files.
.
3. Set the orientation tag 'Left' in the mouse right-click menu.
.
4. Finish to set the orientation tag
.
5. Select a right image folder in tree-view, then select all the files.
.
6. Set the orientation tag 'Right' in the mouse right-click menu.
.
7. Close 'open image file list'.
.
8. Open Left/Right images

Note that the 'Open Image file list' shows the images in their original orientation and not with the orientation tag applied.

For other orientations

Left side down | Right side down | Up side down

If you wish to check the folders for missing images or unsuitable image-pairs, see Running two Instances of 'Open Image file list'.


Using Multiple Monitors with SPM

These notes include information that has been kindly provided by Ron Labbe and Werner Bloos.

Win98 onwards has supported multiple monitors, up to nine video adapters for Win98/ME and up to ten for Win2000/XP.
(Some video card manufacturers support multiple displays on Windows 95 & NT 4.0).
Some video adapters can have 2,4 or 8 outputs so potentially very large 'wall' configurations are possible.
The operating system sets up a 'virtual display' in video-memory and maps parts of it to individual monitors.
This allows you to drag windows to any monitor, except the primary monitor which is always at top-left in the 'virtual display'.
You can mix AGP (one card only) and PCI video cards but ISA is not supported.
Adapters are also available to drive a monitor from a USB port.
One of the cards will be used as the BIOS primary video card and this is the card which is active during system startup.
It displays BIOS messages and the Windows boot progress, and it is also the card which will be used for fullscreen DOS applications.
The BIOS primary card is either the AGP card or the first PCI video card (the one in the lowest-numbered slot, nearest to the AGP slot).
To choose whether AGP or PCI should be primary, enter the BIOS setup during booting and look for a setting called 'Initialize First', 'Init Display First' or similar.
On Windows 2000/XP, you can set any card as primary in Display Properties, but DOS applications will still use the BIOS primary display.
You should check that a proposed PCI card will work correctly as a secondary, especially if it is an ATI.
Old PCI video cards (S3 Trio, ATI Rage, etc) need to be primary in BIOS in order to work with Windows 2000/XP.
Because only a single card can be primary in BIOS, this means that you're limited to a single card of this type per system.
With multiple monitors, you may have to disable secondary monitors before starting OpenGL applications on the primary, it depends on the driver.
Once the OpenGL application has started, you may enable the secondary monitors.
Because Windows 2000/XP use different display drivers than Windows 98/Me, some configurations that work with 98/Me might not work with Windows 2000/XP.
Again, because new chipsets, updated drivers, and combinations of display adapters are a continuous issue for multiple-monitor support when separate video cards are used, there can be difficulties setting-up a multimonitor system, especially for stereo.

The following links provide useful information :-

  • Windows support for multiple monitors
  • UltraMon multiple-monitor support enhancement program
  • http://www.digitalroom.net(Multiple Monitor Guide)
  • All NVidia graphics and stereo drivers and display information.
In the standard Windows 98 multimonitor support, the desktop area is spread across both displays.
The refresh rate, color depth, and resolution may be independently set for each display

. In addition to the standard Win98 multimonitor support, Win2000/XP have 'Dualview' (Extended desktop) mode that treats two displays as separate devices.
Maximizing the window in the first display does not maximise the window in the second display.
Windows XP is pre-configured to use Dualview mode with multiple monitors (Win2000 is not).
Graphic-card vendor's support other modes such as NVidia's horizontal/vertical Span ('Big desktop') and Clone.
NVidia nView supports Dualview(Extended Desktop), clone and span modes.
Dualview is a 'native' windows mode that can be used with separate graphics cards, 'Span' and 'Clone' are only supported on certain multi-output graphics cards.
For separate cards, NVidia recommend that the same GPU be used and the same driver MUST be used.
Under Win2000/XP, NVidia also strongly recommend that Dualview is used with multiple monitors.

Dualview Mode

The above dialog-boxes show a dual-output FX5200 graphics-card setup for Dualview.
From version 2.32 onwards, SPM supports Dualview using windowed, fullscreen or dual fullscreen modes.

You may choose the left (Alt+Enter) or right (Ctrl+Alt+Enter) device as SMM's 'primary'.

The primary monitor on the left can extend its desktop onto the right-hand monitor.
The taskbar only appears on the primary monitor and each monitor has its own background.
SPM has been opened in a window on the primary monitor.

Here SPM's window has been maximized.

... and here fullscreen mode has been selected.

By selecting the menu-option 'Dual Fullscreen' or pressing 'Alt' + Enter' keys, the left/right views are displayed fullscreen on separate monitors (or projectors).

Span Mode

In the above screenshot, each monitor is set to 1024x768 resolution and the reported resolution of the 'single' display is 2048x768.

Horizontal Span Mode is like one double width monitor with the desktop and taskbar stretched over both of them.
Here, SPM has been opened in a window

... and its window has been maximized.

... and here fullscreen mode has been selected.

... and here dual fullscreen (which is obviously unsuitable for our purposes).

Clone Mode

In clone mode, the two monitors display exactly the same image. Here, SPM is opened in a window.

... the window is maximized

... and here fullscreen is chosen.

... and here dual fullscreen is chosen.


Mirror View

Viewing Mirrored Images with Single Monitor

Display your image in side-by-side mode and press the 'E' key to set the image spacing to wide.
Alternatively, use menu-option 'View\Image-distance when reduced-image'.
The key toggles through narrow, medium and wide spacing.
You can set 'wide' spacing as your preferred side-by-side format in Edit/Preferences.
As images can only be reduced to 50% in size with the menu settings, large images may be reduced further by rotating the mouse-wheel towards you.
It may sometimes be necessary to view side-by-side images that have one side mirrored and which are intended for special viewing methods.
Also, you may wish to share your stereo images with others who cannot freeview and do not have anaglyph glasses.
You can view these with a single monitor using the arrangement below:-

This example has the left-image mirrored.
To do this, press 'Shift+F9' or choose 'Stereo/Side-by-side/Mirror left' from the menu.
Place a mirror about 125x125mm (5"x5") square against your nose and view the right image with your right eye.
Focus your left eye on the right image but carefully adjust the angle of the mirror until the reflected left-image merges with the right one.
A surface-silvered mirror will be preferred by the stereo-enthusiast but the ready availability of ordinary, back-silvered household mirrors makes this a simple way of encouraging interest in stereo-imaging among the 'general public' .


WinX3D Driver

If available, the Winx3D driver will support a greater range of hardware than the NVidia Stereo Driver.
You will not be able to obtain it from the original website. Be sure you are using the correct version for your operating system .
After installation, test various monitor refresh-rates at the required resolutions, otherwise the monitor may default to 60Hz which will produce very visible blinking.

In menu 'Stereo/Page-flip setup', ensure the Winx3D checkbox is selected.

The configuration menu is located at 'Settings/Control Panel/WINx3D


Susie Plug-in

'Susie' is a very popular Japanese image-viewer that supports Windows Metafile (wmf),Sun Rasterfile(ras,rs),PNG(png),PICT(pict,pct) and Targa(tga) file formats.
The GIF format is not supported.
Download the LZH file and uncompress to any folder. Specify the folder's location in SPM's Preferences.

WinZip will not extract these files, you need to use the DOS-utility 'lzh.exe' .
You can download it and get further information here .
Startup WinZip and in 'Options/Configuration/Program Locations/LHA' enter the file location of 'lha.exe'.
You may then double-click on the LZH file and WinZip will open it..

After restarting SPM, the plugin-supported file-types will appear in the two 'Open Images' menus in their 'Files of Type' drop-down menus. Click the down-arrow.


Quad-buffered Stereo OpenGL

To use quad-buffered stereo OpenGL you normally require a 'professional' graphics card that supports it such as NVidia Quadro series, Oxygen's, Wildcats, etc.
Many NVidia graphic cards (apart from GeForceFX) can have their Detonator drivers modified by the programme RivaTuner so that quad-buffered stereo is available (if enabled) under Win2000/XP.
It will not be available under Win9x. (Initially the stand-alone programme 'SoftQuadro' was used but now appropriate 'scripts' are supplied with RivaTuner).

Basically, you do this :-

1. Install RivaTuner and refer to the FAQ's if required.
2. Download the latest Detonator driver that is in RivaTuner's database for your graphics card.
....If there is a more up-to-date driver at NVidia, check if a new RivaTuner script has been released to support it. Right-click on the file and extract to a folder with WinZip.
.... Do not double-click the file as the NVidia installer will start-up.
3. Use RivaTuner to patch the drivers and run an anti-protection script.
4. Enable the Quadro and 'Professional' features of your graphics card using RivaTuner.
5. Uninstall current display drivers and reboot. If you have not done this before, the default 640x480 screen may be slightly alarming !
6. Follow the 'New Hardware Found' wizard, making sure you select 'Specifiy a driver location' and navigate to the folder containing the patched-driver. This will install the new driver.
7. A programme such as glInfo should now show your card to be a Quadro type (as well as displaying many of its OpenGL properties).
8. Finally, using the display panel at Additional OpenGL Properties>OpenGL Stereo, select 'Enable Stereo in OpenGL' and ensure overlays are disabled.

More detailed instructions are available at many websites :-


Menu

MENU/Shortcuts/Tool bar Icons

Menu Items |  |  | Icon | Shortcuts
File | Open Stereo Image... |  |  | W
 | Open Left/Right Images... |  |  | O
 | Open Single Image ... |  |  | Ctrl+O
 | Open Image file list ... |  |  | Alt+O
 | Slide Show List... |  | . | .
 |  | Open Slide Show List | . | .
 |  | Delete File from Slide Show List | . | Ctrl+D
 |  | Write Alignment Info | . | Y
 |  | Make/Edit a Slide Show List | . | .
 |  | Select a Slide Show List | . | Ctrl+M
 |  | Add File to a Slide Show List | . | M
 | Save Stereo Image... |  |  | S
 | Save MPO File... |  | . | Alt+S
 | Save Universal Freeview L-R-L... |  | . | Ctrl+Alt+S
 | Save Left/Right Images... |  | . | Ctrl+S
 | Make Animation GIF... |  | . | .
 | File Property... |  | . | Ctrl+H
 | File Copy... |  | . | Shift+C
 | File Move... |  | . | Shift+M
 | File Delete... |  | . | Delete
 | Create/Split DAS File... |  | . | .
 | Create/Split MPO File... |  | . | .
 | Write Alignment Info. in DAS |  | . | Y
 | Multi Conversion... |  | . | .
 | Multi Conversion from Slide Show List |  | . | .
 | Lossless Jpeg Multi Conversion |  | . | .
 | Multi Rename... |  | . | .
 | Multiple Images... |  | . | .
 |  | Auto rotation adjustment (One by one) | . | .
 |  | X/Y adjustment & Cropping | . | .
 |  | Other multi job | . | .
 |  | Create Lenticular image | . | .
 | Mosaic Images... |  | . | .
 | Run External Program |  | . | G
 | Print Setup... |  | . | .
 | Print... |  | . | P
 | Print Stereo Card... |  | . | .
 | Most Recently Used Files |  | . | .
 | Delete most-recently-used files |  | . | .
 | Exit |  | . | .
Edit | Undo |  |  | Z
 | Redo |  |  | Alt+Z
 | 'Undo Buffer' clear |  | . | Shift+Z
 | Copy |  | . | Ctrl+C
 | Paste |  | . | Ctrl+V
 | Resize... |  |  | R
 | Crop |  | . | .
 |  | Free Cropping |  | B
 |  | Free Cropping Option | . | .
 |  | Custom Cropping... | . | 0
 |  | Fixed Size Cropping 1 | . | 1
 |  | Fixed Size Cropping 2 | . | 2
 |  | Fixed Size Cropping 3 | . | 3
 |  | Fixed Size Cropping 4 | . | 4
 |  | Fixed Size Cropping 5 | . | 5
 | Rotate/Flip Image |  | . | .
 |  | Rotate to Right | . | Ctrl+Right Arrow
 |  | Rotate to Left | . | Ctrl+Left Arrow
 |  | Right Image Rotate to Right | . | Ctrl+Shift+Right Arrow
 |  | Left Image Rotate to Left | . | Ctrl+Shift+Left Arrow
 |  | Horizontal flip (Left) | . | Ctrl+UpArrow
 |  | Horizontal flip (Right) | . | Ctrl+DownArrow
 |  | Vertical flip (Left) | . | Ctrl+Alt+UpArrow
 |  | Vertical flip (Right) | . | Ctrl+Alt+DownArrow
 | Sharpen... |  | . | U
 | Edge Detection... |  | . | .
 | Spheric deformation... |  | . | Ctrl+U
 | Add Text |  | . | Ctrl+T
 | Add Logo Image |  | . | Ctrl+L
 | Add Fuzzy Border |  | . | Shift+B
 | Floating window |  | . | Shift+F
 | Overlay Image |  | . | Alt+L
 |  | Add Latest Overlay Image | . | Alt+V
 |  | Alignment(Up) | . | Alt+UpArrow
 |  | Alignment(Down) | . | Alt+DownArrow
 |  | Alignment(Left) | . | Alt+LeftArrow
 |  | Alignment(Right) | . | Alt+RightArrow
 | Make 3D Image for Mobile phone |  | . | H
 | Make Hasboro my3D format |  | . | Ctrl+J
 | Preferences... |  | . | .
 | Clone Brush setting... |  | . | Ctrl+N
 | Customize Toolbar... |  | . | Shift+T
View | Normal Size(100%) |  |  | J
 | Fit To Window |  |  | F
 | Fit Panorama height to the screen |  | . | Q
 | Fit Panorama width to the screen |  | . | Shift+Q
 | Horizontal auto-scroll (for Panoramas) |  | . | I
 | Vertical auto-scroll (for Panoramas) |  | . | Shift+I
 | Panorama Mode (360 degree) |  | . | P
 | Full-Screen |  |  | Enter
 | Dual Fullscreen |  | . | Alt + Enter / Ctrl + Alt + Enter
 | Next Image |  | . | Space/Mouse
 | Next one of pair |  | . | Ctrl+Space
 | Previous Image |  | . | Back space/Mouse
 | Slide Show |  | . | A
 | Zoom In |  | . | F2
 | Zoom Out |  | . | F3
 | Resampling ON/OFF |  |  | Ctrl+R
 | Swap Left/Right |  |  | X
 | Image-distance when reduced-image |  | . | E
 | Show/Hide Cursor |  |  | T
 | Show/Hide Navigator |  |  | N
 | Border Options... |  |  | Alt+B
 | Grid setting... |  | . | Ctrl+G
Stereo | Adjustment View |  |  | F5
 | Interlaced |  |  | .
 |  | Row Interlaced | . | F4
 |  | Column Interlaced | . | Alt+F4
 |  | Sharp 3D LCD | . | Shift+F4
 |  | 3D DLP TV | . | Ctrl+Alt+F4
 | Gray Anaglyph |  |  | F6
 |  | Red-Cyan | . | .
 |  | Red-Green | . | .
 |  | Red-Blue | . | .
 |  | Yellow-Blue | . | .
 |  | setting... | . | .
 | Color Anaglyph |  |  | F7
 |  | Color (Red-Cyan) | . | .
 |  | Half Color (Red-Cyan) | . | .
 |  | Dubois Anaglyph | . | .
 |  | Ghost-reduced Anaglyph | . | Ctrl+F7
 |  | Color (Yellow-Blue) | . | .
 |  | Half Color (Yellow-Blue) | . | .
 |  | Optimized | . | .
 |  | Optimized Setting | . | .
 |  | Setting... | . | .
 | Side-by-side |  |  | F9
 |  | Mirror Left | . | Shift+F9
 |  | Mirror Right | . | Ctrl+F9
 |  | Mirror Both | . | Ctrl+Shift+F9
 | Above/Below |  |  | F10
 |  | Mirror Top | . | Shift+F10
 |  | Mirror Bottom | . | Ctrl+F10
 |  | Mirror Both | . | Ctrl+Shift+F10
 | Single Image View |  | . | F11,Shift+F11 and Ctrl+F11
 | Page-flip for 3D Shutter Glasses |  |  | F8
 | IZ3D Monitor |  | . | Ctrl+F8
 | Page-flip Setup... |  | . | .
Adjust | Easy Adjustment... |  |  | K
 | Create Popup Anaglyph |  | . | .
 | Color adjustment... |  | . | Shift+K
 | Auto color adjustment |  | . | Ctrl+K
 | Auto alignment (autopano) |  |  | Alt+A
 | Alignment Mode |  |  | Ctrl+A
 | Alignment(Up) |  |  | Up Arrow
 | Alignment(Down) |  |  | Down Arrow
 | Alignment(Left) |  |  | Left Arrow
 | Alignment(Right) |  |  | Right Arrow
 | Alignment(Reset) |  |  | Home
Web | Make HTML file from displayed image |  | . | .
 | Make HTML file from image list(Window) |  | . | .
 | Make HTML file from image list(Embedded) |  | . | .
 | Make Stereo Flash Viewer |  | . | .
 | Show/Edit GEO tags |  |  | .
 | Stereo Google Earth |  | . | .
Help | Help |  | . | F1
 | Muttyan's home page |  | . | .
 | Muttyan's Stereo Galleries |  | . | .
 | Help (WEB) |  | . | F1
 | About... |  | . | .
 | Remove All Registry Entries |  | . | .

Zoom In/Out : Mouse wheel
Scroll Image : Mouse Drag


File/Open Stereo Image

Open Stereo Image...(W)

To increase the size of the File Open dialog, simply drag the bottom-right corner with the mouse left button depressed.

File types directly supported by SPM are GIF, animated GIF, JPS,DAS,BMI,JPG,STJ,BMP,TIF, MPO and PNG.
SPM supports uncompressed and compressed (see below) TIFF files.
The 'Susie' plugin may be used to support the following additional filetypes :-

Windows Metafile (wmf), Sun Rasterfile(ras,rs), PICT(pict,pct) and Targa(tga).

  • JPS files are JPG-compressed images that normally have the left-eye view on the right and the right-eye view on the left.
    The initial VRex specification proposed a four-byte value in the JPG APP3 marker to define stereo format.
    Originally, the defined formats were anaglyph, side-by-side, above/below and interleaved (interlaced).
    The overwhelming majority of JPS files on the Internet use cross-eyed side-by-side.
    However, SPM makes no assumptions and the user should explicitly state the stereo format, including whether parallel or cross-eyed.

  • DAS files are SPM's own format that saves the Left and Right images in an uncompressed form together with thumbnails and embedded horizontal and vertical-alignment information.
    Image quality is retained and the original may be restored.

  • BMI files are interlaced images saved in the uncompressed bitmap format.

  • JPG files are compressed images in parallel (left-eye view on left) or cross-eyed (left-eye view on the right) format.

  • STJ files are a special format for Japanese 3D mobile phones which are made by NTT DoCoMo. It is similar to JPS.

  • BMP files are uncompressed images in parallel (left-eye view on left) or cross-eyed (left-eye view on the right) format.

  • TIF files are uncompressed or compressed (lossless) images in parallel (left-eye view on left) or cross-eyed (left-eye view on the right) format.
    SPM will open TIFF files with packbits, LZW or ZIP compression.

  • MPO are multiple picture format files, first used with the Fuji Real 3D W1 camera.
    They contain two separate JPG images.

  • PNG files are losslessly compressed and SPM will open indexed (1, 4 or 8-bit) or 'TrueColor' formats.

  • GIF files use Lempel Zev Welch (LZW)compression and are 256 colors or less.

  • Animated GIF files are 256 colors or less and SPM treats them as side-by-side even if you enter an incorrect stereo-format.

Although by convention each file-type normally implements the stereo-formats stated above, in SPM it is not a requirement as file-type and stereo-format
are specified separately.
Interlaced JPS for example would be unusual but perfectly acceptable to SPM.

The stereo-image formats supported are Side-by-side, Above/Below, Interlaced, Anaglyph, SIS and Tri-Delta.

Side-by-side format may have the images arranged in parallel or cross-eyed view.

Above/below format may have the Left image on the top or bottom.

Interlaced format may have the left image in the odd or even lines.

Anaglyphs may be monochrome or color.

For Anaglyph(Gray), the left and right views are converted to grayscale.

For Anaglyph(Color), the left/right views are displayed in a special way that makes them easier to use with 'Easy Adjustment'.
After adjustment, you can display them in other anaglyph modes except half-color.
That is because half-color mode uses a grayscale value computed from the RGB values and those values are not available.
This mode is only intended to aid the editing of anaglyphs and not for viewing.

'Tri-Delta' is the name normally given to the 'Prism Stereo' attachment originally made by Tri-Delta Engineering (New Jersey, USA). Similar attachments based on mirrors and/or prisms are now available or are often custom-built.

Further information at 'Tri-Delta Prism Stereo Camera Adapter'.
The images may be aligned top-to-top (TT) or bottom-to-bottom (BB). See figures 3 and 4 for examples.

figures 3 Tri-Delta(TT)

figures 4 Tri-Delta(BB)

Obviously, choosing the wrong stereo-format for the selected-image will result in the image being incorrectly displayed.

'Swap Left/Right' may be applied to the stereo-pair.
For example, if your stereo-images are in cross-eyed format and you normally view in Anaglyph mode or use Easy Adjustment (with its anaglyph view) a lot.

'Show Preview' may be checked to show a thumbnail image of a browsed file and information regarding its file-type,image-width and height and color-depth.

'Open as Normal size' may be checked to open the image at its native size.
If the window is smaller than the image, only part of it is displayed and the horizontal and vertical slider-bars are used to navigate the image.

SIS is a proprietary format.


File/Open Left/Right Images

Open Left/Right Images...(O)

To increase the size of the File Open dialog, simply drag the bottom-right corner with the mouse left button depressed.

File types directly supported by SPM are GIF, JPG, BMP, TIF and PNG.
SPM supports uncompressed and compressed TIFF files and will open files with packbits, LZW or ZIP compression.
SPM will open PNG files in indexed (1, 4 or 8-bit) 8-bit or 'TrueColor' formats.

If the Left/Right images are in the same folder, they may be multi-selected by holding down the <shift> key for adjacent-image file-names or the <Ctrl> key for separated file-names.
If you select a single image whose filename ends in '_l', '_L', 'l', 'L', '_r', '_R', 'r' or 'R' the matching-image is automatically loaded after you are prompted for confirmation.
If the left and right images are in separate folders, SPM will remember this when you press the spacebar to browse the images.
Typically, renamed images from twinned digital cameras will be in separate folders.

When importing images from cameras configured as USB removable drives, use space or backspace to refresh the folder information.

The selected images will normally form a stereo-pair but need not and may even both be the same.
'Show Preview' and 'Open as Normal size' options are available.

If you wish to swap the images left-for-right, tick 'Swap Left/Right' checkbox when opening either the left or right image.

If the image is in the digital camera Exif format, 'Left turn', 'Right turn' and '180 rotated' options will be displayed.

If the image contains an embedded orientation tag, SPM will use that tag and the appropriate option will appear 'depressed', as shown above.
If you select one of the orientation options (or 'Original') the orientation tag will be set in the file.


File/Open Single Image

Open Single Image...(Ctrl+O)

This function is intended for opening files that cannot have any disparity adjustments made on them.
When in this mode, a toolbar icon is provided together with a hotkey (Ctrl+O).
This obviously includes non-stereo images but also color anaglyphs that you wish to display in color.
(If you use 'Open Stereo Image' with color anaglyphs, they are converted to a pair of monochrome images for subsequent disparity adjustment).

Stereo 360 degree panoramas should be loaded with this option, image-height fitted to screen, Panorama mode set and Auto-scroll selected.

All normal operations may be performed on the single image :-

Resize
Crop
Rotate
Sharpen
Edge detect
Add Text
Add Logo
Save Image


File/Open Image file list

Open Image file list (Alt+O)

  • Embedding Thumbnails into JPEG-format files
  • Embedding Image-orientation tags into JPEG-format files
  • Running two Instances of 'Open Image file list'
  • Selecting Favorite Images from Folder
  • Renaming Images
This option may also be selected by clicking the associated icon on SPM's main toolbar.
When this option is selected, the contents of the folder you last used will be displayed as thumbnails, small icons, List or details.
The particular display mode will be the one that you last selected.
When importing images from cameras configured as USB removable drives, use space or backspace to refresh the folder information.
'Small icons' simply displays a custom SPM icon together with the names of the files.
'Details' displays Name, size(in bytes), image type (BMP,JPG,JPS,etc.) and calendar-date of creation/modification.
These display modes can be selected from the toolbar buttons or from the 'View' menu.
You may then sort the entries by Name, size, type or time, again using the toolbar buttons or the menu 'View/Arrange icons by ..' .

The left-hand resizeable window displays the FileTree and allows to to navigate to the required folder.
Alternatively, you may use the menu 'File/Select Folder' option to perform the same task.
JPEG-format files (jpg, jpeg, jps, stj) may contain embedded thumbnails and SPM will use these for display.
Otherwise, SPM will create the required thumbnails 'on-the-fly'.
You may choose menu option 'Edit/Show only images with embedded thumbnails' to speed-up display of the folder contents.
The size of SPM's 'on-the-fly' thumbnails may be chosen from 'View/Thumbnail size' as small (80x80 max.), medium (120x120 max.) or large (160x160).
As aspect-ratio is preserved, the actual size will depend on the source-image dimensions.
These choices do not apply to embedded thumbnails.

To open a stereo image, right-click on its thumbnail, button or detail entry and select format from side-by-side, above/below, interlaced, anaglyph or single image.
To open left/right images, click on the first image and Ctrl + click on the second image (whether it is alongside or separated) and again right-click and choose 'Open Left/Right Images' (the only option).
You may also open files, after selecting them, using menu option 'File/Open image'.

Embedding Thumbnails into JPEG-format files

Digital cameras typically embed a thumbnail in the Exif header but film-camera users can check SPM's 'Save Stereo Image', 'Multi Conversion' or 'Multi Conversion from Slideshow List' thumbnail options to do the same.
Another way is the 'Add Exif (thumbnail)' feature.
This only applies to JPEG-format files.
(this feature is also useful with folders containing large numbers of non-stereo images.)

With your folder contents displayed in any of the three modes, select an individual image with a single click, select a consecutive range with single-click followed by Shift + single click at the end of the range or select a discontinuous range of images using single-click followed by Ctrl + single click on each required image.
For selecting very large numbers of images that do not fit in the window even in 'List' display mode (and which cannot be scrolled), use menu option 'Edit/Select All Files' .
The selected files will be 'grayed-out' in any of the display modes and will remain so even if you change display mode.
Right-click anywhere on the selection and a context-menu will be displayed allowing you to add, delete or restore a thumbnail with the file.
If you choose to add a thumbnail, the process will start and the number of images that SPM has currently converted will be displayed in the window title-bar
(especially useful when large numbers of images are being processed).
You may stop the process by pressing the 'Esc' key, as stated in the title-bar.
On completion, SPM will display a 'Completed' message-box and report the number of images actually processed from the required number.
Click 'OK' to continue.
If you exit 'Open Image File List' and then re-enter, you will see that the processed images are surrounded by a distinctive frame to indicate that they contain embedded thumbnails.

To delete the Exif information, select the required files, right-click and choose 'Delete Exif(thumbnail'.
You will be asked if you want to backup the Exif information into a '*.exf' file for possible, future restoration.
After choosing the desired option, the process will start and on completion the number of images actually processed from the required number will be displayed.
If you chose to backup the Exif information, the associated '*.exf' files will be in the same folder as the selected images.
Click 'OK' to continue.
There will still be a distinctive frame around the images with embedded thumbnails until you exit and re-enter.

To restore the Exif information, select the required files, right-click and choose 'Restore Exif(thumbnail'.
Again, SPM will report how many files have had their Exif data restored.

Embedding orientation tags into JPEG-format files

This is useful when twinned cameras have been used as it avoids the rotation and resaving of a JPG image.
Such a process is not recommended as it leads to a loss of quality.
SPM (and maybe some other programs) may use these tags to correctly display the image.
It is intended for use with original, source images that contain an EXIF header.
If there is no such header, a warning dialog-box will be displayed and you will be asked if you wish to proceed with the rest of the selection.

The tag number will be displayed at top left of the Image File List thumbnail image (except with extra-large thumbnails).
For further details, see Using twinned cameras with SPM.

The following EXIF orientation tag values may be used :-

1 | Original
2 | Original -> H.Flip
3 | 180' rotated
4 | 180' rotated -> H.Flip
5 | Left -> H.Flip
6 | Right
7 | Right -> H.Flip
8 | Left

Running two Instances of 'Open Image file list'

This option allows you to compare the matching images in each folder and check for missing images or unsuitable pairs.
When running two Instances of 'Open Image file list', the combined filepaths may be up to 255 characters in length.

1. Open Image file list
.
2. Open another instance (or push 'I' key)
.
3. Select Left and Right folder
.
4. If you wish to swap-over the folders, click the toolbar button.
.
.
5. If you wish, hide the Tree-view (or push 'T' key)
.
6. You can scroll the left/right folders together (i.e.synchronously) in three possible ways:-
Using the mouse-wheel, the U/D keys or the toolbar buttons.
With the mouse, it may be necessary to click on either window first.
To scroll independently, use the window's right-hand slidebar.
.
7. You can select extra Large.
When you select extra Large, SPM does not use Exif thumbnails. It is too slow.
.
8. You can change the 'Extra large' thumbnail size in Preferences.
.
9. You can open Left/Right images from each folder.
Select one image from Left folder.
.
10. Select another image from Right folder.
.
11. Open L/R images (or push 'O' key)
.
12. Open SPM

Selecting Favorite Images from Folder

If you select your favorite images in a folder (most likely in Thumbnail view) and right-click on them, the context menu will give you the option to File Copy, File Move or File Delete them.
When copying or moving, if the destination folder does not exist SPM will ask if you would like the folder to be created.
If a new folder is created, the Folder TreeView on the left will not be updated until you choose menu option 'Edit/Refresh Folder TreeView'.
If you choose to delete files, you will be given the opportunity to cancel the operation.

Another way of moving or copying selected images between folders is by using the clipboard.
With tree-view enabled, in the first-instance of 'Open Image-file List', browse to the folder of the source images.
Select 'Instance/Open another Instance' and in that window browse to the desired destination folder.
Select 'Instance/ Show-hide TreeView' to hide the TreeView and then select View/Thumbnails, Small Icons or Details as preferred.
If you choose thumbnail view, select the size of the thumbnail.

Multiselect the source images that you wish to copy or move.

...

Right-click on an image and from the context-menu choose Copy(Clipboard) or Cut(Clipboard).
Alternatively, use the key-combinations Shift+C or Shift+X.

On the destination window, right-click and choose option 'Paste(Clipboard)' (or press keys Shift+V).
The selected images will be moved or copied from the source-folder to the destination folder.
(You may only use this 'Paste' function with SPM, it is not compatible with other applications.)

Renaming Images

You may rename single images or a batch of images.

...

For a single image, right-click the selected image and select 'Rename' from the context-menu.
Enter the new name for the image.

To rename multiple images, select them with Ctrl+click, 'Edit/Select All' or mouse-drag.
Right-click on any image and select 'Multi rename' from the context-menu.

You may append new letter-combinations to the end of every image name ('Addition letters') or you may remove existing letters at the end of the name ('Delete letters').
To replace a sequence of letters with a new sequence, check 'Exchange letters' and be sure to include the file extension.
With digital cameras in particular, it may be desirable to create new, more meaningful names.
'Full Rename' allows you to specify the prefix-text common to all images, a starting value for a numeric index-value and a name-ending (including file-extension) common to all images.
If you wish to retain the original numeric-index, simply replace numeric-index value with '*' .

You will be prompted to confirm renaming.


File/Open Slide Show List

Open Slide Show List...

A slide show list is a text (.txt) file created manually, with the 'File/Slide Show List/ Make/Edit a Slide Show List' function or by pressing 'M' or 'Ctrl M' while browsing the images.
The stereo-viewing method selected can be Side-by-side,Above/Below,Interlaced,Anaglyph(gray) for Red/Green glasses,Anaglyph(Color) for Red/Cyan glasses or Page-flip with shutter glasses.
'Swap Left/Right' interchanges the left and right images for Side-by-side,Anaglyph(Gray),Anaglyph(Color) and Page-flip.
For interlaced, the odd/even lines are swapped.

NOTE
If the website is using a slideshow list to display its images with SPM, the viewing method will be that set here.

'Slide Show Interval' allows the displayed-duration of each image to be specified to within 0.1 seconds.

The slideshow scripts have the following format:

sound,C:\Winamp3\studio.exe,"C:\directory\FlowerPower.m3u",
11,30,0,0,0,C:\directory\pic1.jps,comment,
11,30,0,5,8,C:\directory\pic2.jps,comment,
11,30,0,5,8,C:\directory\pic3.jps,,
11,30,0,0,0,C:\directory\pic4.jps,,

The first line is optional and may be used to start a Media Player with an associated playlist or audio file.

For all the other lines, the first parameter defines the stereo format:-

11..Side-by-side
12..Above/Below
13..Interlaced
14..Anaglyph
15..SIS
17..Tri-Delta(TT)
18..Tri-Delta(BB)
21..Independent(L/R)

The second parameter defines the displayed duration of the image in tenths of a second. e.g. 30 means 30x0.1 = 3seconds.
If the value is '0', SPM uses the duration specified at 'Edit/Preferences/Slide Show Interval' instead.

The third parameter indicates whether image-swapping is required :-

0 no swap
1 swap Left/Right

The fourth parameter is the horizontal adjustment used to position the window.
The fifth parameter is the vertical adjustment used to correct a vertical-alignment error.
The sixth parameter is the image name. If the list file and image file are in different folders, you must specify the full path name.
If the stereo format is '21' (Independent(Left/Right)), you have to specify both the left and right file names.

The seventh parameter is an optional comment which, if specified, is displayed in the title-bar instead of the image information.
Even if specified, it may be hidden by checking the 'Hide Comment' option.
The comment line can include any characters, including commas.

If you wish other users to easily view your slideshow, create a batch-file that automatically startsup SPM with your slideshow list.
e.g. batchfile contains "stphmkr.exe MySlideShow.txt"

On double-clicking the batch-file, SPM will startup in a maximised window, images are sized to fit the window and are displayed in the last format that was specified in 'Open Slideshow List'.

If you ZIP your images and include a copy of SPM, the slideshow script-file and associated batch-file, the user can unzip all the files into the same folder.
In your slideshow script-file, no filepath will then be required for the images.


File/Delete File from Slide Show List

Delete File from Slide Show List (Ctrl+D)

While using 'Open Slide Show List' to display the images previously recorded, pressing 'Ctrl D' will remove the image from the list.


Write Alignment Info to Slide Show List

Write Alignment Info to Slide Show List (Y)

While using 'Open Slide Show List' to display the images previously recorded, pressing 'Y' will write new alignment information for the displayed image.


File/Make/Edit a Slide Show List

Make/Edit a Slide Show List...

'Make/Edit a Slide Show List' allows a user to select some or all supported image-files in a folder for presentation as a slide show with optional accompanying sound.
Comments may optionally be added and on playback the comments may be displayed or hidden.
Supported file types are JPS,DAS,BMI,JPG,STJ,BMP,TIF and supported stereo-formats are Side-by-side, Above/Below, Interlaced, Anaglyph and Independent(Left/Right).
If 'Independent(L/R)' is chosen, a 'Right image Folder' checkbox is displayed.
If checked, you may then specify a different folder for the Right image.

The images may be swapped Left/Right.
The Slide Show List produced is a text (.TXT) file that can later be loaded into this function for editing.
See 'Open Slide Show List' for details of the script format.

Initially, click 'Browse' against 'Slide Show List File' to move to your images folder and either select an existing Slide Show List File to add new entries to or enter the name of a new file (with or without the .txt extension).
Select the first required stereo image in the folder or multi-select a left/right pair.
Check the appropriate radio-button for 'Input file Type' and choose whether the images need Swapping(left/right).
'Panorama' file type creates a list of adjacent pairs of images (1,2; 2,3; 3,4; etc.)as described here.
If you want the selected image to be displayed longer than the default time, enter a value in 0.1 second increments.
Normally, the title-bar of the slide show gives information regarding the names and sizes of the images,the sequence-number of the image and the image display-duration value. This may be replaced, on an image-by-image basis, by text entered in the Comment box. Click 'Clear' to empty the box.
Click 'Add Selected Files' and the stereo-image information will be added to the list. You can inspect/edit this information by clicking 'Manual Edit'.
Continue in this way until all required files have been added and then close the window.
If errors are seen in the resultant slide-show, return to this function, select the list and edit it.
You can manually edit the entries, or delete them and reselect using the above procedure and let SPM create the list entries.

Opening Website Images using a Slideshow List

If you add a link to a slideshow list from a website thumbnail image, right-clicking on the image and choosing 'Open with SPM'
will automatically download the images in the list to the visitors computer at set intervals.
A typical link would be: <A href="my_images/lr/sshow.txt"><IMG src="my_images/thumb/my_stereo.jpg" width="160" height="120" border="0"></A>
See the example here.
To abort the download, press <ESC>.
SPM tries to use the time-interval contained in the slideshow list.
If that value is zero, it tries to use the value set in 'Preferences'.
It may be that your download speed forces the interval to be longer.
Depending on your server's Operating System, it may be necessary to check the 'Convert image filenames to lower-case' option.
Unix, for example, treats 'abc.jpg' and 'abc.JPG' as different names.
In addition, full path names may be required.


File/Select a Slide Show List

Select a Slide Show List (Ctrl+M)

While browsing a folder of images, pressing 'Ctrl M' will allow you to create a new list or select an existing one.


File/Add File to Slide Show List

Add File to Slide Show List (M)

When browsing a folder of images and you are satisfied with the alignment and window position, press 'M' to create a 'Slide Show List' for the images being aligned.
The first time that you do this, you will be asked to provide a name for this new file.
For later playback of the aligned images, specify an interval between images in units of 0.1 seconds.
The alignment information for the first image will be written to the 'Slide Show List'.
A message confirming that information was written is (very) briefly displayed in the title-bar.
The next image will then be displayed. Proceed through the whole batch in this way, remembering to save the alignments for each image.
To create a different 'Slide Show List', press 'Ctrl M' (instead of 'M').


File/Save Stereo Image

Save Stereo Image...(S)

The stereo image may be saved in GIF, JPG, BMP, JPS, STJ, PNG or TIFF formats.
The PNG format is a lossless compression.
If you choose TIFF, the compression options (all lossless) will be displayed.

SPM reads TIFF files with any of those compression options, other software may not.
JPS files are JPG-compressed images that normally have the left-eye view on the right and the right-eye view on the left.
The initial VRex specification proposed a four-byte value in the JPG APP3 marker to define stereo format.
Originally, the defined formats were anaglyph, side-by-side, above/below and interleaved (interlaced).
The overwhelming majority of JPS files on the Internet use cross-eyed side-by-side.
Be aware that SPM will save your JPS file in whatever format you are currently displaying.
A preview image is displayed showing the stereo format that the file will be saved in.
Ensure that you were previously displaying the image in the required format (e.g. parallel, cross-eyed, anaglyph) before saving.
A default file-name is displayed together with the appropriate extension for the currently-selected file-type.
If the originals were separate left/right images with '_L' or '_R' appended to the name, these will not be included in the default filename.
All the files in the selected folder of that file-type will be displayed and you will be warned if you attempt to use an existing filename.
You may edit the file-name, but obviously not the extension.

The 'Image Quality' slidebar allows the user to choose between quality and file-size for the lossy compression methods (JPG, JPS, STJ) and displays the result in the thumbnail.
The slidebar range is '1' to '99'. High compression increases the possibility of image artifacts.
The approximate file-size after saving is displayed together with the Saved Image Size (as pixel width and height.

If you wish to add thumbnail images to a batch of files, see 'Open File List'.

If you select 'Add thumbnail image to Save file', any existing EXIF data will be copied and the embedded thumbnail will be correctly orientated.

The above anaglyph was created from a pair of images that were in portrait-format.
Originally, 'Windows Explorer' and SPM's 'File Property' displayed the embedded landscape-format thumbnail.
Now, after SPM's Save the thumbnail is correctly displayed.

If there are borders around the screen image, they will be also added to the Save'd image.
If the exact File size after saving is required , click the 'Exact Sizes' button.

'No compression ghosting' may be used when saving anaglyph JPG images to eliminate the compression-ghosting associated with 'normal' JPEG compression.
The 'Image Quality' setting will still determine the magnitude of JPG artefacts, especially along high-contrast edges.
The file-size will be larger and you should check that other applications you wish to use can read this format.
Of course, this will not reduce inherent ghosting in the image.

BMP, PNG, TIFF and GIF images may be saved with a reduced number of colors in order to lower the filesize.
(full-color GIF images are 256 colors).
The above screenshot shows the effect of reducing colors (within the limitations of display in this document).
The 'Save Image Preview' button opens a new window and gives you a preview with a reduced number of colors of the image about to be saved.
The mouse-wheel changes the window-size and the [F] key toggles between fitting the image to the window and displaying it at 100% size.
Evaluation of reduced color-depth should be done at 100% size.

For BMP, PNG and GIF-saving a checkbox option to 'Display Created Image in browser' will be displayed.
A 'blank' HTML page containing the image will be displayed in a new window.


File/Save MPO file

Save MPO File... (Alt+S)

The stereo image will be saved in the Fuji MPO format to enable display on the W1 camera or V1 viewer.
A default file-name is displayed together with the MPO extension.
You may edit the file-name, but obviously not the extension. A preview image may be displayed.
All the files in the selected folder of that file-type will be displayed and you will be warned if you attempt to use an existing filename.

The 'Image Quality' slidebar allows the user to choose between quality and file-size for the compression .
The slidebar range is '1' to '99'. High compression increases the possibility of image artifacts.
The approximate file-size after saving is displayed together with the Saved Image Size (as pixel width and height.

For display on the Fuji W1 camera or V1 viewer, an image size of 800 x 600 pixels is sufficient.


File/Save Universal Freeview L-R-L

Save Universal Freeview L-R-L... (Ctrl+Alt+S)

This feature allows you to easily create images intended for a webpage that visitors can view in parallel or cross-eyed format.
As usual you may define a target file-size, amount of compression and optionally add a thumbnail to the saved image.
It will normally be necessary to resize the source images so that the LRL triad fits the intended screen width.

This may be checked by ticking the 'Display created image in browser'.
The above screenshot shows the sample 1200 pixel-wide image displayed in Firefox.
Multiconversion also supports this input and output format, allowing you to batch-process a large number of files quickly and easily.


File/Save Left/Right Images

Save Left/Right Images...(Ctrl+S)

The left/right images may be saved as GIF, JPG, BMP, PNG or TIFF formats.
The PNG format is 'TrueColor' only. It is a lossless compression.
If you choose TIFF, the compression options (all lossless) will be displayed.

SPM reads TIFF files with any of those compression options, other software may not.
A default file-name is displayed together with the appropriate extension for the currently-selected file-type.
All the files in the selected folder of that file-type will be displayed and you will be warned if you attempt to use an existing filename.
You may edit the file-name, but obviously not the extension.

For JPG (the only lossy method supported), the 'Image Quality' slidebar allows the user to choose between quality and file-size and displays the result in the thumbnail. The slidebar range is '1' to '99'. High compression increases the possibility of image artefacts. The approximate file-size after saving is displayed together with the Saved Image Size (as pixel width and height) and a thumbnail image may be optionally included with the Save file.
If there are borders around the screen image, they will be also added to the Save'd image.
If the exact File size after saving is required , click the 'Exact Sizes' button.
In order to distinguish between Left and Right images, the user may append '_l' or '_r' to the filename. When one of the images is then selected using 'File/ Open Left/Right Images' the matching-image is automatically loaded.
Alternatively, for compatability with existing images,the user may choose an alternative suffix such as 'L' and 'R'.

BMP, PNG, TIFF and GIF images may be saved with a reduced number of colors in order to lower the filesize.
(full-color GIF images are 256 colors).
The above screenshot (from 'Save Stereo Image') shows the effect of reducing colors (within the limitations of display in this document).
The 'Save Image Preview' button opens a new window and gives you a preview with a reduced number of colors of the image about to be saved.
The mouse-wheel changes the window-size and the [F] key toggles between fitting the image to the window and displaying it at 100% size.
Evaluation of reduced color-depth should be done at 100% size.

For BMP, PNG and GIF-saving a checkbox option to 'Display Created Image in browser'will be displayed.
A 'blank' HTML page containing the image will be displayed in a new window.


Animation GIF

Make Animation GIF

Websites and others, sometimes wish to present stereo images in a way that does not require viewing aids or the ability to freeview.
Converting stereo pairs to animated GIF's can provide some impression of depth.
These are often known as 'wobble' or 'wiggle' anaglyphs and SPM makes their creation very easy.

First of all, load your source-images and resize them to suit the final animated-GIF.
Select menu-option 'Stereo/Single Image View/Flashing' (or press Ctrl + F11).

The above box will be displayed to allow you to set the flashing rate for preview (not for final animation).
Use the vertical-arrow keys to eliminate any vertical error.
(the mouse-wheel and [F] key are active in this mode but probably not used).
Choose 'Make Animation Gif' in the File menu.

The above dialog-box is displayed and you may choose the flash-rate and see a realtime preview.
There is also an option to display the resulting animated-GIF in a 'blank' HTML page using your default browser.

Animated GIF's may be saved with a reduced number of colors in order to lower the filesize.
This also makes the Lempel Zev Welch (LZW) compression-scheme more efficient.
The above screenshot (from 'Save Stereo Image') shows the effect of reducing colors (within the limitations of display in this document).
The 'Save Image Preview' button opens a new window and gives you a preview with a reduced number of colors of the image about to be saved.
The mouse-wheel changes the window-size and the [F] key toggles between fitting the image to the window and displaying it at 100% size.
Evaluation of reduced color-depth should be done at 100% size.


File Property

File Property..(Ctrl+H)

The properties of the left file will be displayed.
Swap images over to see properties of right file.
If the selected file is a JPG with an EXIF header, the following detailed information is displayed :-

In the above example, the image is portrait-format (as indicated by the orientation field), but the embedded thumbnail is landscape-format.
'Windows Explorer' also does not use the orientation information so the image and thumbnail are incorrectly displayed.
SPM can perform completely lossless rotations and joins on Jpeg images, saving the resultant images in such a way that
'File Property' and 'Windows Explorer' will display the image and thumbnail in correct orientation, as shown below.
See Lossless Jpeg Multi Conversion' for further information.

The above shows 'File Property' after a pair of portrait-format JPG images were losslessly joined and saved with 'Copy all extra markers include EXIF'option
in 'Lossless Jpeg Multi Conversion.

The above shows 'File Property' after saving a stereo image (an anaglyph in this case) with the 'Add thumbnail image to Save file'option.

You may 'Copy to Clipboard' the displayed information and paste into another application (such as NotePad, Wordpad, etc.).
A typical example is shown below :-

If the selected JPG file does not have an EXIF header or the file-format is BMP, TIFF, PNG or GIF, the following information is available :-


File Copy

File Copy/Move/Delete..(Shift+C/Shift+M/Delete)

Whatever your workflow for stereo images, it is often useful to quickly scan a folder of images in order to decide what to keep or delete.
SPM allows you to do this while viewing in your chosen stereo-mode.
After each operation, the next image in the folder will be displayed.

To copy the displayed image to a folder, select File/Copy from the menu or more conveniently 'Shift+C'.
Browse to the desired destination-folder and click 'Copy' with the mouse.
You may manually-edit the displayed file-path to add the name of a new folder.
SPM will report that the folder does not exist and asks if you would like it to be created.
The next time you choose Copy, you can simply press the 'Enter' key.
The original image is, of course, retained in its folder.

To move the displayed image from its current folder to a new folder, select File/Move from the menu or more conveniently 'Shift+M'.
Browse to the desired destination-folder and click 'Move' with the mouse.
The next time you choose 'Move', you can simply press the 'Enter' key.

Choose this option to delete an image from its folder.
You will be asked to confirm the action.


File/Create/Split DAS File

Create/Split DAS File...

DAS files are SPM's own format that saves the Left and Right images in an uncompressed form (even if the original images are compressed) together with thumbnails and embedded horizontal and vertical-alignment information. Image quality is retained and the original may be restored.
If all your images are in a single folder, you must select both left and right images.
Multi-select in the usual way using Ctrl+click.
SPM will alphanumerically sort them and then pair them in that order.
So, if your file-names end in 'l,r', 'L,R', '_l,_r', '_L,_R', '-l,-r', '-L,-R', '004,005', etc.,etc., they will be correctly-paired.
If your images are in separate folders, check 'Right image Folder' and Browse to its location.
Multi-select the left images, SPM will try to find the matching images in the right folder.
If no match is found, it will use the image whose name is next alphanumerically.

Browse to the destination folder or enter its name.

If the folder does not exist, SPM can create it.
You may now choose to 'Convert Selected Files' or 'Convert All Files'.

SPM will inform you of how many files it will convert and the folder the resulting DAS files will be saved to.
A window will open for SPM to report the status of each conversion to a DAS file.

When you want to split the file into the original images, you specify a DAS file in 'Files of type'.
The dialog-box will now have entries for the Left and Right Output folders :-

These may be the same or different folders, even if originally the images were in a single folder.
Again, you can manually enter the desired names for the folders and SPM will create them if necessary.
Multiselect and 'Convert Selected Files' or convert all DAS files.


File/Create/Split File

Create/Split MPO File...

MPO files are multi-picture-format-compatible files first used by the Fuji Real 3D digital stereo cameras and Sony Cyber-shot DSC-TX9.

For the Fuji, they contain two separate JPG images and for the Sony contain multiple images (for the Multi-view option).

For the Fuji :-

The workflow is simpler if you choose the camera option to only save MPO files and not a 2D JPG in addition.

Create a folder named, for example, DCIM_FUJI and in that folders 'Left', 'Right', 'Processed' and 'MPO'.
Copy all the MPO files from the card to the MPO sub-folder.

TIP:If using an Eye-Fi Pro X2 card, copy an MPO file to the folder Eye-fi is using and open it.
You can then use Ctrl+Alt+E at any time to display the contents of the folder.

(If you have also recorded 2D JPG images, choose 'View\Details' and sort by 'Type'.
Select the first MPO image and with Shift pressed select the last MPO image.
Copy or move the multi-selected images to the MPO folder).

Start SPM and choose File\Create/Split MPO File ...'
Click the 'Look in' drop-down file-tree and browse to the location of your MPO folder.
In 'Files of type' click down-arrow and select 'MPO Multi-Picture Format'.
The dialog-box title will change to 'Restore MPO File (MPO --> Jpeg)'.
Click the 'Output Folder' Browse button and browse to the locations of your 'Left' and 'Right' folders.
Click 'Convert all files' to losslessly-extract the images to the Left and Right folders.

You may now use File\Multiconversion in the usual way and save the adjusted images to the 'Processed' folder.
It is worth saving all the Multiconversion settings (and folder locations) as a suitably-named file for easy re-use.

For Sony Multi-view :-

Similar to above but only an MPO and single destination folder are required.
Set the same Output Folder for both Left and Right.
Process all MPO files or just selected ones and the fifteen multiple images in each MPO file will be extracted to the single folder.

You may also create MPO files from existing JPG images not taken on a digital stereo camera.
When you select JPG images, the dialog-box title will change to 'Create MPO File (Jpeg--->MPO)'.
Some programs (such as PhotoShop) do not create suitable JPG's and the resulting MPO will not display correctly.
In that case, use Multiconversion with the MPO output option and resampling.
For display on the Fuji W1 camera or V1 display, an image size of 800 x 600 pixels is sufficient and minimises storage on the SD card.


File/Write Alignment Info. in DAS

Write Alignment Info. in DAS (Y)

This function requires your currently-open file to be in DAS format.
A message-box confirms the values of the alignment information and the name and path of the DAS file written-to.
Next time the DAS file is Opened, it will be displayed with the saved-alignments applied.


Multiconversion from Slide Show List

'Multi Conversion from Slide Show List' allows you to batch-convert all the files in a 'Slide Show List' to another format, compressed or uncompressed,resized, with altered contrast (gamma 0.01 to 5.00), rotated, repositioned horizontally and/or vertically, swapped Left-for-Right and sharpened or softened.
The horizontal and vertical repositioning applies to the entire stereo image and not to the individual Left/Right components.
It is assumed that images in the 'Slide Show List' have already been aligned vertically and horizontally.

Although some of these operations may be applied separately to the Left and Right images, they will be applied to ALL such images in the list.

A thumbnail image may be added to the output JPEG-format files (JPG,JPS) but if that is the only batch-operation that you wish to do,
see 'Open Image file list' for an alternative method.

The supported output-file-types are BMP, JPG, JPS and DAS and supported stereo formats are Side-by-side, Above/Below, Interlaced, Gray Anaglyph, Color Anaglyph and Independent Left/Right image pairs.
For compressed files, image quality can be chosen from '1' to '99' with the default value set at '70'.

The images in the slideshow list may be automatically corrected and mounted to the window.
Check 'Auto alignment (autopano)' and see 'Batch Auto Alignment of Stereo Pairs using Autopano or Autopano-sift' for further details.

Rather than letting SPM calculate the alignment values, you may enter your own predetermined values.
In the correction process, Autopano or Autopano-SIFT will not be required or used.
Manually enter values in the 'Value alignment' dialog-box shown above, or click 'Restore' to load from an individual image's alignment-values file, and then click 'Ok'.
If you now click 'Save' (on the right, under 'Settings Value'), all of those values will be saved, with the rest of the main dialog-box choices, in the MCV file.
In other words, you can apply the alignment values for a particular image to an entire batch of images, time and again.

By default, all images are cropped to eliminate 'blank' space caused by operations such as rotation.
The status of 'Auto Crop after adjustment' here reflects the setting in Preferences.
You may of course disable it for Multi Conversion if you wish.
Any changes made to Angle (image rotation),Size,Position or Gamma may be undone by clicking 'Restore Value' .
The parameters for correcting the barrel-distortion of zoom lenses at a particular setting, may be determined
using the procedure described here.
If Anaglyphs are converted to other formats they are displayed as gray-scale.

If you are saving gray or color anaglyphs, a checkbox to enable 'No Compression ghosting' will be displayed.
All anaglyph types are supported, the output file will be in the anaglyph mode that you have currently selected.
Using the same 'Slide Show List', many different stereo formats and file-types may be quickly produced.

You may add user-defined text (such as a copyright notice) by checking the 'Add Text' box.
You may add a custom logo directly on the image or a colored zone by checking the 'Add Logo' box.
The values used for Text and Logo will those set in the last use of the Add Text and Add Logo functions.

Check 'Save Borders' if you want the currently-defined tri-color borders to be added to the Saved images.
Browse to an existing folder or enter the name of a new folder.
If desired, folders may have encryption and/or indexing enabled.

All of the dialog-box settings may be saved as a MCV file by clicking 'Save'.
In future, simply click 'Restore (File)' to set those values as the current defaults.


Lossless Jpeg Multi Conversion

Geometric transformations on JPG images that simply involve re-arranging existing pixels (rather than interpolating new ones)
can be performed in a completely lossless manner.
They can be performed hundreds of times with no loss whatever.
Such operations include rotations of 90, 180 and 270 degrees, joining left/right images, decomposing side-by-side images to left/right pairs and swapping left/right images.
The input images may be baseline or progressive and if they are of different sizes or the height/width are not multiples of 16, SPM applies suitable cropping.
The output images are always a multiple of 16 pixels in height and width and in baseline format.

Navigate to the folder (or folders) of JPG images that you wish to convert and choose selected files or all files.
Choose the desired operation or 'Rotation(Auto)' if you wish SPM to use the embedded orientation tags.
If you are creating triplet images,the image shown in the preview is the outside images.

Check 'Swap Left/Right' to make the other image the outside images.

If you check 'Copy all extra markers include EXIF', SPM will also rebuild the embedded thumbnail image.
This will subsequently allow 'Windows Explorer' and SPM's 'File Property' to display the thumbnail image in correct orientation.
In the case of 'Windows Explorer', the actual image will now be correctly displayed.
Simply loading and then resaving images that have orientation tags and choosing 'Rotation(Auto)' will ensure they are correctly displayed by 'Windows Explorer'.

Choose an existing folder for the output images or enter the name of a new folder that SPM will create.

'Convert All Files' or 'Convert Selected Files' as required.


File/Multi Rename

Multi Rename...

'Multi Rename' allows the user to select some or all image-files (of the same file-type) in a folder and batch-convert their names by adding letters,deleting letters or exchanging letters (e.g._L.JPG -> _R.JPG).
The supported file-types are JPS,DAS,BMI,JPG,STJ,BMP,TIF .
'Show Preview' displays a thumbnail of the selected image-file.

The 'Full Rename' option is particularly useful for digital camera images.
The filenames in the folder are alphanumerically sorted and you then specify the pretext letters of the new name, the starting-number for the sequence and the post-text letters in the three fields of the 'Full Rename' option.
There is no need to select the files, simply click 'Rename All Files' If you wish to retain the original image numbers use the '*' wildcard character instead of a starting number.

IT IS STRONGLY RECOMMENDED THAT YOU BACKUP THE FILES BEFORE RENAMING.

The number of files you wish to rename will be displayed and you will be asked to confirm the conversion.

Examples :-

IMG_0208_L.JPG -> autumn_walk0001L.JPG (fields are autumn_walk, 0001 and L.JPG)
IMG_0209_L.JPG -> autumn_walk0002L.JPG

IMG_0208_L.JPG -> autumn_walk0208L.JPG (fields are autumn_walk, * and L.JPG)

For subsequent batch-processing or browsing, there is no need to merge the left and right images into a single folder.


File/Multiple Images

Multiple Images

SPM can auto-align a sequence of images intended for lenticular prints, autostereoscopic displays, 'bullet-time' movie sequences or object-rotation movies of large scale subjects.
The change of viewpoint between an image and its 'partners' each side should not be too large as this prevents accurate alignment.
If the images are intended for stereo it would also cause uncomfortable viewing.
Try to keep a constant distance from the subject and move in an arc.
Moving in an oblique direction to the subject will cause distortion.
It is essential that there is a common reference point that is visible in all images, including those showing a 360 degree view.

You may download sample-image files here.

The process is done in two stages.
The first is 'Auto rotation adjustment (One by one)' followed by 'X/Y adjustment & Cropping'.

Large sequences of images require a considerable amount of processing and the time taken is heavily dependent on your CPU type.
The alignment process is not suitable for speed-up using dual or quad-core processors.

Auto rotation adjustment (One by one)

Select Menu->File->Multiple Images->Auto rotation adjustment(One by one)...

Choose options (Output File Type,etc...).
Enter the Output folder name (if it does not exist, SPM can optionally create it).
Press 'Auto alignment Setting', then check 'Better precision(Slow)' option.
If your image sequence is captured by moving from left to right, then input-image arrangement is parallel.

If you want to make 360 degree images,you can try this with sample04.

Sample04 can take a considerable amount of time on older computers, maybe two hours.
For 360 degree images, make absolutely sure that you have checked 'Keep last image and take average'.

It may be necessary to check 'Keep last image and take average' for other image-sequences if the viewpoint change between images is large.

....

The above example on the left, is with the option unchecked and the perspective change of the building does not look correct.
In the example on the right the option is checked and the right side of the building appears to rotate towards you in the correct manner as you move from left-to-right.

Press 'Convert all files' or select the input files and then press 'Convert Selected Files'.

For each image, the processing time will be reported (if alignment was successful) together with total-processing time.
A CSV (comma-separated variables) file with alignment information is also saved in the Output folder and may be optionally used by SPM in repeat operations with the same set of images.

Next, select Menu->File->Multiple Images->X/Y adjustment & Cropping...

Choose options (Output File Type,etc...).
Input the Output folder name.

Make sure that you enter a different folder name than used for your source or first-stage processed images to avoid overwriting !

Select input files which were adjusted in the above process, then push the convert button.

To view the alignment before X/Y adjustment and cropping is carried-out,press '100% Size' and then 'Test' to toggle an animation on/off.

The title bar will indicate that test images are being created.
The first step is to accurately specify common corresponding points of all images'.

You can scroll the image position with mouth drag.
Select a prominent, easily-recognised feature that is visible in all images to use as the common corresponding point.
(For sample04, that will be the tip of the cone on the dial-plate)

It is recommended that you set '100% Size' for good precision.

Push 'Set Point' button, then click mouse left button on the common corresponding points when they are exactly under the cross-hair.
After clicking the mouse button, SPM changes to the next image, so continue to specify common corresponding points for all images.

The 'Common corresponding points'are indicated by the intersection of the red lines.
Press '100% Size' to exit that display mode.

The second step is to specify the cropping area.

Push the 'Mask' button to create the masks that define the area common to each image.
The title-bar will indicate the progress of the mask creation.

Push the 'Crop' button and specify the cropping area with mouse-drag.
If you make a mistake, just repeat the operation.

The crop area will be outlined in red.

Pressing 'Test' will toggle an animation on/off of that shows the result of cropping and X/Y adjustment.

Push 'Test' button to stop test mode.

Then, push 'OK' to save the resulting images.
SPM will indicate the number of images that will be saved and the folder that they will be saved to.
After you confirm this, the images will be adjusted, cropped and saved and the saving progress indicated.
If you want to resize,sharpen, etc..., you can use Menu->File->Multiple Images->Other multi job.

Choose options,then push convert button.

Stereo 360 degree large-scale object movies

If you have taken a sufficiently large number of images, such that each adjacent pair can be viewed in stereo, then you can create a stereo movie from them.
Select SPM's 'File\Open Image File List' and navigate to the folder containing the cropped and aligned images.
'Edit\Select All files', right-click on one of the images and select 'MultiRename\Full Rename'.
Enter a name format that ends with '0001' before the file extension.
For example, IMG_2678.jpg will be renamed IMG_0001.jpg or sundial_0001.jpg,etc.
VirtualDub requires this naming convention, other programs may not.
Using one of the later versions of VirtualDub (or some other program) convert the image-sequence to an AVI movie, ideally saved with a codec that does not use lossy compression.
With VirtualDub, you open a Video file and select file-type as 'image-sequence'.
Select a compression codec or none and save as an AVI file.
Load the AVI file into StereoMovie Maker as the left and right movies and advance the right movie by one frame.
Save as separate left\right or stereo movies in a stereo format of your choice and using a suitable codec.


File/Create Lenticular Image

Create Lenticular Image

1. Select Menu -> File -> Multiple Images -> Create Lenticular Image...

2.Set the following parameters :-
- Lenticular Lens Pitch
- Printer Resolution
- Print Width

If you shot the images from left to right, check 'Image direction' option.
Select the image files, then press the appropriate 'Create' button.

3.SPM will then create the lenticular image.

4.Select Menu -> File -> Print Setup...

5.Check the 'Print dot by dot' option.(this is Very important !)

SPM will display the size in pixels of a suitable-resolution image for the lenticular lens.

Now print the image.


File/Mosaic Images

Mosaic Images

This function allows you to join a number of images into a single-row mosaic or pair of mosaics.
One use is for joining image-strips produced by a pair of rotating 'virtual cameras' with 3D Modelling software such as Bryce and PovRay.
This allows you to produce stereo, 360 degree panoramas that can be viewed in continuous rotation with SPM.
For the first time, such panoramas may be viewed page-flipped without requiring Win2000/XP and expensive, quad-buffered OpenGL graphics cards (such as Quadro).

(The above image courtesy of Steve Boddy © )

The images are required to be sequentially numbered, the sequence running from the left strip to the right strip.
There should be zero overlap in the source images.
You may join All or Selected files and specify the destination name and folder.

Stereo Panoramas using a single Rotating Camera

(Commercial use of this method may be restricted by patents)

Another use for 'Mosaic Images' is to create stereo panoramas from a single camera rotating around a point behind it.

The above animation shows light rays (in red) emerging from the rear of the camera lens and directed towards the sensor plane (the black line).
The sensor will almost certainly not be film because of the large number of images required.
A 'virtual camera' with similar geometry may be setup in '3D' (not stereo) programs such as Bryce, PovRay, etc.
In this example, the rays are directed to positions at approximately 25% and 75% of the image width.
As the camera rotates around the black dot, you can see that the projection of those lines is tangent to a 'viewing circle' (shown as a gray dashed line).
It is the diameter of that viewing-circle that gives us the required stereo disparity for a narrow strip of the image.
Uniquely, the disparity can be altered after the images are taken.
We simply have to take a sufficient number of strips and 180 or 360 are recommended for a 360 degree panorama.
The latest digital cameras often have a good quality 640x480 movie mode (if suitable compression was employed)and in that case
it is recommended that you use VirtualDub to extract a suitable number of frames.
With a 1RPM motor and shooting at 30fps, you will produce 1800 frames.
Use VirtualDub to reduce framerate to 6 fps and save the resulting 360 frames in a folder as an image-sequence.
Digital camera movie-mode is normally fully-automatic and you are not able to lock the exposure.

Higher-resolution images are better taken with stepper-motor control although you could try manually rotating the camera on a tripod.
Equal increments of rotation are not essential, they simply make the process easier and quicker.
You may of course create partial panoramas or simply scan a subject of interest.
For minimal manual editing, a stepper-motor driven platform is required or a motor geared-down to about one revolution per minute.
Such motors are inexpensive.
You may even experiment with simply holding the camera and rotating your arm for rotations of less than 90 degrees.

  • Determine strip width
    First of all, create a new Slideshow List and add your selected-images to it.
    Check the 'Panorama' option to ensure SPM creates a list of adjacent pairs of images (1,2; 2,3; 3,4; etc.).
    Next, select 'Open Slide Show List' and navigate to the folder containing the above list and if required choose a subset of the source-images.
    Make sure that the slideshow is not set to 'Auto start Slide Show' before opening the list using the 'Color Anaglyph' stereo view method.
    If you forgot to turn-off autostart, press 'A' to stop the slideshow.
    Use the left and right arrow keys to superimpose any pair of adjacent images and adjust so that overall the red and cyan fringes are minimised.
    Press 'Shift + Y' to apply that particular correction to all images initially.
    For handheld and non-precision motorised acquisition, the width of each strip may need slight correction and you may adjust individual images
    and press 'Y' to write the new value to the slide-show list.
    Ensure that the last-to-first strip width is correct and a negative value (in the slideshow list, not on-screen).
    You may then quickly step (using the space and back-space keys) through all the frames to visually check the proposed strip-widths.

  • Determine strip position
    This will determine the disparity of the mosaic, strips nearer the middle of the image giving less disparity.
    Strips exactly at the middle will be identical (zero disparity).
    Select 'Mosaic Images' and choose files of type 'Slide Show List'.
    Select the slideshow list described above.
    Initially, choose positions at 25% and 75% of image-width.
    For example, for a 640x480 source-image, check 'Crop' in the above dialog-box and 160,0 for crop top-left.
    Enter X,480 for crop bottom-right, where 'X' is any value as it will not be used by SPM.
    (SPM knows the strip width from the values in the slideshow list).
    Checking 'Symmetrical Cropping' will select a second strip of the same width and same distance from the center.
    For stereo panoramas, symmetrical cropping is desirable but not essential.
    If you have previously determined the barrel distortion factor for the lens used, you may apply that to each source-image.
    A number of pixels of overlap may be entered if desired.

  • Mosaic the Image Strips
    Enter the path to the destination folder for the 'Output File' and accept the default 'output' filename or enter your own.
    The left/right mosaics produced will have '_l' and '_r' appended to the filename.
    Choose 'Connect Selected Files' or 'Connect All Files'.
    You may abort the mosaicing process by pressing the <ESC> key.
    Image-strips will be extracted from the frames, mosaiced, saved as left/right pairs and displayed.
    Change stereo mode to side-by-side, fit to screen and then anaglyph.
    You can then use the left/right arrows keys to approximately set the window by overlapping the nearpoints of the images.
    Choose 'View/Panorama Mode (360 degree)' and 'View/Fit Panorama Height to screen'.
    (for panoramas created from 640x480 movies, it may be better to display at 100% in a 'widescreen' format).
    Finally, choose 'View/Horizontal autoscroll for panorama' to view a continuously-rotating, 360 degree stereo panorama.
    (If you can think of a suitable mnemonic, a faster way of doing the above is to press 'PQI' keys).
    Press the <ESC> key to stop the auto-rotation.

    You may now decide to run Mosaic again with strips from a different position to increase or decrease disparity.
    In addition, if there is an obvious brightness difference between the last and first frames, check the 'Auto Color Adjustment' option and choose
    the first or last frame as the brightness reference.
    Those options (shown above) are only displayed when you choose to open images from a slideshow list.
    You may save the adjusted images in BMP or PNG format for further editing (such as sharpening or selective brightness/contrast) before saving the 'working' images in JPG format.

The panorama illustrated above may be viewed here.
The title is "Sandpit, Maes Mynan, North Wales" and it was created with a digital camera in movie mode.


File/Run External Program

Run External Program (G)

The location of an external program (that will accept .BMP files) that is called by 'File/ Run External Program' may be set here.
If the 'Edit Image with External program' checkbox is ticked, SPM saves a copy of the image at 'C:\windows\temp\' and names it 'TEMP.BMP'.
When the external program is run, 'C:\windows\temp\TEMP.BMP' is made a command-line argument.


File/Print Setup

Print Setup...

Paper-size and margins may be set and the image positioned on the page by dragging with the mouse or automatically centred .
The 'Print Full Size' option prints the image as large as possible while preserving its aspect ratio.
If the screen image is surrounded by a border, the same border-style will be applied to the printed image but with the border-widths setup for printing.

With above/below images, if 'ViewMagic' format is required simply press 'X' to swap images before choosing the print function.
This positions the right image on top.

The image may be given a title and description in a selected type, size and color of font.
The text will be positioned under the image and centered.

Printing Multiple Stereo Cards

If you wish to print multiple images on a single sheet of paper, click 'Add Image' when you are satisfied with the current 'Print Setup' values.
In the main programme, display the next image that you wish to add to the print and choose 'Print Setup' again.
You will see the previously-added image is also displayed.
You may click 'Remove Image' to delete that image.
Drag the new image into position, set any required options and again 'Add Image'.
If you wish to enforce a particular vertical spacing between images, enter the value in the 'mm' box.

As the above screenshot shows, you may mix stereo-card images and ordinary source images such as anaglyph, side-by-side, single, etc.
Stereo-card images will have been previously-saved from 'Print Stereo card' using 'Add Image'.


File/Print

Print...(P)

Prints using the settings entered in 'Print Setup'.


Print Stereo Card...

The 'Print Stereo Card' option allows you to print a stereo card in 'Classic', 'Holmes', '6x13' or 'Cabinet' formats or your own custom-format.
You may surround the images with an arch frame, rounded-corners frame, arch with rounded corners or no frame.
'Holmes' and '6x13' format cards may be commercially printed on 6"x4" US Index Card size paper.
For Holmes cards, trim the top 0.5" and mount on 7"x3.5" card.
The entire stereo-card may be outlined in black and the text-font and background color chosen.
The resulting stereo-card image may be saved in a chosen file-format.
This is useful if you want a Photo-Lab to print your cards.
You may, optionally, convert the image to sepia-toned monochrome.
'Classic' format assumes a print size of 7x3.5 inches.
The image may be saved with a printing-size of 7"x4" (with a fullprint background color) to suit the standard print-sizes offered by photo labs.
A 6"x4" size may be specified to suit Argus/Loreo viewers and produce Holmes or '6x13' prints.

Custom-format frames your image in the same way, but you may define the printing size.
The titles and descriptions (for custom cards) may be at the top or bottom and the image may be converted to sepia-toned monochrome.
'Author' text is not available for the custom card option.

Making a Classic-style stereo-card

.....

Select the 'Free Cropping Option...' in the toolbar and then the 'Classic Stereo Card' button.
This sets and imposes a 21:23 aspect-ratio which is required for SPM's predefined 'Classic' stereo-card template.

As soon as the mouse is over the images, the crop-lines will appear.
For future cropping, simply select the 'Free Cropping' toolbar button.

After selecting 'Free Cropping' and using the guide-lines, position the cross-hairs at the desired top-left position for the crop-rectangle and then hold-down the Left mouse button.
KEEPING THE BUTTON DEPRESSED drag the cross-hairs to the desired bottom-right position for the crop-rectangle and release the button.
If the 'Two-stage cropping' option has not been selected in 'Edit/Preferences' the image is cropped-to-size immediately, although the user can 'Undo' the action.
Otherwise,the rectangles positions may be altered by positioning the 'move' cursor over either one and dragging the mouse with the left button depressed.
On releasing the button, the images will be immediately cropped.
If necessary, you can click 'Undo' to revert to the uncropped images.

After cropping, the images are in a suitable format for printing as Classic-style stereo cards.

Select Menu/File/Print Stereo Card...

Select 'Classic stereo card(7 x 3.5 In)' Option from the dropdown menu of card types.
You can adjust the vertical position of the image, the 40 units of adjustment being divided between top and bottom margins
The screenshot below shows 15 units of adjustment.

Set each option as required :-
  • 'Sepia color' - Change the color image to a sepia-toned monochrome image for 'Classic-style' stereo-card.
  • 'Stereo Card Title','Stereo Card Description' - Input your preferred text.
  • 'Author', - Input your name and copyright information.
  • 'Font' - Select your preferred TrueType font.

  • 'Text color' -
    The font color may be chosen from one of 48 predefined colors or 16 custom-defined colors.
  • 'Text Size' - Change the font size to accomodate long text.
  • 'Frame Style'
    • None..
    • Arch..
    • RoundRect.
      When this option is chosen, you will be able to select the 'roundness' of the rectangle corners.

    • Arch + Round.

  • 'BG Color'..
    The background color may be chosen from one of 48 predefined colors or 16 custom-defined colors.

  • 'ShowRect'..
    This option draws a black line around the image.

  • Full-page(BG color)
    The chosen color is applied to the entire page, not just the defined card size.
    This can eliminate or simplify subsequent trimming of the print.

  • 'Show Card'

    • This will display the stereo-card as a mono image.
    You may then select 'File\Print' or 'File\Print Setup' and print the card or load new images instead.
    'Print Stereo Card' will not be available until you load new images.

  • 'Canvas Size'

    • This defines the size of the saved image of the card.
    See 'Making a 6"x4" size stereo card' below.

  • 'Printer'
    If you want to change the paper-size or orientation, push 'Printer...' button, then set the options.

  • 'Print'
    After setting all the required options, push 'Print...' button for printing or 'Save As' to save the image in a preferred file-format.

    • If you want to send the image to a printer that does not accept output directly from an application (such as certain dye-sublimation printers that work as a PhotoShop export module)
    simply copy and paste (Ctrl+C/Ctrl+V) to PhotoShop (in this example).

    Making Holmes, 6x13 and Cabinet cards

    Select the 'Free Cropping Option...' in the toolbar and then click the appropriate stereo-card button.
    SPM will set and impose the correct aspect-ratio for the maximum size of image and also set the paper size default used by 'Print Stereo card'.
    Follow the procedure above for cropping and printing.

    To print the Cabinet Card on 8"x5" paper, first set the paper size :-

    Check the 'Full-page' option and then print image.

    Making a custom-size stereo card

    After cropping your images to the required area and aspect-ratio, select 'Custom Card' from the dropdown menu of stereo-card types.
    Set each option as described above
    (the 'Author' option is not available for this card type).
    If you want to change paper size or orientation, push 'Printer...' button, then set options.
    By default, the images are sized to fit the width of the paper but you may enter numeric values for width and height or resize by grabbing bottom-right and dragging with the mouse.
    You may also use mouse-drag to position the card on the paper.
    After setting all required options, push 'Print...' button for printing.

    You can change the text position from the bottom to the top by checking 'Text Position (Top)'.
    Frame Style : RoundRect
    Full-page(BG color) : ON
    Sepia Color : OFF
    Show Rectangle : OFF

    You will find with custom-card format the bottom ten percent of the image is cropped-off.
    As a work-around, increase the height of the image by ten percent and use 'Add Text' to add a text-zone of that same amount:

    You can save image in a preferred file-format.

Making a 6"x4" size stereo card

You may create a 6"x4" image of a stereo-card which may then be printed even if your printer does not support 6"x4" paper-size.
Select the 'Free Cropping Option...' in the toolbar and set a 3:4 aspect-ratio which is required for a 6"x4" size stereo card.
After selecting 'Free Cropping' and using the guide-lines, position the cross-hairs at the desired top-left position for the crop-rectangle and then hold-down the Left mouse button.
KEEPING THE BUTTON DEPRESSED drag the cross-hairs to the desired bottom-right position for the crop-rectangle and release the button.
Select Menu/File/Print Stereo Card...

Push 'Canvas Size' button.
Note ! 'Canvas Size' button is just for saving the stereo-card image.
For printing, you have to use 'Printer...' button for changing 'Paper Size'.

Set 6"x4" canvas size.

You can now save or show the stereo-card image.

Printing Multiple Stereo Cards

Multiple stereo-card images may be printed on a single sheet of paper.
After selecting the card type, margins, card size and entering the title and description, click the 'Add Image' button.
In the main programme, display the next image and again select 'Print Stereo Card'.
The previous image will be displayed and the new image will be added with the space specified in the 'mm' box between them.
You may click 'Remove Image' to delete the previous image.
All the custom cards will, by default, be the same size as the first custom-card image.
Alternatively, you may drag the image into position.
Again, set title and description and click 'Add Image'.
Repeat until all images are added and then apply font, text color,text size,frame style,sepia,rectangle and background color to ALL the images.
You may mix classic and custom cards if desired.

If you wish to mix ordinary stereo images and custom cards, after 'Add Image' select 'Print Setup'.

Commercial Printing of Stereo Cards

After setting-up the stereo-card using your preferred settings, you may click 'Save as...' to immediately save a high-resolution image or click 'Show Card' to preview it on the monitor.

If you are not satisfied with the result, select 'UNDO' from the toolbar and remake the card.

To make an image of the entire print page, check the 'Full Page' option and then the 'Show Card' button.

To print a 6"x4" Holmes card on 7"x4" paper, set the canvas size to 7"x4" :-

Press 'Show Card' to preview the stereo-card image :-

To print a 7"x4.25" Cabinet card on 7"x5" paper, set canvas size to 7"x5" :-

Check the 'Full-page' option :-

Press 'Show Card' to preview the stereo-card image :-


File/Most Recently Used Files

Most Recently Used Files

The five most-recently-used files are displayed at the bottom of the 'File' menu for the convenience of the user.


Delete MRU files

Delete Most-recently-used files...

The most-recently-used files list is cleared.

This can be useful if the files have previously been moved or deleted.


File/Exit

Exit

Exits program and saves a number of settings for next startup.


Edit/Undo

Undo (Z)

'Undo' will restore the image state that existed before carrying out certain actions such as Crop,Resize,Rotate,Gamma adjustment and Sharpen.
To 'Undo' any alignment changes press the <Home> key or click the toolbar icon.


Edit/Redo

Redo (Alt+Z)

'Redo' will return you to the state that existed before the last 'Undo' .
Using 'Redo' and 'Undo' you can alternate between two states of an image (e.g.normal and sharpened) to evaluate the effect of an operation.


Undo Buffer Clear

'Undo Buffer' Clear (Shift+Z)

After executing a large number of Undo's, SPM may slow-down because Windows is using a swap-file.
Clear the 'Undo Buffer' from the menu or using the keyboard shortcut to cure this problem.


Edit/Copy

Copy (Ctrl+C)

The currently-displayed image is copied to the clipboard so that an external program (such as 'MS Paint') can paste it into its application.


Edit/Paste

Paste (Ctrl+V)

SPM will copy any compatible image data from the clipboard into its display window.
e.g. after an external programme has modified the image and copied it to the clipboard.
If the clipboard data is not compatible (e.g. text) the 'Paste' option will be grayed-out.


Edit/Resize

Resize... (R)

The image may be pixel-resized keeping its current aspect-ratio (X/Y size) or not (distorted).

Aspect-ratio may be retained, taking the border into account or not.

In this case, you may enter the maximum allowable height and width and a suitable output size will be created that retains the aspect-ratio.
For example :-
input image size : 800x600 width:400 height:300
output image size : 400x300

input image size : 600x800 width:400 height:300
output image size : 225x300

input image size : 800x600 width:400 height:400
output image size : 400x300

input image size : 600x800 width:400 height:400
output image size : 300x400

The 'Resample' option performs a bilinear resize which is higher-quality than a pixel-resize but takes longer.

The image may be resized in increments as small as 0.1%.
This is useful when cameras are used in tandem (side-by-side AND one behind the other) to reduce inter-ocular distance.
With large images of a few thousand pixels, a 1% step would be too coarse.


Edit/Crop

Crop

Sometimes it is necessary to crop an image for compositional or presentation reasons.
A website gallery may require images of a certain size, stereo card formats need images with a specific aspect-ratio if you want maximum image-area.
You can crop in three ways :-

1. Any size and aspect-ratio. (free cropping)
2. Any size but a fixed aspect-ratio. (free cropping with 'keep aspect ratio' checked)
3. A fixed size and aspect-ratio. (fixed size cropping)

SPM's cropping options allow you to achieve any of the above.

Five fixed-sized cropping options are provided, you may change the default values in Edit\Preferences\Crop.
A sixth fixed-size cropping option may be specified directly in Edit\Crop\Custom Cropping.
Free cropping allows you to manually enter a required aspect-ratio which then applies to cropping executed by the toolbar icon, menu selection Edit\Crop\Free Cropping or pressing the 'B' key.
If you choose one of the buttons Classic, Holmes, 6x13 format or Cabinet Card, SPM enters the correct aspect-ratio for maximum image area, checks 'keep aspect ratio' and remembers your selection when you use 'Print Stereo Card'.
By unchecking 'keep aspect ratio' you can define any size of crop rectangle and SPM will still remember your stereo-card choice when you use 'Print Stereo Card'.
This allows it to preselect the appropriate print size.

... .... ...

For Holmes cards, the print size is set to 6"x4", you simply trim-off the top 0.5" and mount on 7"x3.5" card.
For further details see this link.

All the stereo formats are displayed as two side-by-side images and two crop-rectangles are displayed, one over each image and moving in unison.
For fixed-size cropping, if you have not checked the 'Resize to above after cropping' option, crop rectangles of the chosen size will be displayed on the images.
You may then drag them to the desired position.
If the 'Resize to above after cropping' is checked or if you have selected free-cropping, you will be able to use the mouse to position the cross-hairs of the crop-lines at the desired top-left position for the crop-rectangle and then hold-down the Left mouse button.
KEEPING THE BUTTON DEPRESSED drag the cross-hairs to the desired bottom-right position for the crop-rectangle and release the button.
For fixed-size cropping, the crop-rectangle aspect-ratio is determined by the width and height of the selected option.
e.g. if you choose 640x480, the aspect-ratio is 4:3 and you could select an area 800x600.
After cropping, that area will be resized to 640x480.
If the 'Two-stage cropping' option has not been selected in 'Edit/Preferences' the image is cropped-to-size immediately, although the user can 'Undo' the action.
Otherwise,the rectangles positions may then be altered by positioning the 'move' cursor over either one and dragging the mouse with the left button depressed.
On releasing the button, the images will be immediately cropped.
If necessary, you can click 'Undo' to revert to the uncropped images.

'Custom Cropping 0' allows the user to define a crop-rectangle whose width and height also determine the cropping aspect-ratio.
Optionally, you may 'resize' the image to that entered size after doing the 'free crop'.
If you enter 0,0 for the resized image, SPM will use a default value of 640x480.

Five predefined crop rectangles are available :-

640 | x | 480 | . | 1
800 | x | 600 |  | 2
1024 | x | 768 |  | 3
1280 | x | 1024 |  | 4
1600 | x | 1200 |  | 5

Pressing keys '1' to '5' will display the crop rectangles (if they are smaller than the image).
The rectangles positions may then be altered by positioning the 'move' cursor over either one and dragging the mouse with the left button depressed.
On releasing the button, the images will be immediately cropped.
If necessary, you can click 'Undo' to revert to the uncropped images.

The user may custom-define these five rectangles to other values in 'Edit/Preferences'.

Cropping Large Images

It may be necessary to crop large images, such as panoramas, that are larger than the screen resolution.
This may be done accurately by choosing the free-cropping icon from the toolbar and following the procedure below:-

Move the crosshair cursor to the required upper-left position, the x-y co-ordinates are displayed in the status-bar (43,44 in above example).
Press Shift + mouse left-click. The cross-lines will disappear.

Using the horizontal and vertical scroll-bars, move to the lower-right of the image.
The status-bar displays the starting co-ordinates, ending co-ordinates and the size of the resulting crop-rectangle.
Press the Shift key and move the mouse to display the cross-lines, drag to required position and, with Shift still depressed, right-click.
Ignore the popup context-menu and click on the image to crop it.


Edit/Rotate/Flip Image

Rotate/Flip Image

The images may be rotated to the left or right by 90 degrees or flipped vertically or horizontally.

Rotate to right | Ctrl+RightArrow
Rotate to left | Ctrl+LeftArrow
Right image rotate to right | Ctrl+Shift+RightArrow
Left image rotate to left | Ctrl+Shift+LeftArrow
Horizontal flip (Left) | Ctrl+UpArrow
Horizontal flip (Right) | Ctrl+DownArrow
Vertical flip (Left) | Ctrl+Alt+UpArrow
Vertical flip (Right) | Ctrl+Alt+DownArrow


Edit/Rotate Image Right

Rotate Image Right..(Ctrl+RightArrow)

The images may be rotated to the right by 90 degrees by using the menu-option or keys.

. .


Edit/Rotate/Flip Image

Rotate Image Left..(Ctrl+LeftArrow)

The images may be rotated to the left by 90 degrees by using Ctrl+LeftArrow.

. .


Rotate Right Image to Right

Right Image Rotate to Right..(Ctrl+Shift+RightArrow)

This function is provided for unspecified taking/viewing equipment where image rotation is required.
It is suitable for uncompressed formats such as BMP, TIFF or PNG.
It should not be used for JPG images as it will lead to loss of quality.
For them, it is better to embed a 'rotation tag' in the EXIF header.


Left Image Rotate to Left

Left Image Rotate to Left..(Ctrl+Shift+LeftArrow)

This function is provided for unspecified taking/viewing equipment where image rotation is required.
It is suitable for uncompressed formats such as BMP, TIFF or PNG.
It should not be used for JPG images as it will lead to loss of quality.
For them, it is better to embed a 'rotation tag' in the EXIF header.


Flip Image

The images may be 'flipped' in a horizontal or vertical direction.

Horizontal flip (Left) | Ctrl+UpArrow
Horizontal flip (Right) | Ctrl+DownArrow
Vertical flip (Left) | Ctrl+Alt+UpArrow
Vertical flip (Right) | Ctrl+Alt+DownArrow


Edit/Sharpen

Sharpen... (U)

A sharpness value of 1 (Low) to 50 (High) may be entered.
The precise effect depends upon the image size, being greater for smaller images (possibly after a resize).


Edit/Edge Detection

Edge Detection

The edge-detection filter eliminates detail in an image and only displays object outlines.
The filter works by reading the values of surrounding pixels.
This means that an edge-detect followed by image-resize will be different to image-resize followed by edge-detect.
The precise effect obtained also depends on the value set in the 'Threshold Level' box
This can vary from 0 (black) to 255 (white).
Initially, it is set to '16' but may be altered to suit a particular image.

As soon as you click 'OK' the conversion process begins and a progress-bar is displayed at bottom-left of the window.
To return to the unfiltered image, click 'Undo' .

In the normal (not 'Easy Adjustment') viewing modes, the Edge filter may be used for a purely pictorial effect to reduce a scene to its outlines.
After saving the scene, you may 'Undo' to return to the original image.

.....

Reducing an image to its edge outlines can also greatly simplify image-correction, particularly when using the 'Easy Adjustment' option.
In that case, the Easy Adjustment values are applied to the original images.
Note that in the processed image, the edges in the left view are cyan.
When viewed through the red lens, the red outlines of the right view disappear into the 'white' background and the cyan outlines in the left view appear black.


Web/Make HTML file

Spheric deformation (Ctrl+U)

For web use, or general interest, this option maps the stereo image onto a sphere.


Edit/Add Text

Add Text.(Ctrl+T)

This option allows the user to add text-strings to the image offset from any of four fixed locations.
its position may be specified manually or you may drag it to the desired location.
You may add text as many times as you wish.
The most-recent text may be automatically applied to a batch of images.
Typically, it may be used for adding © Copyright information.
The text may be positioned Top Left and Right and Bottom Left and Right.
For Top and Bottom Left, the X-Offset is the distance in pixels from the reference-position to the start of the text.
For Top and Bottom Right, the X-Offset is the distance in pixels from the reference-position to the end of the text.
For Top Left and Right, the Y-Offset is the distance downwards in pixels from the reference-position to the start of the text.
For Bottom Left and Right, the Y-Offset is the distance upwards in pixels from the reference-position to the start of the text.
The position of the text is normally at the plane of the screen and 'Depth' is set to zero pixels.
A positive depth-value places the logo in front of the screen and a negative value behind it.
Note however, that in most cases placing the logo below screen-depth will cause visual 'conflict' .

You can choose from the System font or any installed TruType font and specify whether strikeout or underline is to be applied,
whether its style is to be regular, italic, bold or bold-italic and its size in points.

In addition the font color may be chosen from one of 48 predefined colors or you may define 16 custom colors.

To make text more visible against a similarly-colored background, you may also apply a colored drop-shadow.
Again, it can be one of the predefined colors or the same 16 custom colors.
The shadow offset, horizontally and vertically, in pixels may be specified.
Positive 'X' places shadow to right of text, negative 'X' places shadow to left.
Positive 'Y' places shadow below text, negative 'Y' places shadow above text.

If a particular font supports anti-aliasing, you may enable this with the checkbox.

Text will only be anti-aliased if certain conditions are met.
To quote Microsoft :-

"Windows NT 4.0 and later: Font is always antialiased if the font supports it and the size of the font is not too small or too large.
Windows 95 Plus!, Windows 98/Me: The display must be greater than 8-bit color, it must be a single plane device,
it cannot be a palette display, and it cannot be in a multiple display monitor setup."

Only Add Text AFTER you have aligned your images !

Instead of being overlaid directly onto the image, the text may be displayed on a banner (or 'text zone') whose color and height are user-defined.
A live preview of the text and banner (overlaid on part of the image) is displayed to make the selection of their parameters easier.

The zone can also be appended to the outside of the image.
The preview image in the window may be toggled between 100% image-size or fitted to the window.
If you check the option 'Enlarge this Dialog for next time'the dialog will be displayed fullscreen next time it is used.
All of your current Text settings may be retained as default settings by clicking 'Save Setting' and recalled at any time by clicking 'Restore Setting'.
This is useful for often-used text such as a © Copyright notice.


Edit/Add Logo

Add Logo.(Ctrl+L)

In addition to (or instead of) adding text to the image, you may overlay a flat or stereo custom logo.
Its position may be specified manually or you may drag it to the desired location.
A positive depth-value places the logo in front of the screen and a negative value behind it.
Note however, that in most cases placing the logo below screen-depth will cause visual 'conflict' .
Initially, the default SPM Copyright logo is displayed and you may then Browse to the folder-location of your logo image.

If you choose to use a transparent logo, select 'Extract' and then the Color-Picker tool may be placed on the logo color that you wish to make transparent. The above image shows a transparent logo extracted from a white background

Instead of overlaying directly on the image, the logo may be placed on its own 'logo zone' . The height of the zone may be specified and its color chosen from 48 system colors or 16 custom colors.

The logo-image file-format may be jpg, bmp or TIFF.

If the logo name ends with '_l', SPM will look for a matching image whose name ends in '_r', and vice-versa.
This allows you to add stereo logos to the image.
The logo image you select will be overlaid on the main left image, so it should be the left logo for parallel main images and the right logo for cross-eyed main images.

After browsing to the logo image locations and selecting one, SPM will display the full path to the left and right images it will be using for the logo, as shown on the above screenshot.

The zone can also be appended to the outside of the image.
The preview image in the window may be toggled between 100% image-size or fitted to the window.
If you check the option 'Enlarge this Dialog for next time'the dialog will be displayed fullscreen next time it is used.
GIF or Icon (.ico) images may be converted to bmp using programs such as IrfanView.

If you choose 'All Files' for 'Files of Type' in the 'Open' dialog-box, then all files with any extension will be displayed .
If you have the Susie plugin installed for the selected filetype, it will be loaded and displayed.
Image filetypes may include Windows Metafile(wmf), Sun Rasterfile(ras,rs), PNG(png), PICT(pict,pct) and Targa(tga).

All of your current Logo settings may be retained as default settings by clicking 'Save Setting' and recalled at any time by clicking 'Restore Setting'.


Add Fuzzy Border

Add Fuzzy border..(Shift+B)

Although SPM's horizontal-disparity controls can be used to position the subject behind the stereo-window, for effect you may wish some part to 'poke through' in front of the window.
For anaglyph images, you may also do this in an attempt to reduce ghosting or make viewing of near and far parts more comfortable.
If the edges of the subject are also positioned in front of the stereo-window, the result will be window-violation that the brain does not find acceptable.
A method that makes this violation more acceptable is to surround the subject with a 'fuzzy border'.

SPM allows you to apply a fuzzy border and choose the border-width and fuzzy-gradient value.
The fuzzy-gradient is the percentage of the border-width that is 'fuzzy' , the rest being solid-color.
A gradient of 100% is entirely fuzzy, a gradient of 0% is completely solid.

You may also choose the radius of the fuzzy-border corners.

The gradient color may be chosen from one of 48 predefined colors or you may define 16 custom colors.

To see fullsize examples of applying this feature, goto http://stereo.jpn.org/eng/stphmkr/fuzzy/fuzzy.html


Floating window

'Floating window' (Shift+F)

One technique for making anaglyphs more comfortable to view ('deghosting'), is to position the most 'troublesome' part of the image at the window.
i.e. to exactly overlap those parts.
This may result in parts of the image coming through the window and 'colliding' with the sides, causing a window 'violation'.
SPM's floating window option allows you to float a bordered window at the same position in order to avoid the violation.

From menu 'Edit\Floating Window' choose 'Floating window setting'.

You can specify the border widths as a percentage of image width or in pixels, select their individual colours and choose rounded corners for the middle border.
You may also select a default shift value (as a percentage of image width) that determines how far out of the screen the window is floated.
You may then use the left arrow to move the window forward or the right arrow to move the window backwards.
If you wish to apply an exact shift value, simply 'Undo' and change in 'Floating window setting'.

The above images show the result of applying a single floating window.
You can, if you wish, apply multiple windows as shown below.

The floating window images may be saved in the usual way.


Add Overlay Image

Add Overlay Image (Alt+L)

You may overlay a transparent GIF or PNG image onto the background image .
This may be used to create a special frame (for printing) or simple stereo compositing.
It is also useful when the image has a white background, as the 'Print Stereo Card' rounded-top option would have no visible effect.
By using a transparent overlay with colored surround, you can frame such images, as in this example below :-

...

To create your overlay template using a painting programme, open a new canvas and fill with a pattern or solid color (above left).
Then, draw the desired frame-shape and fill with a solid color (green in the above example).
Add text for title/description or, alternatively, use SPM's 'Edit/Add Text' option later.
If you want different text for each left/right image (above/below or left/right), create a side-by-side template.
Save the image as a transparent PNG (or GIF).
In the above example, we selected green as the 'transparent' color.

Select 'Menu/Edit/Overlay Image/Add Overlay Image'. You can use shortcut key(Alt+L).

If you use single side overlay image, Uncheck 'Side-by-side Overlay image' option.

If you use side-by-side overlay image, Check 'Side-by-side Overlay image' option.
'Keep aspect ratio' - retains the aspect-ratio of the overlay image.
If it is not the same as your background image then the background will only be partially covered and may need cropping.
The overlay is always located at the 'stereo window' and you may wish to adjust the background image
so that it is 'pushed' into the screen.
There are two ways to do this :-
  • Press the [z] key (undo).
    Readjust the horizontal disparity for the background using the left/right arrow-keys.
    Press [Alt + v] key to add the latest overlay image).
    Repeat if necessary.

  • 'Live' adjustment of the background's stereo-depth may be achieved with these keys :-
    Alt+Up
    Alt+Down
    Alt+Left
    Alt+Right

    These cause SPM to automatically execute the 'undo -> adjust -> add latest overlay' sequence of operations.
    This method can be slow, so the first method is generally recommended.

The adjusted background + overlay may now be printed, if desired.

Select 'Menu/File/Print setup...' and 'Print...' for printing.
(Don't select Menu/File/Print Stereo Card...)

The image may also be saved in a format of your choice.
This is useful if you want a PhotoLab to print the images.


Add Latest Overlay Image

Add Latest Overlay Image (Alt+V)

After you have used 'Add Overlay Image', a copy of the overlay is retained in memory.
This may be applied to the current background-image or any subsequent background-image by using the 'Add Latest Overlay' option.
It is also useful when repeatedly adjusting the stereo-depth of the background image.
As described in the 'Add Overlay Image' section, the fastest way of doing this is to adjust background, 'Add Latest Overlay' image (assuming it has first been loaded) and if not satisfactory, delete the overlay and repeat the sequence.


Overlay / Alignment...

After you have used 'Add Overlay Image', you may use the following keys to adjust the background and move it in 'stereo space' :-

Alt+Up
Alt+Down
Alt+Left
Alt+Right

The overlay image is always located at the stereo window and is not affected by the above or normal arrow keys.
On some systems, the above keys may not produce a sufficiently-fast response and an alternative method is described in the 'Add Overlay Image' section.


Edit/Make 3D Image for Mobile phone

Make 3D Image for Mobile phone (H)

This option creates stereo-image files in the STJ format (side-by-side horizontally-squeezed jpeg) which can be downloaded by the SH251is or SH505i mobile-phones and displayed in stereo on their 176x220 or 240x320 (QVGA) TFT color displays . (The phone is available as part of DoCoMo's i-shot service).

'Stereo Club Tokyo' (http://www.stereoeye.jp/stereoclub/index_e.html) have an exhibition of STJ-format images that may be downloaded to the mobile-phone (using i-mode).

The image used should be parallel-eyed side-by-side format.
Standard Phantogram images may be used and although you cannot view them at the normal 45 degrees,
when viewed from one precise position the subject will rise-up above the phone display ! .
After selecting this option, position the mouse-cursor over one of the images and position the cross-hairs at the desired top-left position for the crop-rectangle and then hold-down the Left mouse button.
KEEPING THE BUTTON DEPRESSED drag the cross-hairs to the desired bottom-right position for the crop-rectangle and release the button.
The crop-rectangle aspect ratio is automatically constrained to 0.8 (width/height).
The rectangles positions may then be altered by positioning the 'move' cursor over either one and dragging the mouse with the left button depressed.
On releasing the button, the images will be immediately cropped and you will be prompted for a filename for the .STJ file.
As the file size cannot exceed 10,240 bytes for the SH251is or 25,600 bytes for the SH505i, use the horizontal 'Image Quality' slidebar to ensure this.
If required, you can 'Cancel' at this stage and 'Edit/Undo'.


Edit/Preferences Intro

Preferences...

SPM's menu Preferences consists of six tabbed pages.
For an overview, click the following icon and then click any of the tabs at the top of the page...

Click on any of the items below to go directly to that preference.

  • General
    • Susie 32-bit plug-in folder
    • Run External Program (Press (G) Key)
    • Slide Show Interval
    • Mobile Phone
    • Undo Buffer
    • Disable image-sequencing with the mouse
    • Startup with its window maximised

  • View
    • Image distance when reduced image (Toggled with 'E' key)
    • Background
    • Space around the image
    • Extra large thumbnail size

  • Crop
    • Two-stage cropping, define crop-rectangle size and then its position
    • Setup Default Cropping Size
    • After free-cropping, Resize to above size

  • Launch
    • Setup Context Menu
    • Association
    • Stereo Image Format
    • Stereo View method
    • Swap Left/Right
    • Full Screen

  • IE Context Menu
    • Enable IE Context Menu
    • Download Image File
    • Authorization

  • Adjust
    • Autopano folder
    • Hide Autopano window
    • Only horizontal and vertical alignment
    • Input image arrangement
    • Window mounting options
    • Correct barrel distortion
    • Do not save report files
    • Adjustment (L/R) stepping
    • Enlarge Easy Adjustment Dialog
    • Auto Crop after adjustment
    • Sharpen after adjustment


Clone Brush

Clone Brush Setting (Ctrl+N)

When using an unsynchronised pair of cameras, or a single camera, any objects that move during the taking will be at an incorrect depth.
SPM provides a stereo clone-brush to correct these errors.

You may choose different shapes of brush to best suit the subject and avoid intruding on unwanted regions.

You may choose a large size to rapidly cover a large area or a small size for precise work.
Do not use the small size over large areas as you may leave areas untouched.

A hard-edge to the brush produces a steep change of stereo depth whereas a soft edge provides a gentle change.

The parts of the image that need to be corrected are normally quite small but for the purpose of this documentation we shall work on larger areas.

The above image is of part of a butterfly wing resting on one of the early EPROM memory chips.
The grid has been turned-on to provide a reference at window level.
If you view with anaglyph glasses you can see that everything is behind the window.

We are going to move the right edge of the chip at center down to the level of the substrate to it's right.
We start by moving the substrate to window level by using the left/right arrow keys, the result is shown above.
By means of the grid and by viewing the mouse cursor over the reference feature, you can detect quite accurately when the feature is at window position.
The clone brush will move any parts of the image that it 'paints' to the depth-level currently at the window.

To enable the clone brush, press 'Shift' and slightly move the mouse.
As soon as the cursor changes to the brush icon, depress mouse left-button and release 'Shift'.
The size and shape of the clone brush will be outlined on the image.
Paint the image with the mouse button depressed.
In practice, the parts that need correcting will usually be quite small so it is best to zoom-in on the image.
If you make an error, click the 'Undo' icon on the toolbar and start again.
We can see above that the right-edge of the chip is now at substrate level.

Use the left/right arrow keys to move the window back to it's correct position.
The result is shown above.


Customise Toolbar

Customize Toolbar..(Shift+T)

SPM uses four different types of toolbar and the user may customize any or all of them :-

Initial toolbar
Stereo image toolbar
Single image toolbar
Image File List toolbar

You can add or remove buttons and the changes will be retained the next time SPM starts-up.
To revert to the default toolbars, simply press 'Reset'.

Clicking anywhere on the toolbar empty space, pressing <Shift+T> or choosing menu-option 'Edit/Customize Toolbar' will display the above dialog-box.
You may select individual items (not multi-select) to add to or remove from the toolbar.
The buttons are arranged in the order given by the right-window and by using the 'Move Up/Move Down' dialog-buttons you may easily re-arrange them.
Alternatively, press 'Alt' and drag the buttons on the toolbar with the mouse.


View/Normal Size (100%)

Normal Size(100%) (J)

The image is displayed at its normal size.
If it is larger than the window, it may be dragged with the mouse (left button down) or the scroll-bars to display areas outside the window.


View/Fit To Window

Fit To Window (F)

The images are displayed at such a size that both are displayed side-by-side in the window.


View/Fit Panorama Height/Width to the Screen

Fit Panorama Height/Width to the Screen (Q/Shift+Q)

These modes are intended for viewing stereo panoramas.

If you change the display mode (Full screen, Pageflip, Open next image etc), SPM stays in "Fit the Image Height/Width to the Screen" mode until the image is zoomed.

Once the image-height or width fits the window, you may use the (I) key (horizontal panoramas) or Shift+I key (vertical panoramas) with all display modes to autoscroll the image.

Fit height to the screen is intended for horizontal panoramas, fit width is intended for the far less common vertical panoramas.
Vertical panoramas are sometimes used for planetary images.
An example is here at Mars Unearthed
To view the vertical anaglyph-panorama, select 'File/Open Single Image' and press the following keys :-

Shift+Q (fit width to screen)
Shift+I (auto-scroll)

Stereo 360 degree anaglyph panoramas may be displayed on a webpage using a freely available script.

If the panorama source images need to be cropped, see Crop/Cropping Large Images.


Horizontal/Vertical auto-scroll for Panoramas

Horizontal/Vertical auto-scroll for Panoramas (I/Shift+I)

This auto-scrolls the panorama in all display modes.

With horizontal panoramas, you may use the left and right arrow keys to change scroll direction
and the up and down arrow keys to change scroll speed.

With vertical panoramas, you may use the up and down arrow keys to change scroll direction
and the left and right arrow keys to change scroll speed.
The speed-value that you use will be saved in the registry and applied next time that you use auto-scroll.

The 'X' key will swap left/right images during scrolling.
To stop scrolling, press any other key or left-click the mouse.
In Panorama Mode (360 degree), the panorama will continuously rotate.
This mode is unlikely to be used with vertical panoramas.

Vertical panoramas are uncommon but are sometimes used for planetary images.
An example is here at Mars Unearthed
To view the vertical anaglyph-panorama, select 'File/Open Single Image' and press the following keys :-

Shift+Q (fit width to screen)
Shift+I (auto-scroll)

Displaying Panoramas on a Web Page

Create a color anaglyph version of your 360 degree stereo panorama and save as a .BMP file.
A JPG version will be a lot smaller but disparity information will be degraded.
Include text similar to the following in your HTML file :-

<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>
<BODY onLoad = "pwset()">
<NOBR><IMG id = "pic1" src = "your_image.bmp"><IMG id ="pic2"></NOBR>
<SCRIPT language = "JavaScript" src = "360sc.js"></SCRIPT>
</BODY>
</HTML>

The script file "360sc.js" may be obtained from M.Murakami's website.

Stereo panoramas by the authors and others may be viewed here

. You can start, stop and auto-scroll the panorama.


Panorama Mode (360 degree)

Panorama Mode (360 degree) ...P

When this option is selected, 360 degree panoramas may be continuously-rotated using Auto-scroll (for Panorama).
Image-height should be fitted to screen.

As a reminder, 'Panorama Mode' is displayed in the window's title-bar.

Stereo 360 degree anaglyph panoramas may be displayed on a webpage using a freely available script.

If the panorama source images need to be cropped, see Crop/Cropping Large Images.


View/Full-Screen

Full-Screen (Enter)

The images are displayed at such a size that both are displayed side-by-side full-screen and without any menus or toolbars.
Press <ESC> to return to previous view.


File/Next Image (Space/Mouse)

Next Image (Space/Mouse)

Pressing the <spacebar> sequences forward through an alphanumerically-sorted list of all supported image-file types (JPS,DAS,BMI,JPG,STJ,BMP,TIF) in the most recently selected folder
(e.g. the folder that may have been used with 'File/Open Stereo Image') and displays them using the currently-selected stereo-format.

Alternatively, if the image-width does not exceed the window-width, you may click the right-side of an image or image-pair.

If the image-height does not exceed the window-height, you may also click near the top of an image or image-pair.

Every time <space> is pressed or the visible right or top of an image or image-pair is clicked, the image-sequence advances by two. The left image is displayed 'fitted to window' size and the right image is displayed at the same 'zoom' setting (so only part of it may be displayed).
If the viewing stereo-format does not match the image stereo-format then the images will not be correctly displayed.

For example, if a side-by-side image is viewed with the 'Tri-Delta(BB)' view setting the displayed image will be displayed in the format actually recorded by the Tri-Delta attachment.

If you are interested in what the 'Tri-Delta' and 'SIS' formats look like then you can experiment with these settings and your own side-by-side images.
On reaching the last image, the sequence continues at the first image.


File/Next one of pair (Ctrl+Space)

Next one of pair (Ctrl+Space)

Every time <Ctrl> <space> is pressed the image-sequence advances by one.

Consider a folder with the following images :-

img_0010_l.jpg
img_0010_r.jpg
img_0011_l.jpg
img_0012_l.jpg
img_0012_r.jpg

Note that 'img_0011_l.jpg' is not part of an image-pair.

You load 'img_0010_l.jpg' and 'img_0010_r.jpg' as an Independent(Left/Right) file.
If you press the 'space' key, the image-sequence advances by two images to display 'img_0011_l.jpg' and 'img_0012_l.jpg'.
The right-hand side is displaying the left-image of an image-pair.
If you now press the 'Ctrl Space' key, the image-sequence only advances by one so that the image-pair 'img_0012_l.jpg' and
'img_0012_r.jpg' is displayed.


File/Previous Image (Back space/Mouse)

Previous Image (Back space/Mouse)

Pressing the <backspace> key sequences backwards through an alphanumerically-sorted list of all supported image-file types (JPS,DAS,BMI,JPG,STJ,BMP,TIF) in the most recently selected folder
(e.g. the folder that may have been used with 'File/Open Stereo Image') and displays them using the currently-selected stereo-format.

Alternatively, if the image-width does not exceed the window-width, you may click the left-side of an image or image-pair.

If the image-height does not exceed the window-height, you may also click near the bottom of an image or image-pair.

On reaching the first image, the sequence continues at the last image.


File/Slide Show

Slide Show (A)

SPM searches the folder of the displayed file, alphanumerically sorts the image files and creates a slideshow list for its own internal use.
The images are displayed for the duration set at 'Edit/Preferences/Slide Show Interval' and this value is displayed at the top of the window.
To stop the slide show, simply select 'Slide Show' from the menu again or press 'A'.


View/Zoom In

Zoom In (F2)

'Zoom In' displays a smaller area of the image. Together with Zoom-out, the magnification of the image may be varied from 1% to a value that depends on the amount of system-memory available. You may also rotate the mouse-wheel to zoom-in.
The zoom value is displayed together with the Display Image Size.
(not shown on screenshots below)

Once you zoom sufficiently, so that you can only see part of the image, you can drag the image on the screen by keeping the mouse left button depressed.
Resampling ON/OFF allows you to choose between speed and image quality when zooming.


View/Zoom Out

Zoom Out (F3)

'Zoom Out' displays a larger area of the image. Together with Zoom-in, the magnification of the image may be varied from 1% to a value that depends on the amount of system-memory available. You may also rotate the mouse-wheel to zoom-out.
Resampling ON/OFF allows you to choose between speed and image quality when zooming.
The zoom value is displayed together with the Display Image Size.
(not shown on screenshots below)


Resamplin ON/OFF

Resampling ON/OFF (Ctrl+R)

When zooming images, a simple resizing procedure can give the fastest response or a more complex procedure (Resampling) can give better quality.
If your system is sufficiently powerful, you may choose to leave Resampling ON permanently.
Otherwise you may prefer to turn it off for a faster response.
For non-zoomed side-by-side images, it is recommended that Resampling is ON.

A toolbar button [image] may also be used to toggle this mode, it is blue [image] when Resampling is ON.


View/Swap Left/Right

Swap Left/Right (X)

The left and right images are interchanged to give a correct stereo view or a pseudo stereo view.
parallel eyes

In the above pair, the left image is on the left.
If you instinctively cross your eyes to view it, the result will be pseudo-stereoscopic.
Compare it with the image below.

cross eyes

Now the right image is on the left and may be comfortably viewed 'cross-eyed' by most people.

Sometimes the displayed stereo image will not look 'quite right', try pressing 'X' and the difference should then be obvious.


View/Show/Hide Cursor

Show/Hide Cursor (T)

Normally, the cursor appropriate to an operation (such as drag or crop) is displayed when the mouse is over one of the images.
If the cursor is hidden, it only appears when the mouse is over one of the images and the left button is depressed.


View/Show/Hide Navigator

Show/Hide Navigator (N)

When only part of an image is displayed in the window at high magnification, it can be difficult to navigate to a particular position.
When 'Show Navigator' is enabled, a thumbnail image with an overlay of the displayed area is displayed. The overlay may be moved around on the thumbnail and the area shown by the main display will follow it.
The default is 'Hide Navigator' .


Border

You may define a tricolor border to be applied to screen images and/or to printed/saved images.
There are separate options for screen and print/save because a border sufficiently wide for a screen could be too narrow for a saved or printed image.
The 'tricolors' consist of an outer, middle and inner border and you may select their individual color from 48 basic colors or 16 custom, user-defined colors.

The middle border may have square or rounded corners and you can specify each border width separately for screen or saved/printed images.
Ticking the 'Show Border' check-box will display the borders or, alternatively, there is a toolbar icon [image] 'Show/Hide Borders'.

....

The border will only appear on the printed image if it is currently displayed on the screen image.
The 'Space around the Image' value in Edit/Preferences does not apply when an image has a border.

Web-based stereo-galleries or 'photo communities' often require a consistent presentation of submitted images.
For side-by-side images, they may be presented with a space between the left/right images against a plain color background.
The SPM option 'L/R Space' allows you to define such a space/background color that is added between the images when saving or printing (only).
In the above example, a color of #192,192,192 is added to match a background of the same color.
It will usually be necessary to limit your images to a specified maximum size.
This will include any borders you may have added and the above color space.
For an example of how your image should first be resized to meet these requirements, see 'Multi Conversion' .


Grid Settings

Grid Setting (Ctrl+G)

Choose the numbers of horizontal and vertical grid-lines from 1 to 100 and turn the grid on/off.
This grid is overlaid on all stereo viewing modes except page-flipping.


Stereo/Adjustment View

Adjustment View (F5)

As well as the two input images, a composite of the current alignment is also displayed below them at the current view settings described above(normal size,zoomed,fitted to window).
Using the left,right,up,down arrow-keys the image may be moved horizontally to increase/decrease the stereo disparity and vertically to eliminate disparity errors.
The left-arrow key moves the images towards each other, the right-arrow key moves them away from each other.
The images may be Zoomed-in for greater accuracy, particularly when reducing vertical disparity error.
The 'x' and 'y' values of the position alignment are displayed together with the image size (in pixels) after the necessary cropping.


Stereo/Interlaced

Row Interlaced (F4)

The image-pair are displayed as a single interlaced image of the same dimensions that each image had in the Adjustment View.
The image may be enlarged to fit the window and/or zoomed-in and aligned as described previously.

Column Interlaced (Alt+F4)

This is simple vertical interlacing as used by some types of display.
The Sharp 3D LCD uses a different type of vertical interlacing.


Sharp 3D LCD

Sharp 3D LCD (Shift+F4)

This is used with the proprietary Sharp 3D LCD format.
It does not support other vertically-interlaced displays.

3D DLP TV (Ctrl+Alt+F4)

Images intended for 3D-ready, digital light-projection televisions use a chequer-board encoding to combine the left/right views into a single image as shown above.
Any image processing (including resizing) should be done before the final conversion to this format.
The images should be cropped and/or resized to 1920x1080 or 1280x720 depending upon the native resolution of your TV.

...
Above, we see an image cropped to 16:9 aspect-ration and (for convenience) displayed as a Dubois anaglyph.
(it is an extended depth-of-field image positioned in front of the window).
On the right, we see a magnified small section of the corresponding 3D DLP TV image.

SPM Multiconversion can batch-process hundreds of images and output in the 3D DLP format.
The image should be saved in BMP or TIFF format.
Connect your PC to the 3D DLP TV with a standard HDMI cable.

A list of high-definition TV's capable of displaying 3D images and video may be found here.


Stereo/Gray Anaglyph

Gray Anaglyph (F6)

red-cyan | red/green | red/blue | yellow/blue

The image-pair are displayed as an anaglyph image of the same dimensions that each image had in the Adjustment View and for viewing with the appropriate glasses (red for the left eye).

The image may be enlarged to fit the window and/or zoomed-in and aligned as described previously.


Stereo/Anaglyph Setting

Anaglyph Setting...

Anaglyph color and contrast (gamma) may be specified.
Color may be red/cyan, red/green, red/blue, color, half color or custom-optimized by the user and the individual left and right images may be viewed or the resulting anaglyph.
By convention, red is always the Left image.

Gamma for each image may be set from 0.01 to 5.0 and the images average density is displayed.


Stereo/Color Anaglyph

Color Anaglyph (F7)

color | . | half color

The image-pair are displayed as a single color anaglyph image of the same dimensions that each image had in the Adjustment View.
For viewing with red/cyan or yellow/blue glasses.
The image may be enlarged to fit the window and/or zoomed-in and aligned as described previously.

In Half color mode, the red or yellow image is replaced by the grayscale value of the left image.
The right image uses the blue and green values of the original right image.
Put on your anaglyph glasses to see the effect of half-color with the above images.
There is less 'retinal rivalry' on brightly-colored objects.

Dubois Anaglyph (red/cyan)

...

The Dubois anaglyph method changes problem colors to colors that do not produce ghosting.
Again, put on your anaglyph glasses to see the effect of the Dubois method with the above images.
These contain large areas of bright red and the reduction in ghosting is very obvious.
You cannot simultaneously have color fidelity and very low ghosting.
You can set-up your own Dubois parameters by using 'Optimised Anaglyph' and initially entering the 6x3 matrix values stated there.
Using that starting point, you can try altering the various parameters.


Ghost-reduced Anaglyph

Ghost-reduced Anaglyph..(Ctrl+F7)

A major problem of anaglyph images is 'ghosting', where each eye perceives some of the other-eye's view.
The amount of ghosting will depend upon the characteristics of the viewing glasses and crt or printed-image.
It should be noted that the images on this page have been compressed and you are viewing on your monitor.
Your own results will be more convincing.
To simplify things, the following test-image will be used :-

In this half-color anaglyph, the ghosting is very obvious :-

First of all, use the Lab Contrast and brightness sliders to minimise the ghosting :-

Use RGB contrast and brightness to restore the original appearance, being careful not to re-introduce ghosting.

You may Save and Restore the current settings by using the corresponding buttons or use Reset to cancel the settings.

The source images will not be changed but you may display in anaglyph mode and then save as an anaglyph.


Optimized Anaglyph

Optimised Anaglyph

Anaglyphs do not portray saturated colors very well and, due to ' color leaking' between left and right images, this results in discomfort caused by retinal-rivalry.
One popular attempted solution ('half-color mode') is to convert the left image into its grayscale equivalent.
With some images this may still produce unacceptable results so, instead, SPM's 'Optimised Anaglyph' function may be used to 'custom tune' your own color-mixing.

SPM's 'Optimized Anaglyph Setting' dialog-box is shown above and may, at first, appear somewhat daunting.
The RGB (red, green, blue) color-derivation of the final image may be specified by the user and the settings saved.
First, let us consider what the settings would be for Anaglyph modes already supported by SPM :-

Red/Blue Monochrome Mode

Output[R] =(Left[R]x299 + Left[G]x587 + Left[B]x114 + Right[R]x0 + Right[G]x0 + Right[B]x0 ) / 1000
Output[G] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x0 + Right[B]x0) / 1000
Output[B] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x299 + Right[G]x587 + Right[B]x114) / 1000

Each R,B output is simply the same average of the three color channels.
Instead of merely adding the R,G,B values and dividing by three, the proportions used are the accepted values for converting a color image
to its grayscale equivalent and are based on the radiometric sensitivity of the eye.

Normally, the entered values in each row should add up to 1000.
If greater, that color is lighter, if less then that color is darker.
If each row totalled 1500, for example, the entire image would be lighter without any color change due to the increased overall brightness.
If only the red channel values totalled 1500, the image would be brighter but redder.
So, the left eye sees a grayscale red image and the right eye sees a grayscale blue image.
All color information has been lost, the image is a bit dark but the stereo effect is good as there is little ghosting.

Red/Cyan Monochrome Mode

Output[R] =(Left[R]x299 + Left[G]x587 + Left[B]x114 + Right[R]x0 + Right[G]x0 + Right[B]x0 ) / 1000
Output[G] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x299 + Right[G]x587 + Right[B]x114) / 1000
Output[B] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x299 + Right[G]x587 + Right[B]x114) / 1000

Each R,G,B output is simply the same grayscale average.
So, the left eye sees a grayscale red image and the right eye sees a grayscale cyan image.
All color information has been lost, the image is brighter than red/blue anaglyphs and the stereo effect is good but with more ghosting than red/blue mode.

Color Anaglyph Mode

Output[R] =(Left[R]x1000 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x0 + Right[B]x0 ) / 1000
Output[G] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x1000 + Right[B]x0) / 1000
Output[B] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x0 + Right[B]x1000) / 1000

All of the red information of the left image is presented to the left eye and all of the blue and green information is presented to the right eye.
Color reproduction can be quite good but it is more prone to 'retinal rivalry' effects.
(white clouds in a blue sky darken nicely through the red filter and can disappear through the cyan filter). Strongly saturated colors can produce unacceptable effects.

Color Anaglyph Half-Color Mode

Output[R] =(Left[R]x299 + Left[G]x587 + Left[B]x114 + Right[R]x0 + Right[G]x0 + Right[B]x0) / 1000
Output[G] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x1000 + Right[B]x0) / 1000
Output[B] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x0 + Right[B]x1000) / 1000

All of the blue and green information is presented to the right eye but only a grayscale representation to the left eye.
This produces less retinal rivalry but the color reproduction is not as good as 'Color Anaglyph' mode.

Optimized Anaglyph Mode

Output[R] =(Left[R]x0 + Left[G]x450 + Left[B]x1050+ Right[R]x0 + Right[G]x0 + Right[B]x0 ) / 1000
Output[G] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x1000 + Right[B]x0) / 1000
Output[B] =(Left[R]x0 + Left[G]x0 + Left[B]x0 + Right[R]x0 + Right[G]x0 + Right[B]x1000) / 1000

In the above example, all of the blue and green information is presented to the right eye but none of the left image red color data has been used in deriving the output red channel.
Instead, 30% of the green channel and 70% of the blue channel are used are both are brightened by 50%.
This would eliminate rivalry caused by the red component of the image but color reproduction is obviously not accurate.<
If subjects with saturated blue or green components are causing problems, you could try altering the color mix of the output green and blue channels.

Dubois Anaglyph Mode

Output[R] =(Left[R]x456 + Left[G]x500 + Left[B]x176 + Right[R]x-43 + Right[G]x[-88] + Right[B]x[-2] ) / 1000
Output[G] =(Left[R]x[-40] + Left[G]x[-38] + Left[B]x[-16] + Right[R]x378 + Right[G]x734 + Right[B]x[-18]) / 1000
Output[B] =(Left[R]x[-15] + Left[G]x[-21] + Left[B]x[-5] + Right[R]x[-72] + Right[G]x[-113] + Right[B]x1226) / 1000

Having arrived at suitable values for your image, you may click 'Save setting' to retain it.
In future, clicking 'Restore Setting' will re-apply the values when in Optimized Anaglyph mode.


Stereo/Side-by-side

Side-by-side (F9)

parallel eyes

cross eyes

This is the same as 'Adjustment View' except a composite of the current alignment is not displayed.

For details of viewing side-by-side images in mirror-mode, see Viewing Mirrored Images with Single Monitor.


Mirror and Flip

Side-by-side and Above/Below Mirror Modes

Mirroring of images may be required because of the equipment used to take and/or view the stereo images.
One or both images of a displayed pair may be mirror-imaged horizontally or 'flipped' vertically.
Both horizontally-mirrored or vertically-flipped images may be saved but the 'Undo' function is not available.

'OpenStereo Image' will open the file in the current viewing mode.
Select 'Above/Below' as your current viewing-mode if you want to display it as saved.

The following shows the effect of the four options that are applied to a single image :-

Mirror-Left (Shift + F9)...

Mirror-Right (Ctrl + F9)...

Both the above may be of use when using certain projection systems or viewing two monitors with the aid of a single mirror.

Mirror-Top (Shift + F10)...

Mirror-Bottom (Ctrl + F10)...

All six options are shown with the images below :-

Original

Left mirrored

Right mirrored

Both mirrored

Original | Top mirrored | Bottom mirrored | Both mirrored


Stereo/Above/Below

Above/Below (F10)

The images are displayed above/below each other without any third composite image.
All the previous View modes and image-alignment functions are available.


File/Single Image View

Single Image View

F11 displays the left image.

Shift+F11 displays the right image.

This function is useful if you want to Save or Print a single image or view a large number of JPS files (for example) as a 2D image.

Ctrl+F11 alternates between the left and right images at a rate determined by the user.

The above box will be displayed to allow you to set the flashing rate.
This mode is mainly intended to help the creation of Animated GIF's.


Stereo/Page-flip for 3D Shutter Glasses

Page-flip for 3D Shutter Glasses (F8)

(this option requires the installation of Winx3D software, the NVidia Stereo Driver,NVidia 3D Vision, a graphics card supporting quad-buffered OpenGL or an NVidia Geforce patched to a 'Quadro').

The images are displayed in page-flipping mode using the resolution and color-depth set in 'Stereo/Page-flip Setup' and the monitor refresh-rate setup in Winx3D or NVidia control-panel 'Stereo Properties/Stereo Setup and Test'.
For Winx3D the alignment test is briefly displayed so that operation of your shutter-glasses may be confirmed and then the image is displayed full-screen. If there is visible flicker, use the monitor's OSD (on-screen display) to check the refresh rate. Anything less than 100Hz will produce flicker, depending on the ambient light conditions.
If necessary, choose a lower screen-resolution.

For 'Quadro's' and similar ensure that you have enabled quad-buffered stereo and overlays are disabled.

If you choose OpenGL stereo and it is not supported by your graphics card, a warning message will be displayed.

If you choose the NVidia stereo-driver, then it must be enabled by its control-panel or hot-key.
Otherwise the images will just be displayed side-by-side.

Pressing <F1> or 'H' will display Help information and <ESC> will return to SPM.

The following keys are available :-

F1 | Displays information about the keys
H | Displays information about the keys
F2 | Zoom-in (or use mouse-wheel or right-click and drag forward) for enlargement of image
F3 | Zoom-out (or use mouse-wheel or right-click and drag backwards) for reduction of image
F5 | Show Info (see below)
Y | Write alignment information to a DAS file.
X | Swap left/right images
F | Fit the image to the window
J | Display the image at its normal (100%) size.
Q | Fit the image height to the screen.
I | Auto scroll (for panoramas).
A | Start / Stop a Slideshow).
When [F5] is pressed, the following information appears on the top-line of the screen :- Name and extension of left image; Name and extension of right image; Display size in pixels; Zoom percentage; Alignment-shift x,y values; page-flipping driver (NVidia, Win3D or OpenGL).

The left/right arrow keys may be used to align the images (when not in auto scrolling mode).
The alignment may be Reset by pressing the 'Home' key.
The pixel-shift per key-press may be dynamically-set by pressing the keys '1' to '9' for 1 to 9 pixel-shift
or '0' for a 10-pixel shift. Pressing key [F5] will give confirmation of the new pixel-shift setting.

In auto scrolling mode, the left/right arrow keys set the scroll direction and the up/down arrow keys increase/decrease the scrolling speed.
The 'X' key will swap left/right images during scrolling and any other keys or mouse left-click will halt scrolling.

[Space][Mouse Left button double-click] Next image in slideshow.

[Backspace][Mouse Right button double-click] Previous image in slideshow.

[Drag with Mouse Left button] scroll image.


iZ3D Monitor

iZ3D Monitor..(Ctrl+F8)

To use the IZ3D monitor, set Dual Full-screen mode (Alt+Enter or Ctrl+Alt+Enter).


Stereo/Page-flip Setup

Page-flip Setup...

Not all available options will necessarily be suitable.
The NVidia 3D Vision is only supported on Windows Vista and Windows 7 and some Quadro cards with Windows XP.

The user may select the desired screen resolution and color-depth from the options presented.

...

Alternatively, for the Winx3D and NVidia drivers you may define a custom window size.

By default, 'Use NVidia Stereo Driver' is checked.
If you wish to use the Winx3D driver or OpenGL , select them instead.

If you choose OpenGL, you will be asked to specify the maximum texture-size of your graphics card.


Adjust/Easy Adjustment

Easy Adjustment... (K)

The window on the right of the dialog-box presents the user with a monochrome anaglyph of the images together with horizontal and vertical slidebars for coarse and fine adjustment of stereo-disparity and reduction of any vertical-alignment errors.

On the left are the main controls for how the images are displayed, adjusted and the adjustments saved.

  • Image Display

    You may display just the left (red) image, the right (cyan) image or both.
    When displaying both images, note that the colors are reversed.
    Using a technique borrowed from Astronomy (the 'blink comparator') the display can alternate between the left and right views at a user-defined rate.
    The flash interval may be entered in increments of hundreths-of-a-second.

    Correctly-aligned images appear to rotate slightly from side-to-side, whereas artefacts just on one image, rotation ,vertical-alignment or image-size errors become more visible.
    To disable flashing, click on 'Left Image(red)','Right Image (Cyan)' or 'Both Images(Anaglyph)'.
    After making any coarse adjustments, you may click '100%' to display the images fullsize to aid more precise adjustment.
    Alternatively, double-click with the mouse left-button anywhere on the window (not just on the image) to toggle the '100%' mode.
    You may then use mouse-drag to move around the image.

    When you are not in 100% mode, you may alter the horizontal and vertical separations by dragging the mouse with left-click.

    The edge-detection option can also aid alignment.
    If this option is chosen, the image is displayed with just its outlines displayed which can make alignment far easier.
    While applying the filter to the images, the conversion progress is displayed as a percentage on the left of the screen top-line.
    The value that the filter uses to detect edges is initially set to '16' but may be changed by the user over the range 0 (black) to 255 (white) to suit a particular image.
    See 'Edge Detection' .
    The 'Show Grid' checkbox can be used to toggle the display of an overlay grid that can be useful when correcting vertical disparity or possibly for setting the stereo-depth of a selected part of the subject.
    The numeric Up/Down CheckBox to the right of 'Show Grid' allows the user to define the number of grid-lines.
    When the sliders are moved to the right, the appropriate perspective-rotations rotate the top or right of image towards you.
    Checking 'Reverse Perspective Rotation' rotates the bottom or left towards you when the sliders are moved to the right.
    The various image-rotation options, discussed in the next section, may have their rotations linked by checking 'link both rotations together'.
    The 'Link Rotations' status will be saved when you exit EasyAdjustment.

  • Rotation Operations

    There are three possible rotations:-
    'Basic' , which is a simple rotation in the plane of the screen....

    'V_Perspective' which is a rotation about a vertical-axis
    Normally, moving the slider to the right rotates the right-edge towards you......

    and 'H_Perspective' which is a rotation about a horizontal axis.
    Normally, moving the slider to the right rotates the top towards you....

    They are perspective rotations because near parts are larger than more distant parts.
    Simple rotations must be carried-out before any perspective rotations.
    Rotation can be varied from 0 to 90 degrees to the left or right and in 0.1 degree increments.
    Drag the slidebar for setting the approximate value and click the increment/decrement arrows for precise setting.
    Clicking '0' at the right of the slidebar resets the rotation(s) to zero.
    Check 'link both rotations together' to rotate both images together in the same direction for simple rotation and horizontal perspective-rotation.
    For vertical perspective rotation, the rotations are in opposite directions.
    For the perspective rotations, the 'focal length' determines the severity of the perspective, small values giving the greatest effect (as with a wide-angle lens).

    For convenience, presets for 35, 50 and 75 focal-length are provided.

    If images are made with a stereo camera or with a pair of cameras with their viewing axes parallel, the image planes (film or CCD)
    for left and right views will have identical orientations to the subject and an object at a given distance will have the same magnification in both views.
    If the cameras are toed-in, the subject rotated in a single-camera setup or certain stereo attachments are used, the two image planes are not identically orientated to the subject .
    On the left side of the left image, the subject is nearer and therefore its image is larger than on the left side of the right image.
    In a similar way, the image on the right side of the right view is larger than the right side of the left view.
    As the errors are in the opposite sense on each side, they are further compounded.
    This is called 'Keystone distortion' and produces vertical disparity errors that are uncomfortable or impossible to view.
    Although SPM's perspective rotations are symmetrical, the 'V_Perspective' option is useful for reducing or correcting errors due to keystone distortion.
    The image below illustrates keystone distortion, conveniently about the vertical axis only, exaggerated for clarity .

    We can attempt to correct or reduce keystone distortion by applying a perspective rotation in the 'opposite' direction to that in the image.
    Some skill and practice may be required when trying to correct keystone distortion.

    Initially, with the slidebars linked, perspective-rotate until both images are the same height.
    Apply horizontal and vertical displacements to temporarily superimpose the images to make this easier to detect.
    Then check corresponding points at the bottom of the image and try to align by applying an ordinary (screen plane) rotation to one of the images.
    Clicking '100%' will toggle a lifesize view of the images to enable more precise alignment.
    Alternatively, double-click with the mouse left-button anywhere on the window (not just on the image) to toggle the '100%' mode.
    You may then use mouse-drag to move around the image.

    When you are not in 100% mode, you may alter the horizontal and vertical separations by dragging the mouse with left-click.

    When altering the horizontal separation in order to set the 'stereo window' position, place the
    mouse-cursor just to one side of what you think is the most forward part of the scene.
    The cursor is positioned at the screen surface and you brain can detect quite accurately whether the chosen point is in front of or behind the cursor.
    Use the left/right arrows of the horizontal scroll-bar to make fine adjustments to the stereo window.
    If neccessary, you may reset the horizontal or vertical alignments by clicking '0' at the right and bottom of the sliders.

    NOTE, there are three modes for mouse drag:-
    100% SIZE : image scroll
    Both Images : x-y adjustment
    Left or Right : draw line for auto adjust

    If all reference points seem to be at a similar angle to each other, try an ordinary, linked rotation of both images.
    Finally, view the anaglyph display with your glasses and adjust the horizontal displacement to 'push' the scene to the desired depth.
    Click 'OK' and your original images will then be keystone-corrected.

    Put on your red/cyan glasses to view these images :-

    This is the image-pair before any adjustments have been made. There is vertical misalignment.

    Vertical disparity reduced by using vertical slider or dragging with mouse (not in 100% mode).
    You can see that the image-height is different for each image on the left and right due to toeing-in the camera.
    The left image is bigger on the left (cyan) view and the right image is bigger on the right (red) view.
    (cyan and red have not swapped-over, see Edge Detection at bottom of the page.

    Using perspective-rotation around the vertical axis [V_Perspective], the image heights are equalised.
    Some objects 'violate' the window, that is they are in front of the screen.

    Finally, the horizontal slider or dragging with the mouse (not in 100% mode) is used to set the window position.
    In this example the nearest object is just behind the window.
    After clicking 'OK' the source images will be corrected.

    Of course, by suitable technique and choice of equipment, it is better to avoid keystone distortion in the first place !

  • Auto-Adjust Rotation Errors

    To correct image-rotation errors, the user may use the mouse to draw horizontal or vertical guide-lines on the individual left and right images.
    With both images displayed, double-click on them or click '100%' and mouse-drag until the start of the chosen image-feature on the left image is at the left of the screen.
    Select 'Left Image(red)' and move the cursor to the start of a feature that is assumed to be horizontal or vertical.
    With the left-button depressed, drag a line along the feature as possible and release the button.
    In both cases, you may redraw the line in a new position, the old one being automatically deleted.
    To delete the current line, click 'Reset Guide' .
    For large images, you may not be able to mark the entire feature because the image does not scroll.
    This should not affect the final result.
    Display both images and drag the start of the right-image feature to the left of the screen.
    Select 'Right Image(cyan) and repeat the procedure. Finally, select 'Both Images(Anaglyph)' and click 'Auto Adjust'.
    SPM will then rotate the images so that lines drawn at an angle of 45 degrees or more are made vertical, otherwise they are made horizontal.
    The user must decide if there are any such suitable features in the image.
    If not, rotate and resize manually.
    Draw a line with mouse drag in left image Draw a line with mouse drag in right image Push 'Both images(Anaglyph)' button

    ... ...
    .....Draw

    Push 'Auto Adjust' button

  • Barrel Distortion

    When twinning cameras for stereo, the separation may be greater than average eye-spacing.
    Under those circumstances, it is necessary to use a shorter-than-normal focal-length so that excessive parallax
    is avoided when the scene includes subjects at infinity and a few metres away.
    Unfortunately, most zoom lenses suffer from barrel-distortion at the wide-angle setting.
    This SPM option allows you to correct the distortion on a single image or using batch-mode.

    For accuracy, you should photograph a grid of horizontal and vertical lines.
    Place the camera on a tripod, level it and point towards a vertical wall.
    The camera needs to be square to the wall and this is easily checked by sticking a mirror to the wall and rotating
    the tripod head until the reflection of the camera is centered horizontally.
    It will not be centered vertically if the wall is not quite vertical but that is not important.
    Without moving the camera, position the grid on the wall so that it is accurately-framed and orientated (horizontal/vertical lines).
    Photograph the grid and repeat for the other camera.

    You may also photograph any other subject that has suitable vertical and horizontal features.
    Again, the camera must be level and square to the subject or you will introduce perspective effects.
    Load the image-pair into SPM and choose 'Barrel' in Easy Adjustment.
    Although you can link the adjustments, you may find it easier to adjust each image separately.
    Turning-on the grid-overlay also aids the correction process.
    The settings may be saved with the other parameters (see 'Alignment Value' below).

  • Image Size

    The image size may be individually adjusted to eliminate any errors caused by technique or equipment design.
    Image size may vary from 0% (not recommended !) to 200% in 0.1% increments.
    Click '100' to reset image-size to 100%.

  • Alignment Value

    You may save the current adjustment settings by clicking 'Save'.
    The settings are saved in the registry (overwriting the current contents) and also in a file "easy_set.txt" located in the same folder as SPM.
    You may reload the values by clicking 'Restore(File)' .
    If the parameters are used, SPM will correct barrel-distortion, then do simple rotations and finally do perspective rotations.
    The data format (with sample values) is as follows :-

    [Data]
    Easy Adjustment=-3,0,0,0,241,0,0,0,450,450,119,-4,-3,4,0,0,0,
    Description=Rotation_l,Rotation_R,Zoom_L,Zoom_R,Alignment_x,Alignment_y,V_Perspective_L,V_Perspective_R,H_Perspective_L,H_Perspective_R,Focal length,Shift_L,Shift_R,Image Height+,Reverse Perspective Rotation,Barrel_L,Barrel_R

    (Spaces have been added to the above for legibility).

    If you do not wish certain values to be over-written, replace their entries in the file with an '*' .
    e.g. Easy Adjustment=*,*,Zoom_L,Zoom_R,Alignment_x,Alignment_y,V_Perspective_L,V_Perspective_R, H_Perspective_L,H_Perspective_R,Focal length,Shift_L,Shift_R,Image Height+,

    In the above, the current simple-rotation values for the left/right images would not be over-written.

  • Setting the Stereo Window

    When altering the horizontal separation in order to set the 'stereo window' position, place the
    mouse-cursor just to one side of what you think is the most forward part of the scene.
    The cursor is positioned at the screen surface and you brain can detect quite accurately whether the chosen point is in front of or behind the cursor.
    Use the left/right arrows of the horizontal scroll-bar to make fine adjustments to the stereo window.

    Even more accurate is to display the image at 100% and enable the grid overlay.
    When viewed with your 'anaglyph glasses' you can easily detect change in stereo-depth when disparity alters by a single pixel.
    Once the nearest part is in front of the screen, that is no longer possible.

    ...

    Within the limitation of small image-size and JPG compression (to reduce download file-size), the above images show the effect of just a two-pixel disparity change.
    The right image is further behind the screen.

    If you prefer a more automatic way to set the window, you can use 'Alignment Mode'.


Create Popup Anaglyph

Please note that in order to reduce download-size, the same dialog-box has been used when describing various operations.
The values displayed are not representative of any particular operation.

'Popup Anaglyphs' are technically 'oblique anamorphs' and consist of a pair of carefully-executed images, taken with the camera pointing-down to the subject.
Any angle between 15 and 75 degrees may be used but 45 degrees is the norm.
A standard lens approximates the angle-of-view of the eye but a wide-angle lens may also be used and the result will be geometrically-correct.
Anaglyph display is the normal mode for amateur use but they may also be lenticular, projected or holographic images.
The camera may be a real camera used with real subjects or a 'virtual camera' used with a scene rendered with a 3D modelling program such as Bryce.
The perspective distortions, due to the camera-tilt and offset, are corrected by SPM and an anaglyph print is made or the images may be viewed on a monitor laid flat on its back.
When viewed at the correct angle, height and distance, the subject appears to popup from the surface in such a realistic manner that you can place a ruler alongside and take measurements.

There is only a single very precise 'sweet point' for that accuracy of illusion.

For geometrically-correct results the camera spacing is related to the virtual size of the subject in this way :-
Camera spacing/eye spacing = Subject real size/ Subject virtual size.

So, for a virtual image 1/10th of actual subject size, camera-spacing would be 600 to 700 mm.
Viewing distance should then be 1/10th taking-distance.

Another way of deriving camera-spacing is to consider taking-height of the subject and subsequent viewing height of the image.
You may define your own values, but let us assume your eyes are 500mm above print when sitting, 800mm above when standing and 1600mm when standing and the print is on the floor.
Average eye-spacing is approximately 1/8, 1/12 and 1/25th of those heights so (by similar triangles) your camera-spacing should be those same fractions of camera height above the ground, an easily measured value.
Three separate image-pairs at those spacings will cover the vast majority of viewing situations.
If you attempt to use a normal stereo-camera separation for such a large subject viewed at such a small size, you will be able to achieve the popup effect but the subject will be cardboard-like, lacking depth (as in popup books).
This may or may not be desirable.
The important thing is to accurately align the ground plane to the monitor window and then perform any 'tweaks' to the image.
Try to create realistic lighting, shadows, etc to aid the realism of the illusion and a light textured background to minimise ghosting.

('Popout Anaglyphs' may be viewed on a normally-oriented monitor at 45 degrees from the side. SPM does not support creation of these).
In principle, they are very simple to make and you may spend minutes or hours on the initial setup.
You simply ensure the unshifted camera is level but tilted-down and is pointed at the centre of the subject and the camera and slidebar are exactly parallel to the horizontal guidelines of your grid.
The highest quality, most accurate results require care and attention to detail and there are various working methods.
Ensure the camera is parallel to the subject or the image-plane will appear tilted towards one of the corners. One possible method is given in this NSA 2004 Tutorial.
Calibration marks and horizontal and vertical guidelines should be present on the image, but the background behind the subject can be plain card of a carefully-chosen color to minimise ghosts.
A suitable calibration-grid may be downloaded in ZIP format.
With a certain amount of work, the plain background can be replaced with a texture-image of your choice.
Until you have more experience, it is best to avoid subjects that are too tall.
For beginners, SPM allows the errors in less-than-perfect source-images to be corrected and pleasing results obtained.
You should ensure that there is sufficient 'empty' space around your subject, otherwise the sides may be cut-off when applying the perspective-rotation.
SPM undoes the distortions caused by perspective, camera tilt and offset by using the controls specified in the animation below.
Each frame shows the image before applying the indicated adjustment:-

The distorted background rectangle is converted to a parallelogram, then a foreshortened rectangle and finally a correctly-proportioned rectangle.

For the following description of the workflow, download image phtg0152 .
Load the pair of images and select 'Adjust/Create Popup Anaglyph'.
  • Correct simple rotation errors

    This procedure must be carried-out before any perpective rotations.

    Display both images at 100% and drag with mouse until the left edge of the red image is at the left of the screen and you can see your bottom, horizontal guide-line (or bottom edge of the carefully aligned background paper).

    Display just the red image and draw a line with the mouse (left-button down) along that edge as far to the right as possible.
    On large images you may not be able to mark the entire bottom edge but that should have no effect on the final result.
    Display both images again and drag so the left edge of the cyan image is at left of the screen.

    Display just the cyan image and draw a line with the mouse along that edge as far to the right as possible.
    Click 'Auto Adjust' and both images will be tilted the required amount to make the bottom edges horizontal.
    Click '100%' to return image to window-size.
    Finally, ensuring that 'Reverse Perspective Rotation' is not checked, click 'Popup Anaglyph' tab and 'Start(Set to 45 degree)' to apply a 45 degree default, perspective-rotation about the horizontal axis and an increased canvas-height of 5 units.

  • Perspective Correction

    If the image is cut-off at the top, anytime the perspective-rotation around the horizontal axis is non-zero, you may alter the 'canvas' height by clicking the 'canvas height +' numeric Up/Down CheckBox.

    Select red image only and adjust 'focal length' until the side guidelines are parallel to each but tilted.
    In other words they form a parallelogram.
    You can make some marks on a piece of paper or use a ruler to check the on-screen horizontal widths of the background are the same at the top and bottom.
    Turning on the grid overlay will aid this process and you may alter the number of grid-divisions by using the numeric Up/Down CheckBox to the right of the 'grid' checkbox.

  • Offset Correction

    Now adjust the red-channel 'shift' value until the tilting lines become as vertical as possible.
    If necessary, small changes may be made to the nominal 45 degree perspective rotation around a horizontal axis, in order to get the lines as vertical and parallel as possible.
    Repeat these operations with the cyan channel.

  • Equalise Image Sizes

    With both images displayed, use the horizontal slider to superimpose both images and using the vertical-slider, align the bottom of the images.
    Turn on the grid and check image height.
    If the cyan image appears smaller (as shown above), the left channel needs making larger.
    (remember, when both images are displayed, the left channel is displayed with a cyan color).

    Increase image magnification until heights are same after the bases are aligned.
    That is shown in the above image.

  • Foreshortening Correction

    In order to increase the height of the image to the correct value, you will need a background square-grid, a known shape on the background such as a square or circle, or you will need to know the width:height aspect-ratio of the background.
    With both rotations linked, use the H_Perspective control to produce a square grid, undistorted squares or circles or a height of the correct aspect-ratio.
    If the vertical lines converge, adjust the 'focal length' setting until they are vertical.

    The image above image shows the result when a squared grid is used.

  • Set the Stereo Window
    Using the horizontal slider, shift the images until the vertical lines at each edge are superimposed.
    If you are using the grid mentioned above, the target circles should also be aligned.
    There should not be color-fringing at either edge.
    If the perspective correction is incorrect, the image will appear to be tilted up or down and a difference of perspective correction between the left and right images will result in tilting of the image to one side.
    The window should now be correctly set and you may check with your red/cyan glasses and sitting-back a little (after turning-off the grid).

  • Save Adjustment Settings

    You may save the current adjustment settings by clicking 'Save'.
    The settings are saved in the registry (overwriting the current contents) and also in a named file.
    You may load the current values from the registry by clicking 'Restore' or from any named file by clicking 'Restore(File)' .

    Press 'OK' to complete the process.
    If the SPM folder contains a file named 'wall.gif', 'wall.png' or 'wall.jpg', the black background will be replaced by that texture.
    A popup anaglyph object movie may be made by placing the subject on a turntable (such as an inexpensive 'Lazy Susan') and typically taking 36 images at 10 degree intervals.
    Move the camera laterally and repeat.
    Use the first image-pair to determine the adjustment parameters and then save them and use to manually-process the entire batch of images.
    An example movie is available for download and is most conveniently viewed on a flat-screen display.

  • Crop and Save Image

    Crop the image to exclude the calibration marks and save as separate left/right pair in an uncompressed format such as PNG.
    Even if you just want anaglyphs, it is best to save your work as uncompressed non-anaglyph images.
    These may then be used with other features in SPM (such as described below).
    Change stereo viewing-mode to Anaglyph (half-color if desired) and print-out.

    Place the print on an evenly-illuminated flat surface and viewing from 45 degrees adjust your distance until the 'sweet spot' is found.
    Enjoy your first Popup Anaglyph !

    ....
    Images by kind permission of Steve Boddy ©

  • Creation of Popup Anaglyphs without a reference background.

    Outside of the studio, a rectangular reference frame may be constructed from rods, pushed into the ground and carefully levelled and squared.
    You should note the size of the subject and its distance from the camera and depending on the size it will be displayed at, calculate the camera spacing as described above.

    A large camera spacing is required for subjects to be viewed at reduced size.

    In many situations (aerial and planetary(!) shots, action, etc) a reference frame will not be practical so technically accurate results are impossible.
    However, with care, results acceptable to most may be achieved by the following method :-

    1. Load images into SPM, select 'Adjust/Create Popup Anaglyph/popup/Start(set to 45 degrees)'

    2. Maximise the window, put on anaglyph glasses, double-click image to display life-size,' drag-up until you can see bottom.

    3. Using H-position slider and fine-position arrows, adjust until bottom of image is at the window.
      If you position the mouse-cursor over the image, you can tell very accurately whether you are behind or in front of cursor (i.e. the window).

    4. Drag the image down until you can see the top.
      We need to tilt the top forward and this is done by applying equal and opposite 'Shift' values to the images.
      That will bring the top to the window.
      There should be no colour fringes around any background elements if they are truly at the window and there are no vertical or 'simple-rotation' errors.
      Double-click the image to exit life-size display mode.

    5. We have not checked for rotations, vertical misalignment or size errors.
      Now we know how to get the background to the window, you could start again and correct those errors first.

    6. Click OK and save image as PNG (or TIFF).

    7. Load your anaglyph image as Stereo/Color Anaglyph.
      Select 'Adjust/Create Popup Anaglyph' and click 'Reverse Perspective Rotation'.
      Select 'Popup' tab and click 'Start (Set to 45 degrees)'.
      That is what your print will look like when laid flat and viewed and you can judge how accurate the ground-plane is.

  • Batch Creation of Popup Anaglyphs

    If you have a batch of images taken under the same setup conditions, including object-movies, rather than saving the first image, select the Multi Conversion option.
    Remember to restore the adjustment settings from your saved text file, select the required output-format and some or all images in your folder.
    Click 'OK' and all the Popup Anaglyphs will be automatically created.

  • Batch creation of Camera-view of Anaglyphs

    For use with a website gallery of Popup Anaglyphs, it is useful to display a stereo image of what a viewer looking at the completed anaglyph would see.

    There is no need to take a photo of this, simply load the cropped 'Popup Anaglyph' left/right images into SPM, choose 'Create Popup Anaglyph', check 'Reverse Perspective Rotation' and then 'Popup Anaglyph'.
    Click 'Start(Set to 45 degree)' to apply a 45 degree default, perspective-rotation about the horizontal axis and an increased canvas-width of 5 units.
    Make any minor adjustments for the required effect and save the settings as a suitably-named text-file.
    Click 'OK' and select the Multi Conversion option.
    Remember to restore the adjustment settings from your saved text file, select the required output format and some or all images in your folder.
    Click 'OK' and all the Camera-views of your Popup Anaglyphs will be automatically created.

    ....

    (to be viewed with anaglyph glasses)

    Images by kind permission of Steve Boddy ©


Adjust/Color adjustment

Color adjustment...

When the 'Realtime Preview' box is not checked, thumbnails of the images are displayed in dialog-box windows.

If 'Realtime Preview' is checked, the dialog-box is window-less and any changes are instantly shown on the full-window images.

Using the slidebars, the contrast (gamma) of the individual images may be altered over the range 0.01 to 5.0 in 0.01 increments.
The gamma may be reset to the initial value and the average density of each image is displayed to aid matching .
In order to have identical average densities, the gamma of each image may need to be different.
In the above dialog-box, the left image has had its gamma reduced to 0.28.

The HSL (hue, saturation, luminance) color-space allows the colors of an image to be adjusted in a more intuitive way than the RGB color-space.
In the SPM implementation, 'L' is image-lightness rather than HSL luminance.
The HSL sliders allow you to choose a particular color range (e.g. greenish colors) or all colors ('Master') and then alter the hue, saturation and lightness of the selected color or entire image.
Hue corresponds to color (red, green, blue, etc.) and saturation refers to how pure the color is (how much grey it is mixed with).
Zero saturation corresponds to a grayscale value with no color content.
Lightness is simply how light or dark the selected color or entire image is.

The eight parameters may be individually reset or 'All reset' resets all of them.
You can use the HSL controls to try to reduce anaglyph-ghosting due to intense colors.
If you do not like the result you may use 'Edit/Undo'.
The animations below have been greatly reduced in file-size and so they exhibit banding artefacts:-

  • In the Master image the red hue is at 90 degrees.
    This example shows the color-wheel rotated 90 degrees anticlockwise
    shifting the red to the top (zero degrees).

  • The image saturation is shifted -127 units.
    The colors become more gray.

  • The lightness of the image is reduced by 64 units.

In the following, changes are made just to 'redish' colors :-

  • Hue is rotated 90 degrees anticlockwise, only 'redish' colors are affected.

  • Saturation is shifted -255 units, only affecting 'redish' colors.
    The hue has zero color-content and is a grayscale value.

  • The lightness of the 'redish' colors is reduced by 64 units.


Auto color adjustment

Auto color adjustment (Ctrl+K)

For best results, adjust image horizontal and vertical alignment before using 'Auto color adjustment'

When taking separate left/right images for a stereo-pair, the exposures may not be matched for a variety of reasons.
SPM's 'Auto color adjustment' uses histogram-matching to try to adjust the color/brightness of the images.
By default, the left image is taken as reference but there is a menu option to make the right image reference.

Simply click the toolbar button, press Ctrl+K (for 'Kolor' adjust) or choose 'Adjust/Auto color adjustment' from the menu.
If you are not satisfied with the result, you may choose 'Edit/Undo' from the menu.


Auto Alignment

Auto Alignment.(autopano) Alt+A

Unlike existing software that finds corresponding left/right image-points from pixel-patterns (2D correlation), SPM uses the SIFT algorithm to extract hundreds or thousands of image features.
Autopano and 'Autopano-sift' are programs that use the SIFT algorithm to find corresponding (homologous) points in a series of source-images.
These features are invariant to translation and rotation, and to some extent to vergence and brightness.
For further information on installing Autopano-SIFT (and using in batch-mode), see Auto Alignment of Stereo Pairs using Autopano or Autopano-sift.

We are assuming that you have not corrected your chosen image-pair before (or more accurately, a relevant file of alignment values does not exist in the folder).

If you are using Win98, right-click on a DOS window and set the option to close on exit as shown above.

Open the stereo image that you want to adjust.

First of all, make sure that the left image is on the left (as confirmed in the title-bar above).
If you wish to apply previously-found values for barrel-distortion correction, do it now and make sure you have enabled that option in Preferences.

If report files are not saved, they will not be available for use by auto-alignment or EasyAdjustment.

For highest image quality, you can set 'Only horizontal and vertical alignment'in Edit/Preferences/Adjustment.
It will depend on the accuracy of your rig if you can use this.

Press 'Alt+A' (or the toolbar icon [image] )and Autopano-SIFT will start to extract hundreds (or a thousand or so) features from your images.
(This menu option will only be available if you have correctly set the location of Autopano-sift in Preferences).

If you wish to hide the DOS window (shown above), select that option in Preferences/Adjust.
When 'autopano.exe' has finished, SPM calculates the alignment values required and displays the result.
The disparity of the infinity-points is displayed as a fraction of the image-width and warns you if it is greater than 1/25th.
Around 1/25th (0.04) to 1/30 (0.033) seems to be generally accepted as values giving good depth and comfortable viewing.
SPM limits the disparity of the distant points to 1/25th, allowing nearer points to 'come through the window'.

Click 'OK' and SPM will align the images.

Even in this document, with anaglyph glasses, you can see that the above scene has been pushed just behind the window.
If you look carefully, you can also see that vertical errors have been corrected.
If you wish, you may use the left/right arrow keys to make small changes to the window position.

When done, press 'Y' to save the new values in the ALV file.

The window title-bar will display the value being written and the location of the alignment-values file.

The next time you open the source-images and press 'Alt+A', SPM will ask if you wish to use the previously-saved alignment values.
These values will only have been saved if you did not enable the 'Do not save report files' option in Preferences.
You can also use the alignment file with the 'Easy adjustment' dialog to reload the original image and perform manual fine-tuning.
.

Click 'Restore(File)'

and then select the 'Alignment value' file.


Alignment Mode

Alignment mode allows you to automatically correct position, rotation and size errors and select which parts of the subject are to be positioned at the stereo-window.
It is recommended that you first correct rotation and size errors and then repeat to set the window.
If you need greater point-selection precision than the SPM cross-hairs provide, you may use a magnifier utility (such as provided with WinME/XP).
Be aware though, that pixel arithmetic is not particularly precise so you may see little difference in the finished result.

Select the 'Alignment Mode' tool button (or Push 'Ctrl+A' key' or Select 'Menu/Adjust/Alignment Mode')

  • 1.Auto-correct position error

    Click mouse left-button on the part of the scene that you want positioned at the window.
    Normally, this is the nearest part of the scene, but for objects that do not touch the sides of the frame
    you may want the nearest part to be in front of the window.

    Click mouse left button on the corresponding part of the right image.

    SPM will position the selected point at the window position, automatically correcting any vertical error.

    It is not always easy to recognise the nearest part of a scene by observing in mono mode.
    In such cases, you may prefer to set the window position using a realtime anaglyph view.

    • See 'Setting the Stereo Window' for details.

  • 2.Auto-correct rotation,size and position error based left image

    Click 1st point of left image.

    Click 2nd point of left image.

    Click 1st point of right image.

    Click 2nd point of right image.

    Corrected rotation,size and position error based on the left image.

  • 3.Auto-correct rotation,size and position error based right image

    Click 1st point of right image.

    Click 2nd point of right image.

    Click 1st point of left image.

    Click 2nd point of left image.

    Corrected rotation,size and position error based on the right image.

  • 3.Auto-correct rotation,size and position error (average)

    As above but click the last point with the [Shift] key pressed.

    Corrected rotation, size and position error (using average-angle and size).


Adjust/Alignment Up and Down

Alignment Up and Down

As well as with the arrow keys normally used, image-alignment may be altered from this menu option or all alignments may be reset.
By using 'Shift+ArrowKey' you can make adjustments of a single pixel.
The size of the pixel-step may be set in 'Edit/Preferences' and the default-value is four pixels.
Any vertical alignment differences are errors that should be corrected with these controls.

Put on your red/cyan glasses to view these images :-

This is the image-pair before any adjustments have been made. There is vertical misalignment.

Vertical disparity reduced with the up/down arrow keys or menu options


Adjust/Alignment Left and Right

Alignment Left and Right

As well as with the arrow keys normally used, the subject position in stereo-space may be altered from this menu option or all alignments may be reset.
By using 'Shift+ArrowKey' you can make adjustments of a single pixel.
The size of the pixel-step may be set in 'Edit/Preferences' and the default-value is four pixels.
The left and right alignments determine the position of the image with respect to the stereo window.

Put on your red/cyan glasses and view the above image, from the 'Easy Adjustment' section.
It can be seen that some objects 'violate' the window, that is they are in front of the screen.

This is the result after using the left and right adjustments to push the nearest object just below the window.


Web/Make HTML file

Make HTML File from displayed image

Using StereoPhotoViewer

This option only appears in the 'Web' menu when an image is being displayed.
It allows a user without any knowledge of HTML to create a webpage (with associated applet) for displaying the selected image in a frame embedded in the page and viewable in a wide range of stereo formats.
The contents of the folder created are simply uploaded to the website (using a freeware FTP program, for example) and clicking on the users personal URL will then display the page created and run the applet.

More experienced users should consult 'StereoPhotoViewer for Developers' for information on using the applets with your own code.

Because of the various bugs and problems with different versions of Java (and with different Operating Systems)
it is very highly recommended that you download the latest JAVA2 runtime for the best performance.
Ensure that you completely remove any previous version before installing the new one.
If you wish to view with page-flipping and shutter-glasses, you will also need to install the OpenGL version of Java3D.
This cannot co-exist with the Direct3D version and should be installed after the Java runtime.

SPM will add various files to your selected-images folder and to keep things 'tidy'
it is better to copy the images required for your webpage to their own folder.
Some versions of Java object to spaces in the filepath name so that is best avoided.
Website servers and FTP upload programs may convert uppercase characters to lower-case,
so all image names should be lower-case.
If they are not, StereoPhotoViewer applet (SPVA) may not find them and the slideshow display will be blank.

SPVA needs to access a text file and as long as it is in the same directory or a subdirectory as the class files,
Java security will allow this.

Page-flipping works well with graphics cards that support quad-buffered OpenGl (normally expensive 'professional' cards).
Alternatively, RivaTuner may be used to patch an NVidia GeForce to a 'Quadro' making OpenGL stereo and other 'professional' features available.

As an example, details are given for converting an nVidia GeForce4 Ti4200 to a Quadro4 700XGL using this method.

More general information is given here.

On selecting the option, you will be presented with the above dialog box.
Navigate to the folder where you wish to save the HTML, image and Java class files and enter a name for the HTML file.
Naming the file 'index.htm' will ensure that page is opened by default when no other page URL is given.
An empty folder in a filepath with no spaces is the 'cleanest' option.

The image will be saved in JPEG format (with file extension 'JPS') and you may vary the amount of compression by moving the slidebar.
For webpage use, there is no need to provide alternative image formats.
Clicking 'Exact Sizes' will tell you the size of the image-file after compression.
Over-compression will lead to artefacts in the image.

To select the stereo mode initially used to display your images, select an option from 'Display Stereo Type'.
The options are (click for details) :-

  • Paralle-eyes
  • Cross-eyes
  • Above/Below
  • Red/Cyan anaglyph
  • Red/Blue anaglyph
  • Red/Green anaglyph
  • Color anaglyph
  • Half-color anaglyph
  • Interlaced (horizontally)
  • Vertical interlace
  • Mirrored Left
  • Mirrored Right
  • Mirrored Both
  • Single Image
  • Page-flip with shutter-glasses

If you want maximum image area, you may check 'Don't display menu button'.
The user will need to press the 'H' key to display Help information on what keys to use.
This can include turning the Menu back on.

Side-by-side files (with JPS or JPG extension) normally have the right view on the left (cross-eyed format).
If you need to swap-over left and right views, check 'Swap Left/Right' .

Choose the window size for the applet (slide-show) or accept the default value of 800x600.

To further reduce file-size, the image may be resized to suit the applet and optionally sharpened.

Checking 'Display Created Webpage' will display it as soon as SPVA has created it.

Netscape's embedded Java will not open the page, Sun Java plugin will.

Click 'Save' and SPVA will create the HTML file and copy all required files to the image folder.
The files are :-

  • yourimage.JPS
  • wall.gif (background image)
  • download.png (an active button that links to authors Homepage)
  • je3dview.jar (archived Java files)
  • helpe.htm or *.htm (Help file for embedded applet option)
  • index.htm or your filename (the main HTML file)

If you wish, you may now customise the HTML file to suit your own requirements.

All you now need to do, is to upload the image-folder contents to your webpage.
The example below shows WS_FTP LE, which is no longer available or supported. Ipswitch offer a 30-day evaluation of WS_FTP Home.
A free alternative, with minimum functionality, is FTP Commander.

You will need to enter the name of the host, your User ID and your password.

On clicking 'OK' you should be connected to the Server.
On the left, you can navigate your local filing system (hard disk) and on the right, your directory on the Server.
In this case, there are no files yet in your Server directory.
After selecting all the files in your SPVA images folder, click the right-pointing arrow to transfer to Server.

As you can see, the files have now been transferred to the Server.
(the above example is from 'Make HTML file from image list').

Notice that the file 'index.htm' is present on the Server so that when you now open your browser and click your homepage URL, 'StereoPhotoViewer Applet' should start.


Web/Make HTML file

Make HTML File from image list

Using StereoPhotoViewer

This option allows a user without any knowledge of HTML to create a webpage (with associated applet) for displaying selected images as a stereo slideshow.
The contents of the folder created are simply uploaded to the website (using a freeware FTP program, for example) and clicking on the users personal URL will then display the page created and run the applet.

More experienced users should consult 'StereoPhotoViewer for Developers' for information on using the applets with your own code.

Because of the various bugs and problems with different versions of Java (and with different Operating Systems)
it is very highly recommended that you download the latest JAVA2 runtime for the best performance.
Ensure that you completely remove any previous version before installing the new one.
If you wish to view with page-flipping and shutter-glasses, you will also need to install the OpenGL version of Java3D.
This cannot co-exist with the Direct3D version and should be installed after the Java runtime.

SPM will add various files to your selected-images folder and to keep things 'tidy'
it is better to copy the images required for your webpage to their own folder.
Some versions of Java object to spaces in the filepath name so that is best avoided.
Website servers and FTP upload programs may convert uppercase characters to lower-case,
so all image names should be lower-case.
If they are not, StereoPhotoViewer applet (SPVA) may not find them and the slideshow display will be blank.

SPVA needs to access a text file and as long as it is in the same directory or a subdirectory as the class files,
Java security will allow this.

Page-flipping works well with graphics cards that support quad-buffered OpenGl (normally expensive 'professional' cards).
Alternatively, RivaTuner may be used to patch an NVidia GeForce to a 'Quadro' making OpenGL stereo and other 'professional' features available.

As an example, details are given for converting an nVidia GeForce4 Ti4200 to a Quadro4 700XGL using this method.

More general information is given here.

After selecting one of the 'Make HTML file from image list' options from the menu option 'Web'
you will be presented with the above dialog box.
Checking'Show Preview' will show a thumbnail of a single selected image.
As soon as multiple selections are made, the preview will become blank.
Navigate to the folder containing the images you wish to include in your webpage and multi-select individual ones by holding down the <shift> key for adjacent-image file-names or the <Ctrl> key for separated file-names.
If you wish to include all files, there is no need to select anything.

Next, select the type of your stereo images, side-by-side and separate left/right are supported.
The created webpage will include thumbnails of your images, arranged in a single column with space for your text to the right, or in multiple rows.
For a vertical column, set the 'Number of Thumbnails(row)' to 1 otherwise to images in each row.
Column format will include default image names (which you change) and descriptive text.
The multi-line descriptive text allows far more information to be included than just the image name.
If you do not need descriptive text, then choose multi-row format.

Bearing in mind the row/column format you have chosen, enter thumbnail width (X) and height (Y).
Normally, the aspect-ratio (width/height) of the thumbnail should match your original images.
For example, with a 23mm x 24mm frame-size you could set thumbnail size as 170x180 (near enough to the 173x180 accurate ratio).
You may wish to assume that most users can accomodate a display resolution of at least 800x600.

SPVA will generate a text file containing the names of the selected images together with comments for each image.
By default, this file is called 'filelste.txt' but you may change it to another name.
If this is an existing file, you may choose 'Manual Edit' to add/delete image names.

Also by default, the generated HTML file is named 'index.htm' but you may change it to another name.
Doing so may result in a visitor to your website merely being presented with a list of the files in the directory.

Checking 'Display Created Webpage' will display it as soon as SPVA has created it.

Netscape's embedded Java will not open the page, Sun Java plugin will.

When part of the composite thumbnail is clicked, the SPVA applet will display the selected image either in the embedded viewer or a new popup window.

The user must disable popup blockers (such as the Google toolbar option) for the popup window to appear !

To select the stereo mode initially used to display your images, select an option from 'Display Stereo Type'.
The options are (click for details) :-

  • Parallel-eyes
  • Cross-eyes
  • Above/Below
  • Red/Cyan anaglyph
  • Red/Blue anaglyph
  • Red/Green anaglyph
  • Color anaglyph
  • Half-color anaglyph
  • Interlaced (horizontally)
  • Vertical interlace
  • Mirrored Left
  • Mirrored Right
  • Mirrored Both
  • Single Image
  • Page-flip with shutter-glasses

Choose the window size for the applet (slide-show). The default is 800x600 pixels.

The slideshow interval can vary from the default of '0' (corresponding to 3 seconds) to '9' (corresponding to 9 seconds).
The user will choose a suitable value taking into account the speed of the Internet connection.

Side-by-side files (with JPS or JPG extension) normally have the right view on the left (cross-eyed format).
If you need to swap-over left and right views for all images, check 'Swap Left/Right'.
If you wish the website visitor to be able to save the original image file, check that option.
All images in a slideshow should either be 'cross-eyed' or 'parallel-eyed' and not a mixture of the two.

If you want maximum image area, you may check 'Don't display menu button'.
The user will need to press the 'H' key to display Help information on what keys to use.
This can include turning the Menu back on.

If you do not wish to choose a background color/pattern for your webpage, a default one is provided.
You may enter the value of a solid color in normal HTML format (#RRGGBB).
Alternatively, you may use the Color Picker to choose from 48 basic colors or 16 custom-colors defined by yourself..

Alternatively, you may choose your own background pattern by navigating to the appropriate folder.
The images may be PNG, GIF or JPG format.

Finally, if you have selected files choose 'Start Selected Files' otherwise choose 'Start All Files'.
If any of your image names contain upper-case letters, you will be given the opportunity to convert them to all lower-case.

SPVA will now create the HTML file and copy all required files to the image folder.
The files are :-

  • stereo.jpg (thumbnail composite of your images)
  • download.png (an active button that links to authors Homepage)
  • fej3dmain.jar (archived Java files)
  • filelste.txt or your filename (list of selected images and comments)
  • helpwe.htm or *.htm (help files)
  • index.htm or your filename (the main HTML file)
  • wall.gif or your image (background image, if used)
  • siro.gif (a programme-support image)

All you now need to do, is to upload the image-folder contents to your webpage.
The example below shows WS_FTP LE, which is no longer available or supported. Ipswitch offer a 30-day evaluation of WS_FTP Home.
A free alternative, with minimum functionality, is FTP Commander.

You will need to enter the name of the host, your User ID and your password.

On clicking 'OK' you should be connected to the Server.
On the left, you can navigate your local filing system (hard disk) and on the right, your directory on the Server.
In this case, there are no files yet in your Server directory.
After selecting all the files in your SPVA images folder, click the right-pointing arrow to transfer to Server.

As you can see, the files have now been transferred to the Server and you may Exit the program.

Notice that the file 'index.htm' is present on the Server so that when you now open your browser and click your homepage URL, 'StereoPhotoViewer Applet' should start.


Make Stereo Flash Viewer

You can easily create all the files necessary for a Flash stereo slide-show using this option, no programming knowledge is required.
All the flash files will be saved to the same folder as your images so you should first copy the required images to a new folder.

Specify input files as side-by-side or separate left/right and choose option 'Display Created Webpage' to see the created flash viewer immediately on completion.
Select some or all images in the folder and click 'Start Selected Files' or 'Start All Files'.

All the required files will be created and saved in the images folder and the flash viewer will be displayed if you have chosen that option.

Java scripting must be enabled for the Flash slide-show

..The loading progress of the images will be displayed by an animated icon.

If you have many images in your slide-show on a website, remember that they can take a long time to download on a slow internet connection.

A control bar will be dsplayed at the bottom of the screen that allows you to choose the stereo viewing method.

Choose cross-eyed or parallel, anaglyph(color, half-color, blue/yellow or Dubois) or left/right interlaced.
You may start or stop the slideshow or click a thumbnail to display the selected image.

If you open a folder that already contains all the required Flash files (as shown at top of page), click 'Browser' button to start the slide-show.
Normally the main HTML file will be 'index.htm' but you can enter a different name if necessary.


Show/Edit GEO tags

SPM allows you to write, delete or change a geographical information tag associated with the currently-displayed image.
The geographical location may be shown on Google Maps or Google Earth.

Although InternetExplorer (IE) does not need to be your primary browser, it does need to be installed on your system.
You must enable active scripting and, for the correct display of navigation controls in Google Earth, enable binary and script behaviours for ActiveX controls :-

Alternatively, you can add 'http://stereo.jpn.org' to your trusted websites :-

The GoogleEarth browser plugin for IE is also required.
Using IE, visit this webpage http://code.google.com/intl/ja/apis/earth/documentation/examples.html
Click on one of the examples and if the plugin is not installed, you will be prompted to download and install it.
Return to the above website to test it.

1. To write the GEO tags we need Phil Harvey's [ExifTool]

2. Download and extract from the zip file and then rename it 'exiftool.exe'.

3. Set the location of 'exiftool.exe' in the SPM 'Preferences' Dialogue

A list of file-types supported by ExifTool is given here.

4.Before processing any images, we need to make sure that the EXIF data containing the GEO tags is included when the images are saved.

In 'Edit/Preferences/General', check the option to save the original exif information when adding a thumbnail image to the file.

In either or both 'Save Stereo Image' and 'Save Left/Right images', check the option to add a thumbnail to the saved file.

Also, in Multiconversion Output File Setting, check the option to add a thumbnail image.

Processing the Images

1. First of all, if you would like to add a GEO tag icon to the toolbar,enter menu Edit/Customize Toolbar, select the GEO icon in the left window and Add to the right window.

2. Load the image to be GEO tagged and then select 'Web/Show/Edit GEO Tags' (or click the toolbar icon).

2. A map will displayed and to get to the approximate location, enter the name of a major city and click the 'Search' button.
You may then use the navigation controls on the left

The navigation controls allow you to pan up/down and left/right and also return to your last settings.
You can drag the zoom bar or use the '+' and '-' buttons.

3. Position the exact, required location under the red cross-hair and click 'Write GEO tags into the Displayed file'.

The latitude and longitude will be displayed in a decimal format and you may click 'OK' to continue.

4. To confirm that the GEO tags have been written, and to check them, click 'Show EXIF'.

In particular, check if your latitude reference is North or South and your longitude reference is East or West.
(in the EXIF, the co-ordinates are in units of degrees/minutes/seconds which makes exact checking difficult)

5. If you want to reference the GEO tag to a new position, move that position under the cross-hair.

Clicking the cross-hair will show the new-position co-ordinates, clicking the GEO icon will show the original-position co-ordinates.

6. To delete a tag from the EXIF header, click the 'Delete GEO Tags' button.

You will be prompted to confirm the deletion.

7. Now, click 'Next Image'

Initially, the GEO location will be the same as for the previous image.
Add new GEO tags as described above.

8.You may click the 'earth' button in order to view the location using the GoogleEarth InternetExplorer browser plugin.

If you have not installed the plugin, as described at the top of this page, you will see the above message.

The Google Earth display has its own set of controls to allow you to navigate and zoom the terrain.


Stereo Google Earth

Use this feature to capture a stereo image (at screen resolution) of a geographical location.

..

After Google Earth has loaded, enter the name of a prominent town, city or other location and click 'Search'.

You may use the navigator vertical zoom-bar to adjust altitude and the lower multi-controller to move in four directions.
Use the upper multi-controller to tilt or rotate the virtual-camera.

If desired, you may hide the navigator.
Normally, we just use the up-arrow to tilt the scene away from the viewer at about 45 degrees.

Click 'L' and the virtual-camera will move to the right by an amount determined by the setting in the '1/' box.
The default is to move the virtual camera 1/30th the distance to the subject.
Click 'R' and the stereo image will be displayed.

The first time you use this feature with SPM, the stereo viewing mode will be as set in Edit\Preferences\Launch.
If you choose a different viewing mode, it will take effect next time SPM is started up.

Click 'Google Map' to display a map of the location.

The map has its own set of navigation buttons and allows you to show terrain, satellite or map/satellite hybrid views.


Help/Help

Help (F1)

In page-flipped mode with Winx3D or NVidia drivers, this gives on-screen information about the supported keys.
With OpenGL page-flipped or other modes, the 'Help' file documentation shown below is displayed:-

Link to Muttyan's home page

Link to Muttyan's Stereo Galleries


Help (WEB)

For the convenience of those with a dialup Internet connection, the latest SPM Help File may be accessed online.
Please ensure that JavaScript is enabled in order for the menu-tree to be active.


Help/About

About...

Here you will find the version number of StereoPhoto Maker and the Copyright notice.


Help/Remove All Registry Entries

Remove All Registry Entries

As part of the process of 'removing' SPM from your system, choose this option to remove all registry entries.
You will be asked to confirm this action before it is carried-out.

See also Program Installation for other actions that need to be done before this.


Licence

Licence for 'StereoPhoto Maker'

'StereoPhoto Maker' is Freeware with the following restrictions:
'StereoPhoto Maker' is not to be copied to CD-ROMs or other media without the written permission of 'Masuji SUTO'.
I am not responsible for any damage to hardware, software or person.

Thanks to David Sykes for the English-language documentation.


Using StereoPhotoViewer Applet

Using StereoPhotoViewer

An Index to this Help file may be displayed or hidden by clicking the 'Show/Hide' icon at far-left of the above toolbar.

StereoPhotoViewer Applet may be used on any website that does not charge for any product or service.
It may not be used on commercial websites. Please report any instances of this.
© Masuji SUTO 2004

Information for Developers

StereoPhoto Maker

The above shows the newly-opened webpage when the vertical-column page-format was chosen in SPM.
Advanced users may create all of the HTML code or use the code generated by SPVA as a starting point.
For more details, see 'StereoPhotoViewer Applet for Developers'.
In this SPVA-generated example, the font type, style and color is defined in the <STYLE> part of the HTML document and may, of course, be altered by the user.
Typically, you will provide your own page title and replace 'Image No1',etc by your own image names.
'Image Text' will be replaced by your own descriptions, which may of course be multi-line.

The 'StereoPhotoViewer Applet' button provides a link to the author's webpage and, as a courtesy, should normally be included somewhere on the page.

Click on any of the thumbnail images to (in this instance) popup the slideshow window and display the selected image in the format originally chosen.
Press the <H> key or <F1> key to display the Help information for SPVA Window or Embedded version (popups must be enabled).
IMPORTANT: If you find the keyboard actions have no effect, click on the image first.

The title-bar shows :-

  • Image comments (as entered in its file-list entry)
  • Zoom factor (as a percentage)
  • The horizontal and vertical alignment factors (if any)
  • Left/Right image-swap status
  • Slideshow Running/Stopped status

If there is more than one image in the slideshow, a drop-down menu listing the images is at the left of the menu-bar.

Left and right arrows to each side of the drop-down menu allow you to move up and down through the image-list.
The names used in the drop-down menu are those defined in the image-file list.

The stereo viewing method is chosen from the next drop-down menu.
For page-flipping with shutter-glasses, you must have Java3D installed and a system that supports quad-buffered OpenGL.

If a stereo image does not look 'quite right', try swapping left-for-right.
You may also use the 'X' key.
For a slideshow, all images should be either 'parallel-eyed' or 'cross-eyed', not a mixture of the two.

When zooming images, a simple resizing procedure can give the fastest response or a more complex procedure (Resampling) can give better quality.

Resampling OFF

Resampling ON

If your system or Internet connection is sufficiently fast, you may choose to leave Resampling ON permanently.
Otherwise you may prefer to turn it off for a faster response.
For non-zoomed side-by-side images, it is recommended that Resampling is ON.
When Resampling is ON, the toolbar 'RSP' icon will be colored blue.
If you turn resampling ON while the image is zoomed, there may be a slight delay before the image is updated.
Resampling does not apply to OpenGL page-flipping mode.

When side-by-side images are displayed, you may choose the spacing as 'Narrow', 'Medium' or 'Wide'by clicking 'SPC' or the 'E' key.
The toolbar 'SPC' icon changes color from blue to black to red to indicate narrow, medium or wide spacing.

  • Medium - for cross-eyed viewing.

  • Narrow - for parallel-eyed viewing.

  • Wide - for stereo viewing with a small, hand mirror.
    See Viewing Mirrored Images with Single Monitor

Images may be zoomed using the mouse wheel.
If you do not have a wheel-mouse, use the horizontal slider to zoom.
Alternatively, you may use the F2/F3 or Up/Down arrow keys.
Once zoomed more than 100%, you may use mouse-drag to position the image.

Image may be displayed at its 'native' size of 100% (you may also press the 'J' key) or fitted to the window (you may also press the 'F' key).

Ideally, all images should previously have had any alignment errors corrected.
Nevertheless, the user may correct vertical errors (click U/D buttons or press Up/Down keys) or change stereo window position (click L/R buttons or press Left/Right keys).
The alignment changes may be cancelled by clicking 'Reset' button or pressing [Home] key.

The slideshow interval may be varied from 1 to 9 seconds by clicking the arrow buttons.
A value of '0' uses the default of 3 seconds.
Start/stop the slideshow by clicking 'SS' button or pressing 'A' key.
Do this when an image is not loading and check the status bar to see that the desired action has taken place.

Current version number of 'StereoPhotoViewer Applet' (SPVA)

Pressing the 'M' key turns the menu-bar On/Off and pressing the 'A' key opens a new window so that you can copy an image to your hard disk (right-click, 'Save Image as ..').

If you are using the popup-window version of the applet, press [Enter] key to maximise window or drag window corner with the mouse.
Close the window by pushing [Esc] key or clicking 'Close' button.

Finally, pressing the 'G' key takes you to the author's Homepage.

To summarise, you may :-

  • Close or resize the Window using mouse or using [Enter] and [Escape] keys
  • Select a single image from the image list
  • Toggle between parallel and cross-eyed using F9 key
  • Move forward or backward through the image list
  • Start/Stop the slideshow and set its interval
  • Scroll, zoom or swap-over the images
  • Use mouse-drag to position a magnified image
  • Display image at 100% size or fitted to window
  • Correct the image alignment horizontally and/or vertically
  • Turn Menu-bar on/off
  • Download and save the displayed image(s).


StereoPhotoViewer Applet

StereoPhotoViewer Applet for Developers

StereoPhotoViewer Applet may be used on any website that does not charge for any product or service.
It may not be used on commercial websites. Please report any instances of this.
© Masuji SUTO 2004

List of Applet Parameters and Sample Code

'StereoPhotoViewer Applet' (SPVA) may be used with a local filing system (hard disk) or on a Server.
By far the easiest way to create the required HTML code, is to use StereoPhoto Maker's 'Make HTML File from image list' feature.
This is only possible under Windows.
The user selects the required image files, a vertical column or multirow page-format, thumbnail size, applet window size, background color or pattern,
initial stereo-viewing method and whether the menu bar is to be displayed or hidden.
SPVA then creates all the required files in a single folder and the user simply uploads the folder contents directly to the Server.
Clicking the homepage URL in a browser, will then execute the 'index.htm' file and display thumbnail images
together with an empty slideshow frame (if the 'embedded' option was chosen). After clicking on a selected thumbnail image, the slide-show applet is started and images are displayed in the frame or in a new popup window.
You should tell your users to disable any popup blockers (even with the embedded versions) because the Help file pops-up in a new window.

Those unable to use 'StereoPhoto Maker' (SPM) should read this document and also visit the following links to study the source-code of the pages:-

  • http://www3.zero.ad.jp/nsuto/java/stereoew.htm
  • http://www3.zero.ad.jp/nsuto/java/stereoev.htm
  • http://www3.zero.ad.jp/nsuto/java/stereoeh.htm

Because of the various bugs and problems with different versions of Java (and with different Operating Systems)
it is very highly recommended that you download the latest JAVA2 runtime for the best performance.
Ensure that you completely remove any previous version before installing the new one.
If you wish to view with page-flipping and shutter-glasses, you will also need to install the OpenGL version of Java3D.
This cannot co-exist with the Direct3D version and should be installed after the Java runtime.

Website servers and FTP upload programs may convert uppercase characters to lower-case,
so all image names should be lower-case.
If they are not, StereoPhotoViewer applet (SPVA) may not find them and the slideshow display will be blank.
(SPM gives the user the option of automatically converting image-names to lower-case).

To meet Java-applet security requirements, all images and other support files should be in the same directory path, or subdirectory, as SPVA's class file(s).
Some versions of Java object to spaces in the filepath name so that is best avoided.

It is not necessary to use large images. You should ensure that SPVA works correctly with the client's default Java applet heap-size.
This is about 60-90 MB and should allow images up to 1280x960 pixels to be displayed.

Page-flipping works well with graphics cards that support quad-buffered OpenGl (normally expensive 'professional' cards).
Alternatively, RivaTuner may be used to patch an NVidia GeForce to a 'Quadro' making OpenGL stereo and other 'professional' features available.

The SPM documentation gives details for converting an nVidia GeForce4 Ti4200 to a Quadro4 700XGL using this method as well as more general information.

Base HTML Code

Typical code automatically-generated by SPM is as follows :-

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<META http-equiv="Content-Style-Type" content="text/css">
<META NAME="Author" Content="Masuji SUTO">
<META NAME="description" Content="Displays images with StereoPhotoViewer Applet">
<META NAME="keywords" Content="stereo,stereoscope,stereoscopic,stereophotoviewer,photo,viewer,applet,spva,anaglyph,page flipping,page-flipping,java,java3d,opengl,quad buffered,quad-buffered,interlaced,shutter glasses">
<TITLE>
StereoPhotoViewer Applet(Window)</TITLE>
</HEAD>

The above may be retained or modified so that search engines may find your page and the SPVA reference.

<BODY background="wall.gif">
<STYLE>{ Various styles defined here}</STYLE>
<CENTER><DIV class = 'title'>StereoPhotoViewer Applet</DIV><P>
<DIV class = 'instructions'>Click on an image to start ! Then press [H] key to display Help information.</DIV>
</CENTER><BR><BR><BR>
<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0">
<TBODY>
<TR>
<TD rowspan="8" valign="top">

<APPLET codebase="./" code="fej3dmain.class" archive="fej3dmain.jar" width="240" height="1440" alt="A Java2 compatible browser is required !">
<PARAM NAME="fwidth" VALUE="800">
{list of other applet parameters}
</APPLET>

We are mainly concerned with filling-in the above list of applet parameters.
See 'StereoPhotoViewer Applet Parameters' for further details and examples.

</TD><TD><IMG src="siro.gif" width="10" height="180" border="0"></TD><TDvalign="top"><H2>Image No1</H2><H3>Image Text</H3></TD></TR>

{the above are titles and text for each image in a column, repeated for each image}

</TBODY></TABLE><CENTER><P>

<A href="http://hp.vector.co.jp/authors/VA004161/jump/eng.htm"><img src="download.png"></A>....

This displays the SPVA active-button, that links to the author's homepage.
As a courtesy, this would normally be included somewhere on your page together with any additional comments you may have.

</CENTER> </BODY> </HTML>

StereoPhotoViewer Applet Options

SPVA may have a display-frame embedded in the page or a new window may popup in response to various actions.
The popup mode can be initiated by clicking on a simple, default-button (with text "Start"),on a simple button with user-defined text,
on a thumbnail button, on a vertical column of thumbnails or on multirow thumbnails.

The row are column thumbnails are single images that are composites of the individual images.

The embedded option permanently shows a display frame but you may show or hide the menu-bar and display a single image or multiple images as defined in a simple text file.

The text file also includes a description for each image together with other information.

This is what you get when no applet parameters are defined, a default button that pops-up the applet window.
The images are assumed listed in file 'filelste.txt'

A button with your own custom-text.
In the associated text-file of image names, first entry is "button,Your Custom Text !"

A very minimal thumbnail image. You may of course use a slideshow image.
Applet parameter 'thumbnail' defines the image <PARAM NAME="thumbnail" VALUE="custom_start.gif">
Applet parameter 'imgfile' defines slideshow starting-image <PARAM NAME="imgfile" VALUE="firstimage.jpg">

Multiple thumbnails may be included on the page, the slideshow starting in each case with the image defined by applet parameter 'imgfile'.
A different slideshow may be associated with each thumbnail.

The above is a single image composited from the individual slideshow images.
We need to define its name in parameter 'thumbnail' <PARAM NAME="thumbnail" VALUE="multi_row.jpg">
Then we define number of images in a row <PARAM NAME="thumbx" VALUE="3">
and the number of images in a column <PARAM NAME="thumby" VALUE="2">

This is same as the above, except we define <PARAM NAME="thumbx" VALUE="1">
The version generated by SPM, includes default image titles and text in a ready-made <TABLE> structure.
It is intended (in the SPM-generated version) that the brief default text will be replaced by copious, descriptive text.

This is the embedded version of the applet with the menu-bar displayed.

This is the embedded version of the applet with the menu-bar hidden.
Pressing 'H' will display the Help file, 'A' will start the slideshow.


SPVA Appet Parameters

StereoPhotoViewer Applet Parameters

The default values are shown below for each applet parameter.

<PARAM NAME="fwidth" VALUE="800">

Width of the slideshow popup window.
A width = '900' will allow users to see the slideshow interval control.

<PARAM NAME="fheight" VALUE="600">

Height of the slideshow popup window.

<PARAM NAME="slideshow" VALUE="0">

slideshow interval (Sec.) and auto-start
0: No start and slideshow interval = 3Sec.

<PARAM NAME="menu" VALUE="1">

menu "1" : show menu buttons
menu "0" : Hide menu buttons

<PARAM NAME="zoom" VALUE="0">

zoom "100" : 100% size
zoom "50" : 50% size
zoom "0" : Fit to window size

<PARAM NAME="type" VALUE="0">

Stereo type
  • 0 "Parallel eyes"
  • 1 "Cross-eyes"
  • 2 "Above/Below"
  • 3 "Red/Cyan"
  • 4 "Red/Blue"
  • 5 "Red/Green"
  • 6 "Color Anaglyph"
  • 7 "Half color"
  • 8 "Interlaced"
  • 9 "Vertical Int."
  • 10 "mirrored left"
  • 11 "mirrored right"
  • 12 "mirrored both"
  • 13 "Single Image"
  • 14 "Page-flip"
<PARAM NAME="swap" VALUE="0">

swap 0 : No swap
swap 1 : Swap Left and Right images

<PARAM NAME="imgfile" VALUE="your_value.jpg">

Thumbnail image for a single Start button

<PARAM NAME="thumbnail" VALUE="your_value.jpg">

Name of a column or multi-row, active, composite thumbnail image.

<PARAM NAME="thumbx" VALUE="1">

Number of images in row of composite thumbnail image.
Value is '1' for a column image.

<PARAM NAME="thumby" VALUE="1">

Number of images in column of composite thumbnail image.

<PARAM NAME="filelist" VALUE="filelste.txt">

This is a simple text file containing the name of the slideshow images.
It may also contain custom-text for a default button and indicate whether the images are separate left/right pairs.
If using a composite thumbnail image, the first list-entry should be the top-left image
and the last entry should be the bottom-right image.
If you use the default name of 'filelste.txt', the above parameter may be omitted.

Typical entry for side-by-side files :-

button,Your Custom Text ! st01.jpg,St01,Comment of St01 st02.jpg,st02,Comment of st02

If you want a custom button, include 'button' followed by required text.
For each image, define image name, name to be used in slideshow, any comments.
As previously mentioned, image names should be lower-case if applet is to be used on Web page.

For separate left/right images, entries as follows :-

L&R
redsea079_l.jpg,redsea079_r.jpg,RedSea079,RedSea

First line 'L&R' is required, followed by left/right images names, name to be used in slideshow, any comments.
Image names end with '_l' and '_r' .

Defining the Applet

First, decide if you want an embedded display frame :-

<APPLET codebase="./" code="je3dview.class" archive="je3dview.jar" width="800" height="350" alt="A Java2 browser required !">

or a popup window :-

<APPLET codebase="./" code="fej3dmain.class" archive="fej3dmain.jar" width="500" height="350" alt="A Java2 browser required !">

If you are using a popup window, define its size if not 800x600 pixels :-

<PARAM NAME="fwidth" VALUE="900">
<PARAM NAME="fheight" VALUE="700">

If you will be displaying more than one image, define the text-file listing the images (if not the default 'filelste.txt'):-

<PARAM NAME="filelist" VALUE="imglist.txt">

Define name of the single image or the starting image for a multi-image slideshow (if not first image) :-

<PARAM NAME="imgfile" VALUE="st07.jpg">

If a popup slideshow is to be initiated from a single, custom button (image) or from a composite thumbnail of all the images, define it :-

<PARAM NAME="thumbnail" VALUE="st05_thumb.jpg">

If a composite thumbnail has been used, define the number of rows and columns :-

<PARAM NAME="thumbx" VALUE="3">
<PARAM NAME="thumby" VALUE="4">

Finally, define the following parameters if the defaults are not acceptable :-

<PARAM NAME="slideshow" VALUE="9"> // 9 seconds slideshow interval.
<PARAM NAME="menu" VALUE="0"> // Hide the menu-bar.
<PARAM NAME="zoom" VALUE="100"> // Display image at its native size.
<PARAM NAME="type" VALUE="14"> // Page-flipping with shutter-glasses (quad-buffered OpenGL stereo)
<PARAM NAME="swap" VALUE="1"> // swap left/right images.

Example Applets

<APPLET codebase="./" code="fej3dmain.class" ....>
</APPLET>

The simplest possible applet with no user-defined parameters,
Class-file 'fej3dmain.class' is used for this window option.
A window 800x600 with menu-bar pops-up, displaying the first image listed in 'filelste.txt' in side-by-side format.
The 'Start' button size is that defined by the applet's width and height values.
The opening and closing <APPLET> tags for popup mode will not be shown in most of the following examples.

<PARAM NAME="filelist" VALUE="imglist.txt">

A window 800x600 with menu-bar pops-up, displaying the first image listed in 'imglist.txt' in side-by-side format.
The first entry in 'imglist.txt' is the text for the button.
If you use the default 'filelste.txt' for your list of images, the above parameter is not required.

<PARAM NAME="imgfile" VALUE="first_image.jpg">
<PARAM NAME="thumbnail" VALUE="linkmutu.gif">
<PARAM NAME="filelist" VALUE="imglist.txt">

A custom button 'linkmutu.gif' is displayed instead of the default button.
A window 800x600 with menu-bar pops-up, displaying image 'first_image.jpg' in side-by-side format.

<APPLET ....>
<PARAM NAME="imgfile" VALUE="first_image.jpg">
<PARAM NAME="thumbnail" VALUE="flora_button.jpg">
<PARAM NAME="filelist" VALUE="flora.txt">
</APPLET>

<APPLET ....>
<PARAM NAME="imgfile" VALUE="single_image.jpg">
<PARAM NAME="thumbnail" VALUE="fungi_button.jpg">
</APPLET>

Custom buttons are displayed instead of the default button.
For each button, a window 800x600 with menu-bar pops-up, displaying the first image defined, in side-by-side format.
For the second applet, if 'filelste.txt' does not exist, only image 'single_image.jpg' will be displayed.
The drop-down file-list is also omitted from the menu-bar.

<PARAM NAME="thumbnail" VALUE="multirow.jpg">
<PARAM NAME="thumbx" VALUE="3">
<PARAM NAME="thumby" VALUE="2">
<PARAM NAME="filelist" VALUE="fungi_flora.txt">

A single composite image of the individual images is being used as an image-mapped thumbnail.

<PARAM NAME="thumbnail" VALUE="multirow.jpg">
<PARAM NAME="thumbx" VALUE="1">
<PARAM NAME="thumby" VALUE="3">
<PARAM NAME="filelist" VALUE="fungi_flora.txt">

A single composite image of the individual images is being used as an image-mapped thumbnail.
Column mode is useful when you want lots of descriptive text alongside each image.

<APPLET codebase="./" code="je3dview.class" ....>
<PARAM NAME="type" VALUE="13">
<PARAM NAME="filelist" VALUE="imglist.txt">

This is the 'embedded' version of the applet.
The slideshow 'frame' becomes a permanent part of the page lay-out.
Class-file 'je3dview.class' is used for this option.
The menu-bar is visible and the first image listed in 'imglist.txt' is displayed as a single image.

<APPLET codebase="./" code="je3dview.class" ....>
<PARAM NAME="menu" VALUE="0">
<PARAM NAME="type" VALUE="6">
<PARAM NAME="filelist" VALUE="imglist.txt">

The menu-bar is hidden and the first image listed in 'imglist.txt' is displayed in color anaglyph format.


Edit/Preferences

'Susie 32-bit plug-in Folder'

The user can set the location of the 'Susie 32-bit plug-in Folder' and it will become effective the next time the program is run.
If SPM does not detect the folder, it may be buried 'too deep' in the file-tree.
Try moving the folder to a higher level.
When correctly detected, you will see the additional, supported file-types in the Open file dropdown menu.
The 'Susie' plugins allow file types not directly supported by SPM to be opened.
This includes Windows Metafile(wmf), Sun Rasterfile(ras,rs), PNG(png), PICT(pict,pct) and Targa(tga) file formats.

'Run External Program (Press (G) Key)'

The location of the external program called by 'File/ Run External Program' may also be set. An image saved as 'TEMP.BMP' will automatically be made a command-line argument of the external program.

'ExifTool.exe (For writing Geo tags)

The location of above file, required for writing latitude/longitude to image EXIF tag.

'Slide Show Interval'

'Slide Show Interval' allows the displayed-duration of each image to be specified to within 0.1 seconds.
If an interval of '0' is written in the slide show list the value here is used instead.

'Mobile phone'

SPM can create images in a format suitable for the SH251is or SH505i mobile phones

'Undo Buffer'

SPM allocates an amount of buffer-memory equal to the unpacked-size of a pair of images.
e.g. for a 3000x2000 image, memory allocated = 3000x2000x3(RGB)x2(left/right) = 36MB.
If you set the number of Undo/Redo buffers to 10, SPM allocates 360MB of memory.
If SPM operations become slower, you may clear the Undo buffer.

'Disable image-sequencing with the mouse'

If you find that you are unintentionally image-sequencing when using the mouse, disable the feature with this checkbox.

'Startup with its window maximised'

SPM will open in a maximised window when started by clicking on its icon or running the command-line options (image-filename or slideshow-script file-name).

'When add thumbnail image to Save file, copy original exif to Save file'

As described in title.

'Image-distance when reduced image (Toggled with 'E' key)'

When side-by-side images are displayed, you may choose the spacing as 'Narrow', 'Medium' or 'Wide'and toggle between them with the 'E' key.
The option here allows you to set your preferred default, spacing-mode.

  • Medium - for cross-eyed viewing.

  • Narrow - for parallel-eyed viewing.

  • Wide - for viewing in mirror-mode with a small, hand mirror.
    See     Viewing Mirrored Images with Single Monitor

'Background'

The screen background color may be chosen from 48 basic colors or 16 custom-colors defined by the user..

'Space around the image'

This may be set as the number of pixels of space around the image.
It only applies if the image does not have a border.

'Extra large Thumbnail size'

When using 'Open Image file list' this sets the size of the largest 'thumbnail'
(For performance reasons, SPM does not actually use a 'sheet' of thumbnails but resizes 'on-the-fly'.)
When running two instances of 'Open Image file list', this size of image allows you to view the contents
of the Left/Right folders side-by-side as single-column images.
You may view these cross-eyed to check for suitability.

'Two-stage cropping, define crop-rectangle size and then its position'

If this is checked, the crop-rectangle size is defined by dragging the mouse with the left button pressed and then releasing it. The rectangle is then dragged by the mouse 'move' cursor to the required position with the left button depressed. On releasing the button, the images will be immediately cropped.
If this option is not checked, the image is cropped immediately the left button is released after defining the rectangle.

'Setup Default Cropping Size'

These are the five fixed-cropping default options as described under 'Edit/Crop'.

'Resize to above after cropping'

Check this to enable resizing to the selected size after doing any size of 'free crop' (restrained to the same aspect-ratio).

'Setup Context Menu'

When a filename with a particular extension (DAS,JPS or JPG) is right-clicked, SPM can appear in its 'Send to' list.
It may also be removed from the list.

'Association'

DAS,JPS or JPG file-extensions may be associated with 'StereoPhoto Maker'.
Double-clicking on the file then opens it with SPM using the stereo format and viewing method specified in 'Edit/Preferences/Launch'.
The user may restore the original file-associations if required as SPM makes a backup of them.
In the screenshot above, the 'depressed' button indicates that DAS files have been associated with SPM.
In addition, the icon associated with the file will have changed (for example to [image] ).

'Stereo-Image Format'

This allows a stereo format and viewing method to be specified so that the image may be opened and displayed correctly outside of 'StereoPhoto Maker'.

The Stereo formats available are Side-by-side,Above/Below,Interlaced,Anaglyph,SIS(R),SIS(L),Tri-Delta(TT) and Tri-Delta(BB).
These formats are described in 'File/Open Stereo Image'.

'select before image open' allows you to choose the stereo-viewing method before opening an image from the IE Context menu, drag-and-drop, Paste (after a Copy) or commmand-line.
You are presented with the dialog-box shown above.
For viewing Anaglyph images with glasses you should choose 'Single image' .
Anaglyph(Color) and Anaglyph(Gray) open the anaglyph as two separate images for adjustment purposes.

'Stereo View method'

The viewing methods available are Side-by-side,Above/Below,Interlaced,Anaglyph(Gray),Anaglyph(Color),Page-flip(Return) and Page-flip(Exit).
'Page-flip(Return)' returns to SPM after <ESC> is pressed whereas 'Page-flip(Exit)' exits the program.

'Swap Left/Right'

The 'Swap Left/Right' option swaps-over left/right views when right-clicking web images, dragging-and-dropping files onto SPM icon, double-clicking the filename (if SPM has been associated with the file extension) or by including the filename in a command-line.

'Full Screen'

Check 'Full Screen' to automatically open SPM-associated files in fullscreen mode (when double-clicked) and check 'Exit Program with ESC key' to exit from SPM when the Escape key is pressed. (by default, ESC returns you to SPM).

After these values are set, images may be correctly opened and displayed by dragging the file onto the SPM icon, double-clicking the filename (if SPM has been associated with the file extension) or by including the filename in a command-line.

For example, 'stphmkre.exe d:\photo\test.jps' will open and display the image test.jps located in the folder d:\photo.

Although not recommended practice, SPM can handle spaces in the file-path and/or the filename without requiring enclosing quotation-marks.

'Enable IE Context Menu'

SPM may be associated (or disassociated) with InternetExplorer's 'Anchor' and 'Images' contexts.
This means that right-clicking on an HTML document's images (typically thumbnails) or links to images, will give you the option to 'Open with SPM'.
See 'Associating with InternetExplorer' for further details.

'Download Image File'

If you do not want to permanently save the website image you are displaying with SPM, choose 'Use temporary file'.
This file is named 'TMP.JPG' (or TMP.BMP, etc.) and is stored in the C:\Windows\Temp folder.

Alternatively, select 'Save file in the specific folder' and click 'Folder' to navigate to the desired destination folder.
If you manually enter the filepath, ensure you use '\' (backslash) separator but do not include one at end of path.
(this feature will accept '/' (forward slash) but other SPM options may not).
The file will be saved with its original name.

To save in a user-specified folder but with a different name, select 'Save file with user input name'.

'Authorization'

Some websites require user-authentication before images can be downloaded.
Enter you user name and password here.

'Autopano folder'

Autopano or Autopano-SIFT is the program used to extract key features from images that SPM uses for correction of errors and mounting to window.
Browse to its location and enter the path here.
If no path is entered, 'autopano.exe' will be searched-for in the SPM folder and used if found.

'Hide Autopano window'

You may hide or display the DOS (Autopano) window during auto-correction.

'Only horizontal and vertical alignment'

Some stereo rigs that are reasonably accurate may only need horizontal and vertical alignment.
Choosing this option will enable higher-quality images to be created.

'Input image arrangement'

SPM needs to know this for the auto-correction process.
SPM does not assume that JPS images are in cross-eyed format.

'Window mounting options'

When SPM auto-aligns images, the following mounting options are available :-

  • Mount near points to the window regardless of total deviation.
    Farpoint deviation is not prevented from becoming excessive.

  • Mount nearest points to the window, limiting farpoint deviation to 4% of image-width.
    If total deviation is greater than this, near points come through the window.

  • Do not make any setting of deviation. This maximises image-size for later adjustment.

  • Set the farpoint deviation as a decimal percentage of image width.
    For monitor viewing, a value as large as 5% may be acceptable.

'Correct Barrel distortion'

If you have previously calibrated a lens using SPM's barrel-distortion correction,
that value can be used by auto-correction before correcting the images.

'Do not save report files'

Auto-correction can produce report files that may later be used by auto-correction or EasyAdjustment.
If you are sure you will not require to make further changes to your images, the report files need not be saved.

'Adjustment(L/R) stepping'

Sets the fineness or coarseness of the image-alignment horizontal and vertical adjustments. Default is four pixels/step.
In page-flip mode, the value may be set dynamically by pressing keys '1' to '9' for 1 to 9 pixels-shift per adjustment or
'0' for 10-pixels shift.
Pressing [F5] will allow confirmation of the new pixel-shift setting.
To move by a single pixel, depress the 'Shift' key while using the arrow keys.

'Enlarge Easy Adjustment Dialog'

If checked, the dialog is shown fullscreen size.

'Auto Crop after adjustment'

When using 'Easy Adjustment', some operations such as image-rotation will leave 'blank' space around the adjusted-image.
By default, the above option is enabled and this space is automatically cropped-away.
The enabled/disabled status of this option is also applied to 'Multi Conversion' and 'Multi Conversion from Slide Show List'.
This setting is not persistent, every time SPM is started it is enabled by default.

'Sharpen after adjustment'

Any form of image-correction involves the interpolation (or creation) of new pixels, even if done as a single operation.
You may apply a sharpening value to counteract this.


Make Hasboro my3D format

Images suitable for the Hasboro my3D stereo-viewing attachment (for iPod's,iPhones and Android devices) may conveniently be produced .
They should be displayed in the parallel side-by-side format.
The images should previously have been adjusted, either singly or in batch mode, using the usual SPM methods.
Saving as side-by-side JPG's is convenient and keeps the left/right views together and ready for printing or converting to other formats.
If you are new to SPM, you may also find these guides by David Starkman helpful for twinned cameras or the Fuji stereo cameras.

David has also provided information that some of the following details are based on.

You can choose to display the full image (with black borders above or below)or a cropped area of the image that fills the entire viewing area.
For the latter, we use SPM's cropping tool to select a 452x640 pixel (portrait-format) area.
When dealing with multiple images, pressing numeric key '0'(zero)quickly selects Custom Cropping mode.
Alternatively, select menu option Edit\Crop\Custom Cropping.

Position mouse at upper left of area you wish to crop, depress left button and drag to bottom of image and release.
Place the mouse inside the crop area and the cursor will change to a bidirectional-move tool.
Drag the crop rectangle to the required part of the image and release.
The image will then be cropped.
If you make a mistake use the UNDO button on the tool bar.
Holding the cursor over the buttons will display the tools captions.

For cropped or uncropped images,from the menu choose Edit\Make hasboro my3D format or simply press Ctrl+J.

The parallel left/right images are separated by a wide black region necessitated by the viewer's off-centre septum.

Click 'Save Image Preview' to preview the image that will be saved.

Change the name and saving location, if desired, and then click 'Save' to save the 960x240 pixels image.

Batch Processing Images

You may process a batch of source images by choosing output file option 'Image for My3D Viewer' in Multiconversion.
The following assumes you want to save both "normal" side-by-side images, as well as a set of images aligned for the my3D.
Begin by aligning a group of images into their own folder or take a group you have already previously aligned.
(Beginners may like to refer to this guide).
Create an empty "Images for my3D Viewer" folder to use later.
Open MULTI CONVERSION dialogue box again and browse to the folder that has the group of images that you want to convert for my3D viewer viewing.
Check the INPUT FILE TYPE check box (assuming this is the type of file that you are using, including MPO files).
For OUTPUT FILE TYPE choose IMAGE FOR My3D VIEWER at the bottom of the list.
Choose other settings as desired and save to the "Images for my3D VIEWER folder" that you have created.
Then CONVERT ALL FILES (unless you want to highlight and convert selected files).
You should find that all of the images now are converted to the same ratio as they were previously, but with a black septum down the middle, and letter-boxed top and bottom, if they were full size (for example 4:3 ratio) images that were being converted.
If you want to have images that fill the entire image area, you will have to use the manual cropping described above.


StereoPhotoViewrApplet Help

StereoPhotoViewer Applet Help(Embedded)

how to use
Author's WEB Page --- Push [G] key
Previous Image --- Press Back space Key or Push [<] Button.
Select Image --- Choose from image list.
Next Image --- Press Space Key or Push [>] Button.
Select Stereo viewing method --- Choose from list. or as follows
|-Side-by-Side - [F9](toggled Cross-eyed <-> Parallel-eyed)
|-Above/Below - [Shift+F9]
|-Red/Cyan - [F6]
|-Red/Blue - [Shift+F6]
|-Red/Green - [Shift+F5]
|-Color Anaglyph - [F7]
|-Half color - [Shift+F7]
|-Interlaced - [F4]
|-Vertical Int. - [Shift+F4]
|-Single Image - [F5]
|-Page-flip - [F8](Quad-buffered stereo OpenGL,Java1.4.0 or later,Java3D)
Swap Left/Right Image --- Press X Key or Push [Swap L/R] Button.
Zoom In/Out --- Press PageUp/Down Key or F2/F3 Key or Slide Scroll bar. or Mouse Wheel(Java1.4.0 or later)
Scroll Image --- Mouse Drag
100% Size --- Push [100%] Button or [J] key
Fit to Window Size --- Push [Fit] Button or [F] key
Alignment --- Press Arrow Key or Push [L/R/U/D] Button or Arrow key
Reset Aligment --- Push [Reset] Button or [Home] key
Slide Show --- Push [SS] Button or [A] key
Slide Show Interval(Sec.) --- Push [<][>] Button.
Menu ON/OFF ---Push [M] key
Save Image --- Push [S] key
Help --- [F1]key or [H] key

IMPORTANT: If you find the keyboard actions have no effect, click on the image first.

Please Install latest JAVA2 runtime for the best performance.


StereoPhotoViewrApplet Help

StereoPhotoViewer Applet Help (Window Type)

how to use
Author's WEB Page --- Push [G] key
Close Window --- Push [Esc] key or Press close button
Window Size --- Mouse drag of window corner or Push [Enter] key to maxmize Window
Previous Image --- Press Back space Key or Push [<] Button.
Select Image --- Choose from image list.
Next Image --- Press Space Key or Push [>] Button.
Select Stereo viewing method --- Choose from list. or as follows
|-- Side-by-Side - [F9](toggled Cross-eyed <-> Parallel-eyed)
|-- Above/Below - [Shift+F9]
|-- Red/Cyan - [F6]
|-- Red/Blue - [Shift+F6]
|-- Red/Green - [Shift+F5]
|-- Color Anaglyph - [F7]
|-- Half color - [Shift+F7]
|-- Interlaced - [F4]
|-- Vertical Int. - [Shift+F4]
|-- Single Image - [F5]
|-- Page-flip - [F8](Quad-buffered stereo OpenGL,Java1.4.0 or later,Java3D)
Swap Left/Right Image --- Press X Key or Push [Swap L/R] Button.
Zoom In/Out --- Press PageUp/Down Key or F2/F3 Key, Slide Scroll bar or Mouse Wheel(Java1.4.0 or later)
Scroll Image --- Mouse Drag
100% Size --- Push [100%] Button. or [J] key
Fit to Window Size --- Push [Fit] Button or [F] key
Alignment --- Press Arrow Key, Push [L/R/U/D] Button or Arrow key
Reset Aligment --- Push [Reset] Button or [Home] key
Slide Show --- Push [SS] Button or [A] key
Slide Show Interval(Sec.) --- Push [<][>] Button.
Menu ON/OFF ---Push [M] key
Save Image --- Push [S] key
Help --- [F1]key or [H] key

IMPORTANT: If you find the keyboard actions have no effect, click on the image first.

Please Install latest JAVA2 runtime for the best performance.


Mirror View

Viewing Mirrored Images with Single Monitor

Display your image in parallel mode and click 'SPC' or the 'E' key to set the image spacing to wide.
The toolbar 'SPC' icon will be colored red.
You may wish to share your website stereo images with visitors who cannot freeview and do not have anaglyph glasses.
They can view these using the arrangement below:-

This example has used the menu option 'Mirror Left' to mirror the left-image.
Place a mirror about 125x125mm (5"x5") square against your nose and view the right image with your right eye.
Focus your left eye on the right image but carefully adjust the angle of the mirror until the reflected left-image merges with the right one.
A surface-silvered mirror will be preferred by the stereo-enthusiast but the ready availability of ordinary, back-silvered household mirrors makes this a simple way of encouraging interest in stereo-imaging among the 'general public' .


Dual fullscreen

Dual Fullscreen (Alt + Enter / Ctrl + Alt + Enter)

When two monitors are connected you may use this mode to display images at maximum possible size on both monitors.
Either the left (Alt + Enter) or right (Ctrl + Alt + Enter) monitor may be chosen as SPM's primary.
For more details of setting-up dual monitors and the display-modes 'Dual Fullscreen' can be used with,
see section 'Using Multiple Monitors with SPM' .


Installing SoftQuadro4

Video board : nVidia GeForce4 Ti4200
OS : WindowsXP Pro SP1

Video Driver : Version 41.09
Stereo Driver : Version45.23
RivaTuner : RivaTuner20RC143NY.zip

Video Driver Version 43.45 : Not stable in the OpenGL Quad buffered stereo mode.
Video Driver Version 45.23 : Not stable in the OpenGL Quad buffered stereo mode.
Video Driver Version 53.04 : Can not make the SoftQuadro.
Video Driver Version 56.72 : Can not make the SoftQuadro.

1. Make a patched video driver for SoftQuadro4.

Select a new or existing 'Install' folder and then Run the NVidia installer program [41.09_win2kxp.exe]

After all files are decompressed, Cancel the installer.

Make a Batch file named 'UnpackDriver.bat', and copy it to the NVidia 'Install' folder.

--- UnpackDriver.bat --------
expand -r *.??_
ren *.cf *.cfg
ren *.cp *.cpl
ren *.dl *.dll
ren *.ex *.exe
ren *.hl *.hlp
ren *.sy *.sys
ren *.tv *.tvp
--------------------------

Run UnpackDriver.bat to rename the NVidia driver files.

Run RivaTuner, and select the 'Power User' tag.

Open the 'PatchScripts' sub folder.

Open the 'NVIDIA' sub folder.

Open the 'NVStrap antiprotection' sub folder.

Select the 'NVStrap antiprotection w2k.rts' file. and open it.

Continue...

Select the 'nv4_mini.sys' file in the 'Install' folder and open it.

Open the 'SoftQuadro4' sub folder.

Select the 'SoftQuadro4 w2k.rts' file. and open it.

Select the 'nv4_mini.sys' file in the 'Install' folder and open it.

2. Install the Soft Quadro4 Video Driver

Start 'RivaTuner' and select 'Customize...' in Main tag.

Push the 'Low level system setting...' icon.

Push 'Install' button.

Select 'Quadro' in PCI DeviceID settings.

Push 'Apply' button.

Restart Windows.

Install the patched video driver.

3.Setting OpenGL Quad buffered stereo mode

Open 'Display Properties' and push 'Advanced' button.

Select the 'Quadro4' tag and also the 'OpenGL Settings'.
Check 'Enable quadbuffered stereo API', then push 'Additional OpenGL Properties...' button.

Select 'Use shutter glasses'.

Select a Screen refresh rate. Over 100Hz is better.

4.Install the nVidia Stereo Driver

Install the nVidia Stereo Driver Ver45.23.
Uncheck 'Enable quadbuffered stereo API'.

Select 'Stereo Properties' and 'Enable' in Stereo Enable Mode.

Set a 'Stereo Refresh rate' then push 'Save Setting' or 'Set Rate For All Resolutions' buttons.

Push 'Launch test application...' for test.

At each resolution, you will be able to save the maximum refresh-rate that supports page-flipping.